Overview of Retrospect

Designed for use in small to mid-sized enterprises, Dantz Retrospect Multi Server and Single Server provide thorough, fast backups, and 100%-accurate restores of networked servers, desktops, notebook computers, and line of business applications. Retrospect Professional delivers the proven capabilities of Retrospect's enterprise-class products to the home and small business user. The Retrospect product line protects against loss due to viruses, newly installed software, user error, damaged hardware, hardware upgrades, hackers, and lost or stolen computers. The industry leader in data protection for more than 12 years, Dantz has received numerous awards and protects millions of computers worldwide.


Features

Which Edition is Right for You?

There are three editions of Retrospect available. Depending on the needs of your organization, one of these editions is right for you. The following table lists some Retrospect features and which editions they're available with:

Feature |  | Retrospect Professional | Retrospect Single Server | Retrospect Multi Server
Back up Locally | A single computer running Windows XP Home, XP Professional, Windows 2000 Professional, NT 4.0 Workstation, Windows 98/ME | X | X | X
 | A single computer running Windows 2000 Server, Windows 2000 Advanced Server, Windows NT 4.0 Server |  | X | X
Back up Remotely | Windows XP Home, XP Professional, Windows 2000 Professional, NT 4.0 Workstation, Windows 95/98/ME, Macintosh 7.1 or later & OS X | X | X | X
 | Windows 2000 Server, Windows 2000 Advanced Server, Windows NT 4.0 Server, Linux, Solaris |  |  | X
 | Remote licenses included at no additional cost | 2 | Unlimited | Unlimited
Backup Devices | Tape drives, disks, supported NAS devices, CD/DVD | X | X | X
 | Tape autoloaders |  | X | X
Network | Single Local Area Network | X | X | X
 | Multiple Local Area Networks |  | X | X
Add-on Products | Additional remote licenses | Optional | Included | Included
 | Disaster Recovery | Included | Optional | Optional
 | Proactive Client Backup | Not available | Optional | Optional
 | Open File Backup | Not available | Optional | Optional
 | Exchange Agent | Not available | Optional | Optional


Retrospect Add-on Products

A number of advanced Retrospect features are only available if you have the appropriate license code. Click Configure4Licenses to view your current licenses or purchase new ones. The Retrospect add-ons are:

  • Proactive Client Backup

  • Disaster Recovery

  • Open File Backup

  • Exchange Agent

  • Client Licenses

Proactive Client Backup

Proactive Client Backup ensures that no computers get starved from being backed up, even if the time required to do the backups exceeds the time allotted to do the backups. This is especially important when client machines such as desktops and notebooks are being backed up. Proactive Client Backup keeps track of which machines it has backed up, so it can resume backups efficiently during the next scheduled backup session, and adjusts priorities based on defined objectives to ensure no computers get starved from being backed up. Notebooks are automatically detected and backed up when they connect to the network.

Disaster Recovery

Dantz Retrospect can create disaster recovery CDs for server and client computers. While other vendors require that the Disaster Recovery CD be created when the computer is still functional, Retrospect can create a Recovery CD for a computer that is no longer working. Retrospect gathers the data required as a normal part of backing up the computer. The Disaster Recovery process installs the operating system, restores system settings, and finally restores the computer's entire hard drive to any point-in-time. Systems with RAID controllers, which require low level device drivers, are also supported.

Open File Backup

Multi-volume Open File Backup allows files to be backed up even if they are opened and being used. This is important to ensure proper backup of server applications such as Exchange, SQL Server, customer relationship management applications, and accounting packages, which are up and running 24 hours a day. For desktop and notebook computers, files such as those that contain email messages or calendar appointments can be backed up while they are being used.

Exchange Agent

Provides Progressive Backup of Exchange 5.5 and Exchange 2000 servers while they are running. You can set the Exchange Agent to do a full copy on a particular day of the week or every day.

Client Licenses

Client licenses extend the capability of Retrospect Professional to back up and restore more than 2 client computers. Client computers can run Windows, Linux, Solaris, SunOS, or Macintosh operating systems, and can be desktops, notebooks, or servers.


Starting Retrospect

Choose Start4Programs4Retrospect4Retrospect 6.0.

The first time you start Retrospect, enter your application license code, your name, and, optionally, your organization.


Leaving Retrospect

To exit Retrospect entirely, choose Exit from the File menu. Before exiting, Retrospect informs you of the next scheduled operation, if any.

To leave Retrospect running in the background, click a different program window or choose another program from the Start button or the taskbar. Though Retrospect is not the active program, it continues to perform its operations.


The Retrospect Navigation Bar

When you start Retrospect, the Backup Overview window displays in the main Retrospect window. Use the navigation bar on the left side of the main window to access other overview windows.

The navigation bar operates like Windows Explorer. Click + to see more items under each of the main headings. For example, click + next to "Reports" to expand and view its items. You can now click an item to access it directly.

You can also access the items in the Retrospect navigation bar using keyboard shortcuts.

Right-clicking in the navigation bar provides the following functions:

  • Hide/Show overview: Determines whether overview windows are displayed in the main Retrospect window or not

  • Dock on right/left: Determines where the navigation bar appears

  • Right/Left align text: Determines the alignment of text within the navigation bar


Overview of Quick Start Tutorial

This tutorial walks you through a basic backup and restore. You'll perform an immediate backup, a Progressive Backup, and a restore. Have your computer with a connected backup device and media ready.


Step 1: What do you want to back up?

The first step in backing up data with Retrospect is to define the source of the backup.

1 | In the navigation bar, click Backup4Backup.
2 | In the Source Selection window, click the name of the source volume to back up.
 | Do not select a source volume that is the disk drive you are going to back it up to. The source volume must be different than the destination.
3 | Click OK.


Step 2: What type of storage media will you use?

Back to Step 1

After defining the source for the backup, choose the type of media (CD/DVD, file, disk, tape) on which to store the Backup Set.

1 | If this is your first backup, the New Destination Selection window appears. (If this is not your first backup, click Create New in the Backup Set Selection window.)
2 | Use the Storage Type list to select the type of storage media you want to use. For the purposes of this tutorial, do not choose "File."
3 | For this tutorial, ignore the Security and Data Storage options.
4 | Enter a Name for the Backup Set, or just accept the default name.
5 | In the Catalog field, enter a location to save the Catalog File associated with this Backup Set. The default location is ..\My Documents\Retrospect Catalog Files. Click Browse to specify a different location.
 | Do not save the Catalog File on a disk that will be used as the backup destination. Retrospect needs to access the Catalog File on a readily accessible volume, preferably the local hard disk.
6 | Click OK, then click OK again to select the Backup Set you just created.

Proceed to Step 3


Step 3: Are you ready to go?

Back to Step 2

The Immediate Backup window displays the key aspects of your backup.

1 | Verify the criteria, especially the Source and Destination.
2 | Click Preview to scan the source volume and display the files chosen.
3 | Click OK. The Summary window lists the number and total size of the files to be backed up.
4 | In the upper left corner of the Summary window, it should say "Ready to execute." If so, go to the next step. (If not, Retrospect tells you what other information it needs.)
5 | Click Backup.

Proceed to Step 4


Step 4: Where is the storage media?

Back to Step 3

It is only after you click Backup that Retrospect asks where the Backup Set media is.

1 | Make sure the storage media you specified in Step 2 is available for use and is blank or contains unwanted data.
2 | In the Backup Set add media window, select the media to use for storing the Backup Set and click Proceed.
3 | A progress window appears. Depending on your backup device capacity and the size of the files being backed up, Retrospect may request more media.
4 | When the backup is complete, you'll see the message "Execution completed successfully."
5 | Click Close.


Step 1: Change a few files

A Progressive Backup is a backup where only those files that have changed are backed up.

For the purposes of this tutorial, we'll have to get ready by first changing a few files on the source volume you backed up in Tutorial 1.

  • Make a few simple changes to any of the files you previously backed up.

  • You can also copy and rename some of the files on the source volume.


Step 2: Preview and execute the Progressive Backup

Back to Step 1

1 | Start Retrospect.
2 | In the navigation bar, click Backup4Backup. Retrospect displays the summary window for the last immediate backup you performed (in this case the backup from Tutorial 1).
3 | Click Preview.
4 | In the window that appears, click OK.
5 | Take a look at the file preview information in the summary window. Retrospect compares the current files on the source volume to the files already saved in the Backup Set. If a file already exists and has not changed, Retrospect does not copy it to the Backup Set again. The total number of new and/or changed files, as well as the combined size of these files is displayed.
6 | Click Backup.

Congratulations on your first Progressive Backup!


Step 1: What do you want to restore?

Once your data is backed up, it can be restored whenever data is lost or corrupted. As with backing up, the first step in restoring files is to define the source.

1 | In the Retrospect navigation bar, click Restore4Selected Files.
2 | In the top-half of the Restore From Backup Source window, select the Backup Set that contains the files you want to restore.
3 | In the bottom-half of the window, select the most recent Snapshot for the Backup Set (or the Snapshot you know includes the files you want to restore).
3 | Click OK.


Step 2: Where do you want to restore?

Back to Step 1

After defining a source for the restore operation, choose the location to which the backed up files will be restored.

1 | In the Destination Selection window, select the volume to which you want to restore the files.
2 | From the drop-down menu, select Retrieve Files & Folders.
3 | Click OK.


Step 3: Are you ready to go?

Back to Step 2

1 | In the Restore From Backup window, verify everything looks the way you want it, especially the Source and Destination.
2 | Click Files Chosen.
3 | Double-click the files you want to restore. This selects their check boxes.
4 | Click OK.
Restoring may destroy data on the destination if you did not exactly follow the instructions. The Destination Selection window's list must be set to Retrieve Files & Folders. The Restore From Backup window's Destination area should read something like "copying files and folders."
5 | Click Restore.

Retrospect creates a new folder on the destination volume with the same name as your Backup Set. Inside the folder, you'll find the files you marked to restore. Congratulations!


What's Next?

If you made a complete backup of all files, you can use Retrospect's Disaster Recovery preparation wizard to create a bootable CD or instructions to help restore your entire computer if it ever stops working.

Disaster Recovery is only available if you have the appropriate license code. Click Configure4Licenses to view your current licenses or purchase new ones.


How Retrospect Works

Retrospect copies files from a source and stores them in a Backup Set. The source can be a hard disk, server, client computer, network volume, CD-ROM, or even a combination of multiple sources. The Backup Set can be saved on storage media including: tapes (AIT, DAT, DLT, etc.), recordable discs (CD-R, CD-RW, DVD-R, DVD-RW, or DVD+RW), disks (fixed disks, network volumes, and removables), or even a single file on a hard disk or server.

Retrospect uses an archival method of backup that ensures backed up files are not deleted or written over without your approval, so they stay on the recordable disc, tape, or disk indefinitely. This is helpful, for example, if you have been working on an important document every day for the past month and you discover you have been making terrible mistakes for the past week. If you have been backing up every day, Retrospect lets you retrieve a good version of the file from a week ago (or any point in time it was backed up). This is an important benefit of Retrospect not found in "disk mirroring" backup software.


Overview of Backup Sets

In Retrospect, a Backup Set is a set of one or more disks, tapes, recordable discs, or a file. Individual pieces of media are members of a Backup Set.

The Catalog File, a file saved on your hard disk, is an index of the files on the storage media of a Backup Set. The Catalog File lets you view the contents of a Backup Set without any of its media on hand. A Catalog File is required for all operations that copy files to and from a Backup Set. If a Catalog File is lost or damaged, Retrospect can rebuild a Catalog File from the media. Catalogs typically use four megabytes of disk space for every ten thousand files.

You may back up as many source volumes as you like to a single Backup Set. For example, you could have a single Backup Set as the backup destination for your computer's internal hard disk, your external hard disk, a file server, and a co-worker's hard disk on a computer with Retrospect Client software installed.

There are four types of Backup Sets:

  • Tape

  • CD/DVD

  • Disk

  • File


Tape Backup Sets

A tape Backup Set uses tapes and a tape device such as a DAT drive, Travan drive, AIT drive, or DLT drive. You back up files to the tapes, and save the Catalog File on the hard disk of the computer doing the backup. You can also use a tape library to easily back up to multiple tapes.


CD/DVD Backup Sets

A CD/DVD Backup Set uses recordable compact discs with CD-R, CD-RW, DVD-R, DVD-RW, DVD+R, or DVD+RW drives. You back up files to the discs, and save the Catalog File on the hard disk of the computer doing the backup.

We use the term "recordable disc," or simply "disc," to refer to a recordable disc to be used in a CD-R, CD-RW, DVD-R, DVD-RW, DVD+R, or DVD+RW drive. These drives all work nearly the same with Retrospect, though they may use different media. The difference is that data on "R" discs cannot be erased, while "RW" discs can be erased in rewritable drives and reused by Retrospect. Rewritable discs are, of course, recordable, so they are included in the term "recordable discs."

You cannot use a CD-ROM drive to restore from a CD/DVD Backup Set. Though the ability to write is not needed during restoring, a CD-ROM drive cannot recognize the Retrospect Backup Set format of a CD-R or CD-RW.


Disk Backup Sets

With a Disk Backup Set, you back up to disks, including fixed disks, network volumes, or removable disks (e.g., Zip, DVD-RAM, MO). Data gets backed up to the specified disk(s), while the Catalog File is saved on the hard disk of the computer doing the backup.


File Backup Sets

A file Backup Set combines the Catalog File and backed-up files into a single file stored on a volume. (This volume can be any disk drive other than a floppy disk, such as a hard disk, file server or shared disk, or disk, that you can access from the Windows Explorer and map to a drive letter.)

A file Backup Set can be no larger than the volume on which it is stored, nor can it exceed the maximum file size of the file system (FAT, FAT32, or NTFS). You can decrease the amount of space used by a file Backup Set by using Retrospect's data compression option.

File Backup Sets cannot span media. Once the maximum file size is reached, the Backup Set cannot be appended.


Backup Actions

The main purpose of performing a backup is to copy files into a Backup Set. Retrospect can perform three different types of backup actions, all using the same Progressive Backup technology.

  • A normal backup adds every file not already in the Backup Set, as well as every file that has been modified since the last backup. (This is Retrospect's default.)

  • A recycle backup erases a Backup Set and then creates a new one that includes all the specified files from the source.

  • A new media backup creates a new Backup Set and copies all the specified files from the source.


: A backup administrator creates a new Backup Set and does a normal backup to it with a new or erased medium in the backup device. Because no files exist in the new, empty Backup Set, Retrospect copies all the selected files to it.

The next day, the administrator does another normal backup to the backup set. Retrospect compares the selected source files to the Catalog File, then marks several new files and a few files which have changed since the previous day's backup. Only these new and changed files are added to the medium previously used with this Backup Set, or a new medium if the other fills to capacity.

Normal Backups

A normal backup (or Progressive Backup) is the action to use in most situations. It copies only files which are new or newly-modified. This saves media space by not redundantly copying files.

Example of Normal Backup


: The backup administrator decides the Catalog File is getting too large after a week of normal backups to the Backup Set. So she starts a recycle backup with the first media member in the backup device and Retrospect resets the Catalog File, erases the files on the media, and copies all the selected files.

Recycle Backups

When Retrospect performs a recycle backup, it erases the Catalog File of the Backup Set, erases the media (or uses any available new or erased media), and backs up the source to the media.

Example of Recycle Backup


: The backup administrator wants to rotate a Backup Set off-site, so she starts a new media backup with a new or erased medium in the backup device. Retrospect creates a new Backup Set with a new Catalog File, and copies all the selected files to the media. The previous Backup Set remains intact and the administrator takes its media to a secure location off site.

New Media Backups

When Retrospect performs a new media backup, it makes a new Backup Set (with a name similar to the old one) using a new or erased recordable disc, disk, or tape. This allows the original Backup Set and its Catalog File to remain intact for long-term storage in a safe place. The new Backup Set Catalog File and the new media member (or directory) are each named with a number in sequence, such as "Office Net [001]" and "1-Office Net [001]." Retrospect updates references to the old Backup Set in scripts and schedules so they refer to the new Backup Set.

New media backups are ideally used for rotating recordable discs, disks, or tapes for off-site storage.

Example of New Media Backup


Other Backup Strategies

Backup Strategies

Study different backup strategies to see how to maximize backup safety and effectiveness by alternating among Backup Sets and rotating media off site.


Adding Members to Backup Sets

When a medium fills with data, Retrospect asks for a new one. It uses any available (that is, in the drive) new or erased media. If the media has the name Retrospect is looking for, Retrospect erases and reuses it.

To reduce the danger of unintentionally destroying data, Retrospect never automatically uses media with the wrong name if it has data on it. Retrospect uses the Catalog File to keep track of files and media, so you never have to think about which files are on which piece of media in a Backup Set.

For Disk Backup Sets that use non-removable disks (e.g. fixed disks or network volumes) as the destination, you can add new members before Retrospect requests them. See Preparing Hard Disks for Use.


Snapshots

Because Retrospect does Progressive Backups, it may have several versions of a file scattered among several backup sessions within a Backup Set. For example, you may update your "Weekly Status Report" document every week, and because each update modifies the file, Retrospect backs up each one to your Backup Set. A flat list of all versions of all the files in the Backup Set would be very confusing. So, every time you back up, Retrospect places a Snapshot of the source volume in the Backup Set.

A Snapshot is a list—you can think of it as a picture—of all files and folders on a volume when it is backed up. For each volume, one Snapshot is stored in the Catalog File and a copy of the same Snapshot is stored on the backup medium. Following each successful backup or archive operation, the old Catalog Snapshot is replaced but old media Snapshots remain untouched and Retrospect adds new Snapshots to the medium.

When you want to restore from a backup, you can tell Retrospect to use a Snapshot to restore the entire contents of a volume. Or, you can use a Snapshot as a guide to see the volume as it was at a given point in time when it was backed up, picking and choosing individual files to restore. Snapshots allow you to perfectly restore each volume to its exact state at the time of any completed backup.

Snapshots help Retrospect keep track of the volumes to which a file belongs. When Retrospect first backs up a volume to a new Backup Set, it copies the selected files and saves a Snapshot. When it subsequently backs up other volumes, it does not copy files which exactly match files already in the Backup Set. However, they are still noted in each volume's Snapshot. This efficient storage saves storage media by not redundantly copying exactly matching files.

You can retrieve Snapshots from media if you want to restore a volume, folder, or file as it was at any given backup.

Because Snapshots represent a volume at a specific point in time, you cannot use them to find multiple versions of a file throughout different backup sessions on different dates. However, there are other ways to restore a file from a given date.


Retrospect and Clients

Retrospect can back up any volume that can be accessed from the Windows Explorer or can be assigned a drive letter, whether it is a volume shared over a network or a drive connected directly to your computer. Retrospect Client software can extend the backup and restore capabilities of Retrospect to other computers on your network. A computer equipped with this software is known as a client. Retrospect can back up any client on the network without the need for installing file servers, starting file sharing, or mounting volumes.

You can back up other computers on your network using Microsoft Networking, but this requires careful configuration of sharing, users, and permissions. Using Retrospect client software to back up the same computers is much simpler: you install the client software once, then, if that computer is turned on (even if no one is logged in), you can back it up over the network.


Proactive Client Backup

Retrospect's Proactive Client Backup technology accommodates changing network and disk configurations. Because it is driven by the availability of volumes and their need for backup, Proactive Client Backup is ideal for environments in which computers and hard disks, such as mobile computers and disks, irregularly appear on the network. When these clients are connected to the network, Proactive Client Backup learns of their presence and backs them up.

Volumes are backed up to the best available Backup Set media, so Proactive Backup scripts give you greater freedom to use the media of your choice. Retrospect client users can even initiate backups of their volumes. A Proactive Backup script is often best used in concert with regular backup scripts to produce a comprehensive backup strategy.

Proactive Client Backup is only available if you have the appropriate license code. Click Configure4Licenses to view your current licenses or purchase new ones.


Open File Backup

With Open File Backup, you can back up, duplicate, and archive open files and applications, even across multiple volumes.

Open File backup is an add-on product to the main Retrospect application. If the backup computer is installed with Retrospect Single Server or Retrospect Multi Server and you have a license code for Open File Backup, you can back up open files on Windows 2000, NT 4.0, and XP computers. To back up open files on a Windows XP computer, it must have an NTFS volume.

Click Configure4Licenses to view your current licenses or purchase new ones.


Overview of Hardware

Retrospect uses hardware intensively to transfer large amounts of data between a source volume and a backup device as efficiently as possible. If these hardware systems do not work correctly, Retrospect cannot properly back up your data.

You can see the hardware devices (tape drives, recordable disc drives, and removable disk drives) currently connected to the backup computer, by clicking Configure4Devices. The Storage Devices window displays device name, status, and location on the Status tab, and device ID, vendor ID, product ID, firmware version, and Retrospect driver on the Environment tab.


ASPI

ASPI (Advanced SCSI Programming Interface) is software which manages communication among peripheral devices. On a Windows operating system, this combination of integrated software is known as the ASPI layer.

Many peripherals include software that adds or modifies the ASPI layer with the setup program. Since ASPI is required for using a tape drive or recordable disc drive with Retrospect under Windows 98 and Me, Retrospect's setup program installs Adaptec Corporation's ASPI. It is not required under Windows NT, 2000, or XP.

Should you ever need to install ASPI on a Windows NT, 2000, or XP system, use the ASPI installer (aspiinst.exe) in the Retrospect application folder.


NT SCSI Passthrough

Under Windows NT, 2000, and XP, Retrospect communicates directly with tape and recordable disc devices using the NT SCSI Passthrough API if ASPI is not installed.


ATAPI

ATAPI (ATA Packet Interface) is a standard for connecting peripheral devices such as recordable disc drives and tape drives to a computer's IDE interface.

All ATAPI devices are connected internally on the IDE bus. There may be one or two devices per channel, numbered 0 and 1, known as the master device and the slave device, respectively. (ATAPI device numbers are set with jumpers or special cables.)

Retrospect uses ASPI to communicate with ATAPI devices on Windows 98 and Me. Your Windows 98/Me computer must have ASPI installed to use Retrospect with an ATAPI drive. (ASPI is not needed for Windows NT, 2000, and XP.)


SCSI

SCSI (Small Computer System Interface) is a specification of mechanical, electrical, and functional standards which lets a computer connect and communicate with peripheral devices such as hard drives, CD-R drives, tape drives, and scanners. You can add SCSI capability to your computer with a SCSI host adapter.

SCSI connects a computer with peripherals by linking one or more devices with SCSI cables plugged into SCSI ports. The devices are connected serially—one after the other—in a simple layout known as a daisy chain. Each device must have its own unique identifying SCSI address, or ID. (You set a device's ID number on the device itself.)

Both ends of a SCSI chain must be "terminated" to maintain the integrity of communication signals on the chain. This is done with a terminator, a device that attaches to an open SCSI port and acts as a plug or stopper. Most SCSI cards have built-in termination, so you need only worry about terminating the other end of your SCSI chain. If you have an internally terminated or self-terminating SCSI device, it should be the last device of the SCSI chain (that is, at the end and the furthest device from the computer). To find out the termination requirements for your specific hardware setup, refer to your SCSI card's documentation and the documentation that came with each peripheral device.

When to turn on your SCSI devices


USB

USB (Universal Serial Bus) is a specification of mechanical, electrical, and functional standards that lets a computer connect and communicate with input devices, such as keyboards and joysticks, and peripheral devices, such as storage devices and scanners.

USB connects a computer with peripheral devices by linking up to 127 devices with special USB cables plugged into USB ports. Windows 98, Me, 2000, or XP is required for using USB devices.

Retrospect needs special software drivers to support some USB devices. To determine which software is required for your USB device, search the supported devices database on www.dantz.com.

Refer to your USB storage device documentation for installation and configuration details.


IEEE 1394

IEEE 1394 is a specification of mechanical, electrical, and functional standards that lets a computer connect and communicate with storage devices, such as hard disks and cartridge drives, and other peripheral devices, such as scanners and video camcorders. IEEE 1394 technology is also known as 1394, i.LINK, or FireWire.

IEEE 1394 connects a computer with peripheral devices by linking up to 63 devices with special 1394 cables plugged into 1394 ports. IEEE 1394 is hot-pluggable, so you do not have to power off devices to add or remove them, nor do you have to restart the computer. IEEE 1394 is capable of extremely fast transfer rates.

Windows 98, Me, 2000, or XP is required for using IEEE 1394 devices.

Retrospect needs special software drivers to support some 1394 devices. To determine which software is required for your IEEE 1394 device, search the supported devices database on www.dantz.com.

Refer to your 1394 storage device documentation for installation and configuration details.


Adding Backup Devices

When you install a new backup device on your computer, you may need to take some extra steps to satisfy Windows’ New Hardware wizard. If you are installing a recordable disc device or a new removable device such as a Zip, Jaz, DVD-RAM, or SuperDisk, follow the instructions included with it to install required device drivers.

If you are installing a tape drive, follow the appropriate steps, depending on your operating system.


Seeing Your Backup Devices

To see available backup devices with Retrospect

1 | Start Retrospect.
2 | In the navigation bar, click Configure4Devices.
3 | Click the Environment tab.

Retrospect displays the connected devices. For each address, it lists the device ID, vendor ID , product ID, firmware version, and Retrospect driver.

If the device has been qualified by Dantz for use with Retrospect or the device is "recognized", the driver is identified in boldface. Recognized devices have not been put through Dantz's rigorous qualification tests, but will work fine with the listed driver under most circumstances.

To determine if your device is qualified, refer to www.dantz.com. You can also check to see if Dantz has released a Retrospect Driver Update (RDU) for your device.

If no driver is listed, or the words "no driver" appear, the device is not supported for use with Retrospect.

If your drive doesn't appear at all


When You Can't See Your Backup Devices

If you are backing up to recordable discs, removable disks, or hard disk devices, make sure you can see and access the drive in the Windows Explorer. If you cannot, refer to your drive's documentation for information on setting it up properly. When you can access it from My Computer, you should be able to see it in Retrospect.

All backup devices that are properly connected to the backup computer should also appear in the Windows Device Manager. If you cannot see the device, refer to its documentation for information on setting it up properly.

If you are backing up to tape or CD under Windows 95, 98, or Me, you must have ASPI installed. The Retrospect installer automatically installs or updates ASPI to the correct version. It is possible that an application installed after Retrospect altered the ASPI version.

First, make sure ASPI is installed correctly on your Windows 98 or Me computer. Run the ASPI check utility (ASPICHK.EXE) from the Retrospect folder. If any ASPI component is a version earlier than 4.60, run the ASPI installer (ASPIINST.EXE) from the Retrospect folder to update it.

If it is an internally connected ATAPI device, make sure the cable is firmly connected and it is correctly set as either the master or slave device.

Also make sure your computer's BIOS is set to enable all devices connected to the IDE bus. Refer to the documentation that came with your computer for more details.

For SCSI devices, make sure each device is turned on, the cables are securely connected, each device has a unique ID, and the SCSI chain is properly terminated. Do not rearrange devices on a SCSI chain unless each device and the computer itself are all turned off.

If your SCSI chain is not properly connected and terminated, or if there is an ID conflict, many different problems can result. The most harmless problem would be a device that does not appear in the device status list, which is immediately obvious. A more serious—yet subtle—problem could be a communication failure between the computer and the backup device, leading to data loss. The most serious problem would be damage to your computer or SCSI devices on the chain.


Backup Device Qualification

Dantz maintains an extensive laboratory devoted to testing Retrospect with different backup devices. Nothing taxes storage devices more than backups so if there is a problem, DantzLab’s intensive testing will most likely find it. Device manufacturers supply Dantz with pre-release versions of their devices so Dantz can identify problems before the devices are made available to the public. Refer to the Dantz Web site for the latest compatibility information and more specific details on supported devices.

If you have problems with Retrospect and your backup devices after you have confirmed you have a valid hardware and software installation, refer to the Problems and Solutions section of this Help system.


Toolbar Commands for Seeing Devices

In Retrospect's navigation bar, click Configure4Devices and click the Environment tab. It's toolbar has commands for seeing devices.

Ignore ID

If you select an ID and click Ignore ID, Retrospect will not scan that ID when Retrospect is next opened after you quit. (This is not a feature you will need to use unless directed to do so by Dantz Technical Support.)

Don't Ignore ID

To make Retrospect recognize a previously ignored ID, select the ID and click Don't Ignore ID. Retrospect will scan that ID when Retrospect is next opened after you quit.

Refresh

Clicking this button makes Retrospect scan addresses and display any changes since the window was initially opened.


Device Support and Disc Compatibility

Retrospect requires that you use a supported recordable disc drive for restoring files from CD/DVD Backup Sets. For a list of supported drives, see www.dantz.com.

Backup discs created by Retrospect are accessible only by Retrospect; they are not accessible from Windows and cannot be used with the Windows Explorer or other application programs.

You cannot use CD-ROM drives to restore from CD/DVD Backup Sets.


Recordable and Rewritable Media

CD-R and DVD-R discs are write-once media that cannot be erased. Use care when choosing your CD/DVD Backup Set names and when deciding which files to back up.

CD-RW, DVD-RW, and DVD+RW discs are rewritable and can be recorded over and over like floppy disks or cartridges. There is a limit to the number of rewrites, but you are not likely to encounter it with Retrospect.

This Help system uses the term "recordable disc," or simply "disc," to refer to a recordable disc to be used in a CD-R, CD-RW, DVD-R, DVD-RW, DVD+R, or DVD+RW drive. These drives all work nearly the same with Retrospect, though they may use different media. The difference is that data on "R" discs cannot be erased, while "RW" discs can be erased in rewritable drives and reused by Retrospect. Rewritable discs are, of course, recordable, so they are included in the term "recordable discs."

Retrospect can use any media supported by a given drive. Different brands, speeds, and types of media vary greatly. For best results, use high-quality media. Some drive manufacturers recommend or require particular brands of media with their drives, while some do not support using high-speed media. Check with your drive manufacturer for media recommendations.

Formatting discs with other programs prior to backup is neither necessary nor recommended. Use only unformatted or erased discs. You can erase formatted rewritable discs with Retrospect.

CD/DVD Backup Sets can span multiple discs.


Preparing Discs for Use

When you insert a disc in a recordable disc drive, the operating system or other software may ask how you wish to prepare or format the disc. Always ignore formatting prompts and exit these windows, since you should not prepare backup discs with anything but Retrospect.

When Retrospect is executing a script unattended and requires a new disc, it automatically uses any disc in the drive that is erased or has the correct name. It is a good idea to prepare discs for use ahead of time by erasing them.

Retrospect requires the exclusive use of the recordable disc drive and it will first eject any loaded, previously recorded (finalized) CD-ROM or audio disc from the drive. The drive's assigned drive letter is then reserved for Retrospect's exclusive use until Retrospect quits.

To make sure a disc is prepared for use with Retrospect, ensure that the device you want to use is listed in the Storage Devices window, then insert the disc. Once the disc is loaded, its status appears on the Status tab.

Status | Meaning
Ready | The disc contains Retrospect data.
Erased | The disc is empty and ready for use by Retrospect.
Write Protected | The disc is locked.
Content Unrecognized | The disc is not empty, but does not contain valid Retrospect data.
Wrong Version | a) The drive's firmware is not supported, or b) The inserted disc was written to by Retrospect for Macintosh. Retrospect for Windows cannot read such discs.
Hardware Error | A device error has occurred.
Damaged Disc | The disc was damaged during the previous backup. You may not be able to append to this disc.
Running and Busy | The drive is busy.
No Media | There is no disc in the drive.


Toolbar Commands for Discs

The Storage Devices window's Status tab toolbar has commands for recordable discs.

Properties—Displays information about the storage device and any inserted discs, including whether or not it is a member of a Retrospect Backup Set and its format.

Eject—Unloads the selected disc from its drive.

Erase—Erases the contents of the selected disc. This command is not available with CD-R discs.


Erasing Recordable Discs

To erase a disc

1 | In the navigation bar, click Configure4Devices.
2 | On the Status tab, select the recordable disc that you want to erase.
3 | Click [image] . (This command is not available for CD-R disc.)


Viewing Properties of Recordable Discs

Properties of a disc include its format, status, and whether or not it is a member of a Retrospect Backup Set.

To view properties of a disc

1 | In the navigation bar, click Configure4Devices.
2 | On the Status tab, select a recordable disc.
3 | Click [image] .


Configuring CD-RW Devices

Retrospect includes built-in recognition for many CD-RW drives. For drives that are not recognized, you can create a custom configuration.

Custom configurations are not qualified through Dantz's rigorous Hardware Certification process and therefore are not supported. After creating a custom configuration, you should perform a backup with verification turned on to ensure that Retrospect works properly with the device.

To configure an unrecognized CD-RW drive

1 | In the navigation bar, click Configure4Devices.
2 | If you have an unrecognized CD-RW drive connected to the backup computer, a dialog appears asking if you want Retrospect to attempt to build a custom configuration for the drive.
3 | Click Configure to customize the drive for use with Retrospect, or Ignore to skip configuration.
4 | Follow the prompts to create a custom configuration for the drive.

You can also create a custom configuration that overrides Retrospect's built-in recognition.

Use this procedure only if you are experiencing difficulty backing up to a CD-RW drive, or if directed to do so by Dantz Technical Support. While customization may improve communication between Retrospect and the drive, it may not.

To configure an already recognized CD-RW drive

1 | In the navigation bar, click Configure4Devices.
2 | Click the Environment tab and select the recordable disc device you want to reconfigure.
3 | Right-click and choose "Configure CD-RW Drive."
4 | Click Configure.
5 | Follow the prompts to create a custom configuration for the drive.

If performance does not improve, you can delete the custom configuration.

Only CD-RW capable drives support this feature. CD-R only drives are not supported.


Removable Disks

Retrospect considers a removable disk drive is a device that uses media which can be accessed with the Windows Explorer. This includes Zip, Jaz, SuperDisk, DVD-RAM, and MO. You must be able to copy files to and from the disk in Windows to use a removable disk with Retrospect.

Before using Retrospect to back up to a removable disk, you should be familiar with the procedures to insert, format, erase, and eject cartridges.

Backup Sets

When you create a Backup Set to be used for backup to a removable disk or disks, you can choose a file Backup Set or a disk Backup Set. A disk Backup Set can grow continuously by spanning multiple disk, just as a CD/DVD Backup Set can span multiple discs. A file Backup Set cannot grow beyond the available space of its single disk or cartridge.

When you add a removable disk volume to a disk Backup Set, you must erase the previous contents, if any, of the removable disk.

Backing up to a file Backup Set does not affect the other files on the disk to which you are backing up.

In Retrospect, the term disk is used to describe fixed disks, network volumes, and removable disks (e.g., Zip, DVD-RAM, MO). Disk and file Backup Sets can be used for all types of disks.


Viewing Removable Disk Status

To view a removable disk's status, make sure the device you want to use is listed in the Storage Devices window, then insert the disk. Once a disk is loaded, its status appears on the Status tab.

Status

Meaning

Ready

The disk contains Retrospect data.

Erased

The disk is empty and ready for use by Retrospect.

Contains Disk Backup Set data

The disk was used as a member of a disk Backup Set. Retrospect will not allow you to erase it.

Content Unrecognized

The disk is not empty, but does not contain valid Retrospect data. With a disk, the unrecognized content likely is other files, which you may not want to lose.

When a floppy, Zip, Jaz, SuperDisk, or MO shows as "Content Unrecognized," any files on a disk are permanently removed when Retrospect uses the disk for backup.

Unloaded

This usually means a disk is in the drive but must be ejected and reinserted to be used.

Running and Busy

The drive is busy.

No Media

There is no disk in the drive.


Preparing Removable Disks for Use

It is a good idea to prepare removable disks for use ahead of time by erasing or reformatting them then adding them as members of a Backup Set. When Retrospect is executing a script unattended and requires additional storage for the disk Backup Set, it will automatically use a disk that was previously added to the Backup Set.

After formatting or erasing disks, add the disks to a disk Backup Set.


Formatting Removable Disks

Before you use an unformatted cartridge or similar removable disk with Retrospect, you must first format the disk from the Windows Explorer or a formatting utility. It is a good idea to format all of your cartridges using the same formatting method.

To format a cartridge (such as Zip, Jaz, SuperDisk, DVD-RAM, or MO), use the software that came with your drive.

To format other disks

1 | In the navigation bar, click Configure4Devices.
2 | On the Status tab, select a disk.
3 | Click [image] .

On Windows NT, 2000, and XP, you can avoid long delays by formatting your cartridges as NTFS volumes.


Erasing Removable Disks

To erase a disk

1 | In the navigation bar, click Configure4Devices.
2 | On the Status tab, select the removable disk you want to erase.
3 | Click [image] .


Adding Removable Disks to a Backup Set

1 | In the navigation bar, click Configure4Backup Sets.
2 | Select the Backup Set to which you wish to add disks, then click Properties.
3 | Click the Members tab.
4 | Click Add.
5 | Select the disk you want to add to the Backup Set and click OK.


Toolbar Commands for Removable Disks

The Storage Devices window's Status tab toolbar has commands for preparing removable disks.

Properties

Eject—Unloads the selected medium from its drive.

Erase

Format


Viewing Properties of Disks

Viewing Properties of Removable Disks

The properties of a removable disk include its format, status, and whether or not it is a member of a Retrospect Backup Set.

To view properties of a removable disk

1 | In the navigation bar, click Configure4Devices.
2 | On the Status tab, select a disk.
3 | Click [image] .


Hard Disks

Retrospect supports hard disk drives as a backup destination. This includes internal and external hard disks directly connected to the backup computer, and hard disks served over the network. To use a hard disk with Retrospect, it must be accessible through the Windows Explorer, since Retrospect uses the file system, not custom drivers, to communicate with hard disk drives.

Hard disk drives are generally not listed in Retrospect's Storage Devices window. To see the hard disks available for use with Retrospect, click Configure4Volumes.

The only drawback of using a hard disk as a backup device is that the fixed disk does not have removable media for off-site storage and media rotation. "Hot-swappable" drives are more flexible in these respects.

When you create a Backup Set for backup to a hard disk or disks, you can choose a File Backup Set or a Disk Backup Set. A Disk Backup Set can grow continuously by spanning multiple disks. A File Backup Set cannot grow beyond the available space of its single disk or cartridge, because the entire backup is stored in a single file.

In Retrospect, the term disk is used to describe fixed disks, network volumes, and removable disks (e.g., Zip, DVD-RAM, MO). Disk and file Backup Sets can be used for all types of disks.


Preparing Hard Disks for Use

Retrospect treats fixed disks and network volumes (i.e. non-removable disks) differently than removable disks, although they all can be used as the destination for a disk Backup Set.

If a non-removable disk becomes full during an unattended backup, the backup pauses until a new member (in this case a removable disk, fixed disk, or network volume with available space) is added to the Backup Set. You can add members to a disk Backup Set before you need them, thus avoiding delays.

To add members to a disk Backup Set

1 | In Retrospect's navigation bar, click Configure4Backup Sets.
2 | Select the disk Backup Set to which you want to add a member.
3 | Click Properties.
4 | Click the Members tab then click Add.
5 | Select the disk to add as a new member and click OK.
6 | Specify how much of the disk you want to use for the Backup Set and whether or not you want to erase and rename the disk before using it.
 | Do not erase disks that contain information you need.
7 | Click OK.


Duplicating Hard Disks

You can also use Retrospect to duplicate one hard disk to another. However, because a duplicate is just a mirror of the source volume, not a managed backup, a duplicate lacks the flexibility and benefits of Retrospect's backup operation. The main advantage of a duplicate is that the files on the backup volume can be opened, copied, or otherwise used directly with the Windows Explorer, whereas with backups, you must first restore the files with Retrospect.


Tape Drives

Retrospect supports most tape drives without the need to install additional software.

Unlike random access devices such as hard drives, floppy disk drives, and CD-ROM drives, tape drives are sequential access devices. Since the data reading mechanism cannot immediately go to the correct data position on the media, a tape drive accesses data more slowly than a disk drive (or similar random access device). It's just like fast-forwarding a music cassette to find your favorite song.

Sequential access media is relatively inexpensive, has large capacity, and has a good sustained data transfer rate. Thus, tapes are particularly well suited for backups.

When you use Retrospect to back up a volume to a tape, the data is written sequentially from the beginning of the tape to the end. When you add backups to the tape, the data is appended where the previous data ends, until the tape runs out.

Neither the computer nor Retrospect will mount a tape or map it to a drive letter when you put it in the drive, so do not expect the tape to appear on your Windows desktop. You cannot see it on the desktop or from the Windows Explorer to drag files to and from the tape as you can with a disk volume. This is correct behavior because a sequential access device is not optimal for the type of file management you are likely to do with a mapped volume on the desktop. Though the technology exists to let you map a tape as a volume and use it like a disk, you probably would not want to do this for regular backups because of the performance issues discussed previously. Retrospect's system for backing up and restoring files to and from tapes is far more powerful, efficient, and reliable.

Tape Backup Sets can span multiple tapes.


Tape Capacity

The actual amount of data that will fit on a tape depends on many factors. A tape's capacity can be greatly influenced by the relative speeds of the backup computer and the tape drive.

If you back up a slow source (for example, a slow computer, a slow hard drive, or a shared volume on a network) to a fast tape drive, the tape capacity is reduced by the source's inability to supply a steady flow of data to the tape drive. (This is like dictating to an audio cassette recorder; you can record more words if you speak quickly without pauses, but when you take a breath you are wasting tape because the recorder is still going, recording silence.) When the tape drive runs out of data while backing up, it must stop writing data, reposition the tape, and resume writing at the correct section of the tape. Each reposition reduces the capacity of the tape, and excessive repositioning can lead to accelerated device wear.

Do not be surprised if your tapes end up with less than their advertised capacities. Some tape drives are represented as being capable of higher capacities than the drives normally achieve in day-to-day use. The representations refer to the amount of data before it gets compressed by a tape drive with hardware compression capability—and they often assume generous compression rates.


Compression

Compression, which can be done by Retrospect or a capable tape drive, conserves space on media by reducing the size of the data being stored. Compression does not actually increase the media capacity—a given disk or tape can only hold a certain amount of data. Compression squeezes the original data to a more compact size before the data is put on the medium, allowing you to fit more of your files on a given tape.

Data compression hardware is common on tape drives. Retrospect uses a drive's hardware compression whenever possible, automatically turning off Retrospect's software compression if necessary.

It is faster to let the hardware compress the data than to have Retrospect compress it.

The amount of compression varies depending on the type of data being backed up. Text files, for example, compress well while applications and system files do not. Compression typically reduces data to half its original size.

Retrospect disables hardware compression when you use encryption because encrypted data compresses poorly. If you need to use encryption and compression together, use Retrospect's software compression option. Retrospect then compresses the data before encrypting it, which is not possible when hardware compression is used.


Tape Drive Mechanisms

Although there are many companies that sell tapes drives, all these drives are built around a mechanism from one of a small group of manufacturers.

Popular types of tape mechanisms available are ADR, AIT/AME, DAT, DLT, DTF, Exabyte, Travan, Ultrium, and VXA. Robotic tape libraries are available for several types of these drive mechanisms.

High speed, large capacity tape drives such as AIT, AME, DLT, DTF, and Ultrium require a high performance environment. Best speed and capacity results are achieved with a fast computer platform, such as a Pentium IV model. The most important performance factor is the speed of the source volume. If the source is too slow, the drive must frequently stop to reposition the tape while waiting for additional data. If the drive repositions too often, copy performance decreases dramatically.

See www.dantz.com for detailed information on qualified tape drives.

High performance SCSI adapters can help increase overall performance when using tape drives.


Cleaning Your Tape Drive

Clean your tape drive regularly for reliable performance. Dirty drive heads are a major cause of tape drive problems and reported media failures (error –206). Cleaning most tape drives is as simple as inserting a special tape cleaning cartridge and letting the drive clean itself. Refer to your drive's documentation for its manufacturer's cleaning recommendations. Retrospect's Tape Cleaning Reminder preference can remind you to clean your drive at an interval you specify.


Preparing Tapes for Use

When Retrospect is executing a script unattended and requires a new tape, it will automatically use any appropriate tape that is erased or has the correct name. It is a good idea to prepare media for use ahead of time by erasing, formatting, or retensioning tapes.

To make sure a tape is prepared for use with Retrospect, make sure the tape drive you want to use is listed in the Storage Devices window, then insert the tape. Once a tape is loaded, it's status appears on the Status tab.

Status | Meaning
Ready | The tape contains Retrospect data.
Erased | The tape is empty.
Content Unrecognized | The tape is not empty, but does not contain valid Retrospect data. Often, this happens when a compressed tape is inserted in a drive without hardware compression abilities. It also happens when you insert a tape written to by other backup software.
Wrong Version | The inserted tape was written to by Retrospect for Macintosh. Retrospect for Windows cannot read such tapes.
Write Protected | The tape is locked.
Hardware Error | A device error has occurred.
Unloaded | This usually means a tape is in the drive but is rewound and must be ejected and reinserted to be used.
Running and Busy | The drive is busy.
No Media | There is no tape in the drive.


Toolbar Commands for Tapes

The Storage Devices window's Status tab toolbar has commands for preparing tapes.

Properties

Eject—Unloads the selected tape from its drive.

Retension

Erase

Format


Viewing Properties of Tapes

Properties of a tape drive include its format, status, hardware compression attribute, and whether or not it is a member of a Retrospect Backup Set.

To view properties of a tape drive

1 | In the navigation bar, click Configure4Devices.
2 | On the Status tab, select a tape drive.
3 | Click [image] .


Retensioning Tapes

Retrospect's Retension command winds the selected tape forward to the end and back to even out the tension and alignment with tape mechanisms that require retensioning. (Some types of tapes are retensioned automatically during execution and cannot be retensioned manually with this command.) You should retension tapes if they have not been used in a long time or if the temperature or humidity of their storage environment has changed significantly.

To retention a tape

1 | In the navigation bar, click Configure4Devices.
2 | On the Status tab, select a tape.
3 | Click [image] .


Erasing Tapes

To erase a tape

1 | In the navigation bar, click Configure4Devices.
2 | On the Status tab, select the tape you want to erase.
3 | Click [image] .

Retrospect erases the contents of the selected tape, and, in the case of some tape drive mechanisms, conditions media to be reused.


Formatting Tapes

When you format a tape, Retrospect completely reformats it. This is more time-consuming than erasing a tape, and it is only supported by certain tape drives.

To format a tape

1 | In the navigation bar, click Configure4Devices.
2 | On the Status tab, select a tape.
3 | Click [image] .


Tape Libraries

A tape library (sometimes called a loader, autochanger, or autoloader) is a hardware unit which mechanically moves tapes in and out of its drive mechanism from a magazine or fixed storage slots holding several tape cartridges. Tapes can be arranged in any order and Retrospect will determine which tape it needs to perform an unattended backup. Tape libraries are useful for large-scale network backups because they automatically change tapes when one fills up, limiting downtime. Many tape libraries are available, each using one or more of the many available tape drive mechanisms. For more information, refer to your tape library's manual and www.dantz.com.

Tape library support is only available if you have the appropriate license code. Generally, Retrospect Single Server and Retrospect Multi Server support tape libraries, while Retrospect Professional does not.


How Retrospect Works With Tape Libraries

Just after its power is turned on, or when its magazine is changed, a tape library determines which slots contain tapes. The library does not know the names of the tapes, only that they are present in the magazine.

When Retrospect needs information about the tapes, it scans the library to get the name of each tape. The library inserts each tape in turn, and Retrospect keeps track of the tape names and locations. Each time Retrospect starts, or the library's door is opened, or the magazine is changed, the library's contents may change, so Retrospect must scan to keep current.

Retrospect has a unique feature called "magazine memory" that speeds up subsequent scans of the library. Each time Retrospect exits, it records the state of each slot and drive in the library and saves this information as one of ten tables in its configuration file. (The ten tables reflect the ten most recent library scans.)

You can think of saved library tables as a kind of educated guess in the hunt for the correct tape. This method greatly increases the odds of finding a tape on the first attempt if the locations of the tapes in the library's magazine remain relatively constant.


Viewing Tape Library Status

To view a tape library's status, insert a loaded magazine and notice how the library, tape slots, and drives appear in the Storage Devices window. Retrospect displays the status of the magazine slots on the Status tab.

Icon | Status or Tape Name | Comments
 | (Empty) | The slot has no tape. This is certain because the library always knows of its empty slots.
 | (In Drive) | The slot has no tape because it was moved into the drive. This is certain because the library always knows from which slot it has moved a tape into the drive.
 | (Unknown) | The slot has never been scanned by Retrospect.
 | Name | The named tape was in the slot when Retrospect last scanned the magazine, but the status is unverified because the slot's content may have changed since then.
 | Name | The named tape was in the slot when Retrospect last scanned the magazine, and is verified so because the slot's content could not have changed since then.


Toolbar for Tape Libraries

Toolbar Commands for Tape Libraries

The Storage Devices window's Status tab toolbar has commands for preparing tapes libraries.

Properties—Displays various attributes of your library and contains a toolbar with the Magazine View command. This command is useful for libraries with many slots, since it lets you specify the number of slots grouped together in the Storage Devices window (for example, slots 1-10, slots 11-20, and so on). You can expand and collapse the different slot groups with the + and – icons. The number you specify does not represent any actual physical grouping of slots or magazines; it is for display purposes only.

Scan Media

Erase All—Erases each tape in each slot and drive in the library.

Eject Magazine—Ejects all media from the library. Use this command to reload a magazine with new media.

Cleaning Slot—Allows you to specify a particular slot in your library to hold a cleaning cartridge. Retrospect will not scan the specified slot when it searches for media.

Retrospect does not have a function for automatically cleaning drives in libraries, but it does have a tape cleaning reminder feature. Refer to your library's documentation for the manufacturer's cleaning recommendations.


Scanning Media

When you scan media, Retrospect cycles through all the tape slots in the tape library, moving each tape from slot to drive to learn the name of the tape.

If you're running Retrospect for the first time with a tape library, Retrospect is unaware of what tapes are loaded. To identify the tapes, scan the media as follows.

To scan media

1 | In the navigation bar, click Configure4Devices.
2 | On the Status tab, select a tape library.
3 | Click [image] .

Retrospect loads each tape into the drive and reads it.


Searching for a Specific Tape in a Library

The way Retrospect searches for a specific tape is the same, whether during unattended or attended execution.

When Retrospect requires a certain tape, it first looks in any tape drive connected to the computer. If it is not there, Retrospect then looks at the last saved library table for the last known slot location of the tape and loads the tape in that slot. If this is not the correct tape, or if there is not a tape in the slot, Retrospect looks at the next-to-last library table for the tape, and so on until the tape is found or there are no more library tables in Retrospect's configuration file. If the tape is still not found, Retrospect then scans the remaining unknown tapes in the library in sequential order. Should this process finish without Retrospect finding the desired tape, Retrospect opens a media request window, demanding operator attention. (If you have enabled Retrospect's "media request timeout" option, the media request window eventually closes, allowing any subsequent scripts to execute.)

When Retrospect requires a new piece of media, it automatically uses any appropriate media that is erased or has the correct name. It is a good idea to prepare media for use ahead of time by erasing, reformatting, or retensioning tapes.


Import-Export Support

Some libraries come with a separate port used to load single tapes into and from the library's main magazine without opening the door. Retrospect uses the term "import-export slot" for this feature, which is also known as "Mail Slot," "I/E element," and "Call Slot."

If the import-export slot is present and enabled in a library, Retrospect displays it as a separate slot at the top of the list of slots. You can drag and drop tapes from the source drive or any slot onto the import-export slot and the library moves the selected tape to the port. When you place a tape into the port, Retrospect displays "Media Available" next to the import-export slot and you can move it by dragging it to any slot or drive in the library.

Retrospect does not scan the import-export slot during unattended operation. Do not leave a tape in the import-export slot if you want to use the tape in an unattended operation such as a scripted backup.


Removable Storage Manager

Windows 2000 and XP's Removable Storage Manager allows you to manage tape libraries and other storage devices in conjunction with the operating system's built-in backup utility. Because this interferes with Retrospect's access of those same devices, Retrospect stops the service by default when it scans the SCSI bus for devices. With the service stopped, you can no longer use Removable Storage management. Use the Media Handling Preferences to control how Retrospect works with Removable Storage manager.


Using Retrospect and Removable Storage Simultaneously

If you need the Removable Storage service intact for managing devices other than those used by Retrospect, you can configure both Retrospect and Removable Storage in order to use both simultaneously. Disabling devices dedicated to Retrospect and preventing Retrospect from stopping the service allows the Removable Storage service to work with its other managed devices.

To make Retrospect not stop Removable Storage

1 | In the navigation bar, click Configure4Preferences.
2 | In the tree, under Media, click Handling.
3 | Clear the Stop Removable Storage Manager check box.
4 | Now use the Removable Storage management console to disable its use of the devices that you want to use with Retrospect.
 | a) In the Removable Storage management console, view the properties of each Retrospect device.
 | b) From the General Properties tab, turn off Enable Library or Enable Drive. For a library, you may have to disable both the library itself and its drive or drives.


Media Longevity and Storage

Media life depends largely upon how the media is stored and maintained. Proper storage avoids moisture, heat, and particulate contamination, which cause media deterioration, leading to loss of media integrity or loss of data itself.

Magnetic media's worst enemy is moisture. Optical media's worst enemy is heat, which causes distortion, and particulate matter, which causes scratches. Keep media out of direct sunlight and away from heaters. Avoid extreme temperature changes. Airborne particulates such as dust and cigarette smoke can also harm media.

Tapes are unique in that they use lubricant. The tape media is lubricated, and after many passes over the drive's heads, tapes tend to fail because the lubricant has dissipated. You should be able to get a few thousand passes from a tape, but remember that each tape operation involves several passes.

A fire-proof safe in a climate-controlled building is an ideal media storage location. At the very least, keep the media in its original containers inside a cabinet or desk.


Multiple Backup Drives

During an operation, Retrospect searches available backup devices for the appropriate medium. If the medium fills or Retrospect needs another medium for any reason, it searches available drives. Thus, you can have one drive with the tape Retrospect expects and another drive with an empty tape for when the first tape fills during the night. The drives must use similar mechanisms, such as two Travan drives.

Retrospect does not simultaneously write to multiple drives.


Introduction to Backing Up

There are three basic stages in backing up:

  1. Choose the source volume(s) to back up.

  2. Choose the destination—that is, the Backup Set in which to store the files (if no Backup Sets exist, you must create a new one).

  3. Execute the backup.

The first time you back up the contents of a volume, Retrospect backs up all specified files from the source volume to a Backup Set. In subsequent backups (unless you indicate otherwise), Retrospect backs up only those files which are new or which have changed since the last backup to that particular Backup Set. (This is known as a Progressive Backup.) This means that, if you back up frequently, fewer files are copied in each backup session and backups require less time, all else being equal.


Preparing the Storage Media

Before you attempt to back up files with Retrospect, check that your backup device is properly connected to the computer and that your backup medium (tape, disk, or disc) does not contain valuable data that should not be overwritten.


Backing Up Your Data

1

In Retrospect's navigation bar, click Backup4Backup.

2

If you have backed up before, the Immediate Backup window appears.

(If you have not backed up before, the Source Selection window appears. Use the list to select your computer name. Skip the remainder of these instructions, and instead follow the on-screen steps.)

3

Click Sources. The Source Selection window lists all volumes currently available to be backed up, including your internal hard disk, any mounted disks or hard disks, any logged-in client volumes, and any connected network volumes from file servers.

4

Click a volume to select it. To back up more than one volume, Shift-click or Control-click other volumes.

Do not select a source volume that is a disk drive unless you are going to back it up to a different drive. The source volume cannot be the same as the destination.

5

Click OK.

6

In the Immediate Backup window, click Destination. The Backup Set Selection window lists available Backup Sets.

7

Now you can:

  • Select an existing Backup Set.

  • Click More and use one of its options to pick a Backup Set and place it in the list.

  • Click Create New to make a new Backup Set.

8

For the purposes of this example, select an existing Backup Set, and click OK.

9

In the Immediate Backup window, verify your choices.

10

Click Selecting to filter which files and folders to back up.

11

Click Preview to scan the source volume (or volumes) and determine which files have been added or modified since the last backup. When the scan is complete, Retrospect opens a browser window that lists the files marked for backup. You can mark and unmark individual files and folders to be backed up.

12

Click Options to set backup execution options. Click More Choices for other options.

13

When Retrospect has the information it needs, it says "Ready to Execute" at the top of the backup summary window. When it is ready, click Backup.

Make sure the Backup Set media is loaded and ready to go.

14

Retrospect informs you when the execution is complete. If any errors occurred, you can view error details in the Operations log.


Creating New Backup Sets

You can create a new Backup Set from any window that includes the Create New button. For example the Configure4Backup Sets window or the Backup Set Selection window.

1

Click Create New.

2

Use the Storage Type list to specify the type of media on which to store the Backup Set.

3

Optional: Click Secure to specify a password for accessing the Backup Set, with optional data encryption.

  • Password Only prevents access to your Backup Set without a password. Stored data is not encrypted.

  • SimpleCrypt provides password protection and encrypts Backup Set data using Dantz's proprietary encryption format.

  • DES provides password protection and encrypts Backup Set data using the United States government Data Encryption Standard.
    Using encryption increases backup time. DES encryption is slower than SimpleCrypt, which provides adequate security for most needs.

If you forget your password you cannot access your data. There is no "magic key" or "back door" to circumvent the encryption. Not even Dantz Technical Support can help you.

4

Optional: If you set the Storage Type to "Tape" in step 3, use the Allow Hardware Data Compression check box to enable or disable hardware data compression in the backup device, if the device supports this feature.

Since you cannot simultaneously use encryption and hardware compression, this option is disabled if you are using encryption. If you need to use both encryption and compression, specify an encryption option in the security dialog, and use Retrospect's software compression option when copying files to the Backup Set.

6

Enter a unique and descriptive Name for the Backup Set, such as "Monday Complete Backup," "Accounting Backup," or "Friday Clients Backup." Retrospect uses this name to identify both the Catalog File and the Backup Set media. Name media Backup Sets carefully because, with the exception of file Backup Sets, they cannot be renamed later.

7

Enter a location to save the Catalog File associated with this Backup Set. The default location is ..\My Documents\Retrospect Catalog Files. Click Browse to specify a different location.

Retrospect works best if the Catalog File is saved on a readily accessible volume, preferably the local hard disk.

8

Click OK.


Planning Subsequent Backups

Once you have set up a backup, you can repeat the basic backup procedure as often as you want and even switch among multiple Backup Sets to maintain extra backups.

By default, Retrospect only backs up those files that have changed since the previous backup to a particular Backup Set.


Scripting Backups

If you want to automate your backups so they can be performed while your computer is unattended, use Retrospect's scripting feature to set up and schedule backups.

In the Immediate Backup window, click [image] to save the immediate backup information and settings as a script. You can then use the script to accomplish automatic, unattended backup operations.


Archiving Your Data

Archiving lets you copy files from a volume to a Backup Set for off-line storage.

To archive your data

1

In Retrospect's navigation bar, click Tools4Archive Files.

2

From this point forward, archiving is just like backing up your data, with the additional option of whether to move files. If you decide to move files, Retrospect deletes the original files from the source after copying them to the destination. This frees space on the volume.

Before you use the Move Files option, first archive to a different Backup Set by copying without moving. This provides an extra measure of safety should one Backup Set become unusable.

When archiving, Retrospect does not compare source files to files in a Backup Set. It simply copies the entire source.


Scripting Archives

When an archive summary window is active, you can click [image] to save the archive information and settings as a script. You can then use the script to accomplish archive operations.


Introduction to Restoring Your Data

Retrospect allows you to restore an entire volume or selected files and folders from the most recent backup or any previous backup session within a Backup Set. You can restore selected files or an entire volume using Snapshots from a Backup Set. You can also restore by searching through one or more Backup Sets by file name or other criteria.

Restoring Selected Files

Restoring an Entire Volume

Restoring by Search

For more information on other ways to restore, see Introduction to Restoring and Disaster Recovery.

To restore files that were backed up with Open File Backup, make sure to close or stop the application that uses the open files on the destination volume.


Using Snapshots

Retrospect's Snapshots make it easy to restore a volume to its exact state at the time it was backed up. A Snapshot is like a picture of the contents of a volume. It contains a list of all the files and folders on a volume and the sessions during which they were backed up. Each time you back up a volume, its Snapshot replaces the previous one in the Backup Set Catalog File. In addition, the new Snapshot is added to the backup medium, which also contains all previous Snapshots.

To restore an entire volume, simply choose the Snapshot you want to restore.

You can also restore individual files from a Snapshot. This is the easiest way to retrieve files that you know were on a volume during a given backup. If no Snapshot is available, you must define search criteria to choose which files to restore.

You can retrieve Snapshots from media if you want to restore a volume, folder, or file from a backup other than the most recent one.

Once you retrieve a Snapshot, it is also stored in the Catalog File until you tell the Backup Set to "forget" it. See Configuring Backup Sets for more information.


Click More if your desired set is not listed.

If you don't see the Snapshot you want, click Add Snapshot to select it from a list of all Snapshots in the Backup Set, and click Retrieve.

A Mac OS client's Desktop needs to be updated after a large restore, such as an entire volume. Restart the Macintosh while holding down the Command and Option keys to rebuild the Desktop.

Restoring Selected Files

1

In Retrospect's navigation bar, click Restore4Selected Files.

2

In the top half of the Restore From Backup Source window, select the Backup Set from which to restore.

If you don't see your Backup Set

3

In the lower half of the window, select a Snapshot from which to restore. The date and time when the volume was last backed up are listed to the right of the volume's name.

If you don't see the Snapshot you want

4

Click OK.

5

In the Destination Selection window, select a volume on which to place the restored files. This volume does not have to be the original volume from which the files were backed up; it can be a folder defined as a Subvolume or any available volume or belonging to a client on the network.

6

From the drop-down list, choose the method to restore files:

  • Restore Entire Volume—makes the destination volume like your selected Snapshot. It deletes all files and folders on the destination which do not match those marked for restore in the Snapshot. It copies files and folders from the Backup Set, preserving the folder hierarchy.

To prevent the operating system from crashing, this method does not delete the active Windows system, nor does it delete the "blessed" system folder of a Mac OS client.

  • Replace Corresponding Files—copies the marked files to the destination volume into the same folders. Corresponding files are overwritten, even if they are newer. Retrospect leaves files untouched if they are identical to files marked for restore, if the file names do not match those marked for restore, or if the path to those files is not identical.

  • Retrieve Files & Folders—creates a new folder on the destination volume (giving the folder the name of the Backup Set), then copies files into this folder, preserving the folder hierarchy. Nothing is replaced or overwritten.

  • Retrieve Just Files—creates a new folder on the destination volume (giving the folder the name of the Backup Set), then copies only the files into this folder. The folder hierarchy is not preserved. Nothing is replaced or overwritten. (Do not use this option to retrieve a large number of files or a whole volume.)

The Restore Entire Volume and Replace Corresponding Files methods may destroy data on the destination. If you choose one of these, be sure it is acceptable to erase or replace files on the destination volume.

7

Click OK.

8

In the Restore from Backup window, verify your choices.

9

Click Files Chosen to select individual files or folders to be restored.

10

Optional: Click Options, and then More Choices to restore the Windows registry and update the modification dates of restored files, among other things. See Introduction to Execution Options for more information.

11

Make sure the Backup Set media is in the backup device.

12

When Retrospect has the information it needs, it says "Ready to Execute" at the top of the backup summary window. Click Restore.

13

Retrospect informs you when the execution is complete. If any errors occurred, you can view error details in the Operations log.

Updating MAC OS client after large restore


Click More if your desired set is not listed.

If you don't see the Snapshot you want, click Add Snapshot to select it from a list of all Snapshots in the Backup Set, and click Retrieve.

A Mac OS client's Desktop needs to be updated after a large restore, such as an entire volume. Restart the Macintosh while holding down the Command and Option keys to rebuild the Desktop.

Restoring an Entire Volume

1

In Retrospect's navigation bar, click Restore4Entire Volume.

2

In the top half of the Restore From Backup Source window, select the Backup Set from which to restore.

If you don't see your Backup Set

3

In the lower half of the window, select a Snapshot from which to restore. The date and time when the volume was last backed up are listed to the right of the volume's name.

If you don't see the Snapshot you want

4

Click OK.

5

In the Destination Selection window, select a volume on which to place the restored files. This volume does not have to be the original volume from which the files were backed up; it can be a folder defined as a Subvolume or any available volume or belonging to a client on the network.

6

From the drop-down list, choose:

  • Restore Entire Volume—makes the destination volume like your selected Snapshot. It deletes all files and folders on the destination which do not match those marked for restore in the Snapshot. It copies files and folders from the Backup Set, preserving the folder hierarchy.

To prevent the operating system from crashing, this method does not delete the active Windows system, nor does it delete the "blessed" system folder of a Mac OS client.

The Restore Entire Volume method may destroy data on the destination. If you choose this method, be sure it is acceptable to erase or replace files on the destination volume.

7

Click OK.

8

In the Restore from Backup window, verify your choices.

9

Optional: Click Options, and then More Choices to restore the Windows registry and update the modification dates of restored files, among other things. See Introduction to Execution Options for more information.

10

Make sure the Backup Set media is in the backup device.

12

When Retrospect has the information it needs, it says "Ready to Execute" at the top of the backup summary window. Click Restore.

13

Retrospect informs you when the execution is complete. If any errors occurred, you can view error details in the Operations log.

Updating MAC OS client after large restore


Scripting Restores

If you are restoring an entire volume or selected files, you can easily create a script to accomplish restore operations. When the restore summary window is active, click [image] to save the immediate restore information and settings as a script.


Restoring By Search

If you don't know which Snapshot includes the files you want to restore, you can restore by search. This methods of restoring lets you find all backed up versions of a file, regardless of which Snapshot(s) they are included in. Then you can choose which version to restore based on file size, date, etc.

Restore by searching does not restore NTFS permissions or AppleShare or Mac OS file sharing privileges. You must restore from a Snapshot to restore these permissions.

1

In Retrospect's navigation bar, click Restore4Find Files.

2

Select one or more Backup Sets in which to search, and click OK.

If you don't see your Backup Set

3

In the Destination Selection window, select a volume on which to place the restored files.

4

From the drop-down list, choose the method to restore files:

  • Restore Entire Volume—effectively erases the destination volume before restoring files. It copies files and folders from the Backup Set, preserving the folder hierarchy.

To prevent the operating system from crashing, this method does not delete the active Windows system, nor does it delete the "blessed" system folder of a Mac OS client.

  • Replace Corresponding Files—copies the marked files to the destination volume into the same folders. It replaces files with the same names as those being restored, even if they are newer.

  • Retrieve Files & Folders—creates a new folder on the destination volume (giving the folder the name of the Backup Set), then copies files into this folder, preserving the folder hierarchy. Nothing is replaced or overwritten.

  • Retrieve Just Files—creates a new folder on the destination volume (giving the folder the name of the Backup Set), then copies only the files into this folder. The folder hierarchy is not preserved. Nothing is replaced or overwritten. (Do not use this option to retrieve a large number of files or a whole volume.)

    The Restore Entire Volume and Replace Corresponding Files methods may destroy data on the destination. If you choose one of these, be sure it is acceptable to erase or replace files on the destination volume.

5

Click OK.

6

In the Searching and Retrieval window, specify your search criteria.

7

Click OK. The results appear in the summary window.

8

Click Files Chosen to select the files you want to restore. Depending on your search criteria, your browser may list more than one version of a particular file. For example, a given file may have been modified daily and backed up every day over a certain period of time.

9

Optional: If the browser does not display the files you want, you can close it and return to the Searching and Retrieval summary window to redefine the search criteria by clicking Searching.

In the next window, refine your search and click OK. A dialog appears. Select one of the following:

  • New—replaces the results of the previous search with the results of the new search.

  • Narrow—uses the new criteria to further restrict the selection.

  • Widen—uses the new criteria to add files to the current selection.

10

Click OK.

11

When you are satisfied with the Files Chosen, make sure there is media in the backup device.

12

If Retrospect has the information it needs, it says "Ready to Execute" at the top of the backup summary window. When you are ready, click Retrieve.

13

Retrospect informs you when the execution is complete. If any errors occurred, you can view error details in the Operations log.

Updating MAC OS client after large restore


Introduction to Duplicating Your Data

Retrospect allows you to duplicate files on a volume or between volumes. Retrospect copies files and folders without compression, in the standard file system format, which is useful when transporting data to other computers. However, Retrospect optimizes the duplication process by copying only your selected files and by copying only those files which do not already exist on the destination.

When encrypted files are duplicated, they remain encrypted.

The duplicate feature is useful, for example, for a network administrator to do a user-accessible backup of a server or database to a hard disk.

Subvolumes are useful tools for duplicates. For example, a network administrator can define an application folder on a server as a subvolume and duplicate it for quick installation on a user's workstation.


Duplicating Your Data

1

In Retrospect's navigation bar, click Backup4Duplicate.

2

In the Source Selection window, select the source volume from which the files will be copied, and click OK.

3

In the Destination Selection window, select a destination volume.

4

Choose a method for placing the files on the destination volume:

  • Replace Entire Volume—replaces the entire contents of the destination volume with the selected files and folders from the source volume. Identical files already present on the destination are not duplicated. Files that exist on the destination volume, but not the source volume, are removed from the destination.

  • Replace Corresponding Files—duplicates all files from the source volume, overwriting those files with the same name and relative location on the destination volume, even if the destination files are newer. Identical files already present on the destination are not duplicated. Files that exist on the destination volume, but not the source volume, are left untouched.

5

Click OK.

6

Verify your information in the Immediate Duplicate window.

7

When Retrospect has the information it needs, it says "Ready to Execute" at the top of the summary window. Click Duplicate.

Duplicating may destroy data on the destination. Be sure it is acceptable to erase or replace files on the destination volume.

8

Retrospect informs you when the execution is complete. If any errors occurred, you can view error details in the Operations log.


Scripting Duplicates

When an Immediate Duplicate summary window is active, click [image] to save the information and settings as a script. You can then use the script to accomplish duplicate operations.


Introduction to Automating Backups

You can use Retrospect scripts to automate regular backups. A Retrospect script contains predetermined information for the various elements of an operation, such as the source, destination, and file selection criteria. This is the same information used in an immediate operation, but you can save it in a script for repeated use and unattended, automatic operation.

When a script is run, Retrospect performs the operation using the predetermined information. You can run a script at your command or schedule times for Retrospect to automatically execute it. Create scripts for any procedure you perform on a regular basis.

Automate your backup in one of two ways:

  • Use the EasyScript Wizard to guide you step-by-step, if you are not sure about what kind of script to make, but you want ongoing, unattended backups.

  • Create your own scripts after reviewing how in Creating Backup Scripts. That section covers the basics of creating backup scripts. All other script types (such as archive, duplicate, and restore) use the same basic ingredients.

Choose script operating times which are most convenient for you and for other users. Scheduling scripted backups ensures data is backed up consistently—all you have to do is make certain the backup computer is turned on and the proper media is in the backup device. Scripts are an important part of developing a backup strategy.

Another advantage of a scripted backup is that it requires less memory than an immediate backup, allowing you to back up more volumes in a single operation. For a scripted backup, Retrospect scans and backs up the sources one volume at a time; this requires only enough memory to store the scanned list of the largest source volume. For an immediate backup, however, Retrospect scans all sources before it begins copying files, meaning that it requires enough memory to store the scanned list of all source volumes.

For information on managing and maintaining scripts, see Maintaining Scripts.


Introduction to the EasyScript Wizard

The EasyScript Wizard steps you through a series of questions and uses your responses to set up a backup strategy and procedure for you or your network. It simplifies creating Backup Sets, editing scripts, and scheduling. The EasyScript Wizard is self-descriptive and easy to use.

Before you use the EasyScript Wizard, you should be familiar with immediate backup operations. Doing the Quick Start tutorial is a good start.

Backup scripts are the only type of scripts created by the EasyScript Wizard. If you need another type of script, such as a restore script or a duplicate script, you cannot use the EasyScript Wizard.

The EasyScript Wizard can be used with Tape Backup Sets, Disk Backup Sets, or CD/DVD Backup Sets, but not File Backup Sets.


Using the EasyScript Wizard

1

In Retrospect's navigation bar, click Automate4EasyScript.

2

Click Next.

3

Select I want to back up only this computer or I want to back up this computer and others on my network.

Backing up networked computers requires Retrospect client software on those computers and appropriate license codes for Retrospect on the backup computer.

4

Click Next.

5

If you chose to back up other computers on the network, the EasyScript Wizard asks you to confirm the client computers to use as sources. Currently logged in clients are shown in the scrolling list. All clients logged in to Retrospect when the script executes are backed up by Retrospect. Therefore, after creating a script, you can log in new clients and be assured they will be backed up by the script. Click Next.

6

Specify the type of media to use for the backup (Tapes, CD/DVD discs, or Disks), and click Next.

7

Indicate how many Backup Sets you want, then click Next.

We suggest using two Backup Sets for additional protection.

8

Indicate how often you would like to back up: Every Weekday, Once a Week, or When I Choose.

9

Click Next.

10

If you chose "Every Weekday" or "Once a Week" in step 8, specify the day and time for the script to run. Click Next.

If you chose "When I Choose" in step 8, the EasyScript Backup Summary window appears. Follow the on-screen instructions.

11

Optional: In the Summary window, clear the Start the First Backup Now check box.

12

Click Finish.

You can only have one current EasyScript, since the EasyScript Wizard always uses the same script name. If you want to create more scripts using the Wizard, rename the first script from "EasyScript Backup" to something else.


Creating Backup Scripts

If you have never created a backup script, you should first read about backing up. Follow the instructions to familiarize yourself with the various steps of setting up a backup. You can also use the EasyScript Wizard to create a backup script.

To create a script

1

In Retrospect's navigation bar, click Automate4Manage Scripts.

2

Click New.

3

Specify the kind of script to create. In this case, select Backup, and click OK.

4

Enter a name for the script, and click New.

5

The Backup window appears.

  • Sources lets you add or remove source volumes.

  • Destinations lets you choose one or more destination Backup Sets.

  • Selecting lets you choose a selector, a kind of filter for selecting files and folders to be backed up. Retrospect uses "All Files" as the default. However, this doesn't necessarily cause all the files to be copied to the destination. It merely selects the files. Selected files not already in the Backup Set are then copied to the destination.

  • Options displays the Options window in which you can toggle verification and data compression.

  • Schedule lets you specify when the script is run.

6

Click Sources. When no items are chosen, as is the case in a new script, Retrospect automatically opens the Source Selection window.

7

In the Source Selection window, select a volume, and then click OK.

To add more volumes to the source list, click Add and select the volume(s). Volumes are backed up in the order they appear in the list. To change the order, drag and drop the volume icons to a new position.

8

Click Destinations. When no items are chosen, as is the case in a new script, Retrospect automatically opens the Backup Set Selection window.

9

Select one or more Backup Sets, and then click OK. You can have multiple destination Backup Sets so you can rotate among the sets for more safe and effective backups. When at least one Backup Set is listed in the destinations window, click OK.

If no Backup Sets are listed

10

To save the script now without executing it, click [image]. See Immediate Execution for information on how you can execute this script on your command.

To set a time for the script to execute, click Schedule.

11

Click Add.

12

Select the type of schedule: Day of Week, Repeating Interval, or Single Date.

13

Click OK.

14

Use the controls to set the schedule.

15

Use the Action list to specify Normal Backup, Recycle Backup, or New Media Backup.

16

If your script has more than one destination, use the To list to set the destination Backup Set for the scheduled execution.

17

Click OK.

18

Click OK.

19

Click [image].

Do not feel obliged to schedule an execution; there are other ways to run scripts, as detailed in Executing Scripts. If you want to delete the schedule you just made, go ahead and remove it so it does not intrude at a later time.

20

Click [image] to check the validity of the script. If the script is invalid, Retrospect shows why so you can edit the script to correct the problem.

21

In the dialog that says the script appears valid, click Check Media to have Retrospect examine the backup device and look for the specified media member or click OK to return to the script summary window.

If you did not schedule the script in step 19, the Check Media button is not available.


Scheduling Scripts

You can schedule a script to run automatically on specified days or on a repeating schedule, such as every two weeks. You can even define multiple schedules for the same script and specify the kind of backup you want for each scheduled execution.

Retrospect's Schedule Execution preferences define the time period during which scripts are allowed to execute. Scripts scheduled to execute outside this period will not run.

At the time you schedule a script, you must specify the Backup Set (if the script has more than one destination) and the type of backup action.

  • A normal backup marks for backup only files which are new, newly-modified, or new to the Backup Set. (This is Retrospect's default.)

  • A recycle backup erases a Backup Set and then adds every file not already in the Backup Set—in effect, all files.

  • A new media backup creates a new Backup Set and copies every file not already in the Backup Set—again, in effect, all files.


Schedulers

There are three types of schedulers: Day of Week, Repeating Interval, and Single Date. A script can contain any combination of one or more of these schedulers.

All scheduler types have a few common controls and settings.

Start Date and Time

This determines the earliest time at which the first backup is allowed to occur. To change these values, click any individual part of the date or time. Type the new information or click the arrows to change the information.

Do not be misled by the Start Date; execution will not necessarily happen on that date because a week starts on the Sunday of the week of the start date. For example, with the start date of 4/19/2002 Fri, set to run on Sunday every two weeks, when you save the script on Thursday, April 18, you might expect it to run Sunday, April 21 but it does not execute until April 28. Observe the summary at the top of the window, which shows the actual date the script will first execute.

Backup Action Type and Destination

If the schedule is for a backup script, then from the Action list, click Normal Backup, Recycle Backup, or New Media Backup.

If the script has multiple Backup Set destinations, use the To list to choose the Backup Set to be used for the scheduled execution.

Retrospect allows you to have more than one Backup Set for a script so you can rotate media as part of your backup strategy. You specify the Backup Set for each schedule or execution.


Using the Day of Week Scheduler

1 | In Retrospect's navigation bar, click Automate4Manage Scripts.
2 | Select the script you want to schedule, and click Edit.
3 | Click Schedule.
4 | If it is not yet scheduled, click Add.
5 | Click Day of the Week, and then click OK.
6 | Specify a Start date.
7 | Select the days of the week you want the script to execute.
8 | Enter a number to use as the repeating interval for the Weeks. For example, if you enter "2" and select "Monday," the script repeats every other Monday. Keep in mind that a week starts on the Sunday of the week of the start date.
9 | If the script you selected is a backup script, use the Action list to specify Normal Backup, Recycle Backup, or New Media Backup.
10 | If your script has more than one destination, use the To list to set the destination Backup Set for the scheduled execution.
11 | Click OK.


Using the Repeating Interval Scheduler

1 | In Retrospect's navigation bar, click Automate4Manage Scripts.
2 | Select the script you want to schedule, and click Edit.
3 | Click Schedule.
4 | If it is not yet scheduled, click Add.
5 | Click Repeating Interval, and then click OK.
6 | Specify a Start date. For weekly backups, this determines the day of the week when future backups will occur. For monthly backups, the start date's day of the month determines when future backups will occur. For example, if the Start date is the fifteenth of the month, subsequent monthly backups will occur on the fifteenth. If you specify a monthly backup on a date at the end of the month (such as the thirty-first), the backup will be run on the last day of the month.
7 | Use the Repeat list to select an interval, and then enter a number in the repeat interval box. What you select in the Repeat list determines whether the repeat interval is listed in Days, Weeks, or Months.
8 | Click OK.


Using the Single Date Scheduler

1 | In Retrospect's navigation bar, click Automate4Manage Scripts.
2 | Select the script you want to schedule, and click Edit.
3 | Click Schedule.
4 | If it is not yet scheduled, click Add.
5 | Click Single Date, and then click OK.
6 | Specify a Start date. The script will run once at the specified date and time, and never again.
7 | If the script you selected is a Backup Script, use the Action list to specify Normal Backup, Recycle Backup, or New Media Backup.
8 | If your script has more than one destination, use the To list to set the destination Backup Set for the scheduled execution.
9 | Click OK.


Scheduled Executions

Retrospect keeps track of all of your scheduled scripts and automatically executes them at the times you specify. The Script Preview window shows upcoming scheduled events.

Retrospect's Schedule Execution preferences define the time period during which scripts are allowed to execute. Scripts scheduled to execute outside this period will not run.

Retrospect checks the computer's clock and compares it to the next time a script is scheduled to run.

Retrospect is ever-vigilant about scheduled script executions. If a script is scheduled for automatic execution within the look-ahead time (normally twelve hours), Retrospect will not automatically quit (or shut down or restart, depending on preference settings). It instead remains open and waits to execute the script.

For more information, see Controlling Executions.


Introduction to Executing Scripts

Once you have created and saved a script, you need to execute it to perform its intended operation. Retrospect gives you several options:

  • Scheduled Execution

  • Immediate Execution

  • Run Documents

  • Halting Executions

  • Controlling Executions


Immediate Execution

There are three ways to execute a script right away.

  • Run Menu—From the Run menu, choose the name of the script.

  • Choose Automate4Manage Scripts—Select a script, click Edit, then click [image].

  • Run Document—Create a run document that you can execute from the desktop or Windows Explorer.

This topic focuses on the first two ways.

1 | In the Manual Script Execution window, select Execute Now.
2 | If the script being run is a backup script, use the Action list to specify Normal Backup, Recycle Backup, or New Media Backup. If you are not sure which to use, select "Normal Backup."
3 | If the backup script has more than one destination, use the To list to set the destination Backup Set for the scheduled execution.
4 | Click Execute.
5 | Retrospect performs the scripted operation, prompting you for media if necessary, displaying its progress in the execution status window.
6 | Retrospect informs you when the execution is complete. Retrospect's unattended execution preference determines what it does when the script is completed. By default, unless another script is scheduled to execute within twelve hours, it quits.
7 | If any errors occurred, you can view error details in the Operations log.


Select the run documents and choose Open from the File menu. The scripts associated with the run documents are executed in alphabetical order by script name, regardless of the run documents’ file names.

Run Documents

Run documents provide a way to run scripts from your desktop without even having to open Retrospect. You can create multiple run documents, each specifying a different backup action and destination Backup Set, for a single script

To create and execute a run document

1 | In Retrospect's navigation bar, click Automate4Manage Scripts.
2 | Select a script, click Edit, and then click [image] .
3 | Select the Make a "Run Document" radio button.
4 | If the script being run is a backup script, use the Action list to specify Normal Backup, Recycle Backup, or New Media Backup. If you are not sure which to use, select "Normal Backup."
5 | If the backup script has more than one destination, use the To list to set the destination Backup Set for the scheduled execution.
6 | Click Save.
7 | Enter a file name and location.
8 | Click Save. Retrospect creates a special run document.
9 | Leave Retrospect and go to the desktop or Windows Explorer.
10 | Double-click the Run Document. Retrospect executes the script.

To run several scripts sequentially


Halting Executions

There are several ways to halt or pause script executions. You can temporarily pause a running script or temporarily prevent a script from running. Below are other ways to halt or skip its execution.

When a scheduled script prepares to run automatically, it counts down to execution. To intercept it before it actually begins operating, click Stop in the countdown window. The Execution Choices window appears.

  • To cancel this execution, click Skip Until Next Scheduled Run, and then click Skip.

  • To cancel execution of all pending scripts, select Skip All Pending Executions, and then click Skip.

  • To execute the script, select Execute Now, and then click Execute.

  • To delay execution of this script and all other scripts until after you quit Retrospect, select Defer Scheduled Executions Until Quit, and then click Defer.

  • To delay execution of the script (but no other scripts) until a future date, select Defer Scheduled Executions Until, set the date and time, and then click Defer.


Media Requests

When necessary, Retrospect prompts you to insert media by displaying the media request window. In most cases, Retrospect continues with the operation when you insert correctly named or erased media and click Proceed.

However, for unattended scripts you won't be there to answer the media request. You can avoid this situation by inserting the proper media member before you execute the script or before its next scheduled execution.

Retrospect is very particular about media names for recycle and new media backups—if the inserted medium is not erased, its name must be the one requested in order for Retrospect to proceed without prompting you. When performing new media or recycle backups, erase the media in advance to be sure Retrospect will proceed automatically.

Should you ever wonder whether your backup device has the correct medium for the next script execution, you can have Retrospect check whether the correct Backup Set member is available.

When performing a normal backup, Retrospect requires the Backup Set's most recently used medium, though it will use a blank medium if the other medium was skipped. (For more details, see The Options Tab and Media Request Preferences.)


Introduction to Scripted Archive

The process of creating and using an archive script is almost identical to that of a backup script. This section explains the differences between the two script types.

An archive script is just like a backup script, but it has the added option of moving—rather than copying—files from the source to the archive media. This allows you to remove seldom-used files from a hard disk without permanently getting rid of them.

Another difference between archive scripts and backup scripts is that archive scripts (by default) archive all selected source files regardless of whether or not they are already in the destination Backup Set.


Moving Files

If you need to free up space on a source volume, but want to make sure to save a copy of all the files on the volume, you can create an archive script with the Move Files option on. In the archive script summary window, click Options.

Select the Move Files check box to make Retrospect copy the source files to the Backup Set, verify them, and then delete the files from the original source volume(s).

Before you use the Move Files option, archive to a different Backup Set by copying without moving. This provides an extra measure of safety should one Backup Set become unusable.


Introduction to Scripted Duplicates

Duplicating means copying files among volumes, much like using the Windows desktop or Explorer to drag files or folders from one disk to another. Retrospect's duplicate function is intelligent, which makes it faster.

You can use duplicate scripts for doing unattended copying of hard disks, folders, or file server volumes. A duplicate script would be useful, for example, for copying a folder from a hard disk to a folder on a file server at the end of every week.

Subvolumes are useful as sources or destinations for duplicating.

Making a duplicate script is much like doing an immediate duplicate operation. Just specify the volume from which to copy and the volume to which the files are to be copied.


Creating Scripts to Duplicate

1

In Retrospect's navigation bar, click Automate4Manage Scripts.

2

Click New.

3

A dialog asks what kind of script to create. Select Duplicate, and click OK.

4

Enter a name for the script, and click New.

5

Click Sources.

6

Select the source volume, and click OK.

7

Click Destination.

8

Select the volume to which to copy the files.

9

Use the drop-down list to indicate what happens to the existing contents of the destination drive:

  • Replace Entire Volume—deletes all files and folders on the destination which do not match those marked for duplication, leaving files untouched if they are identical to files marked. It then duplicates remaining files and folders from the source, preserving the folder hierarchy.

  • Replace Corresponding Files—copies the marked files to the destination volume into the same folders. Corresponding files are overwritten, even if they are newer. Retrospect leaves files untouched if they are identical to files marked for duplication or if the file names do not match those marked.

Duplicate operations can destroy your files. Destination items are replaced by those duplicated from the source, or deleted entirely.

10

Click OK.

11

At this point, you have provided the minimum information required for the script to run, but you may want to change some other script settings.

  • Selecting lets you choose a selector, a kind of filter for selecting files and folders.

  • Options displays the Options window in which you can toggle verification or data compression.

  • Schedule lets you schedule the script to run at certain times or at regular intervals.

12

Click [image].

13

Execute the script in any manner you wish.


Introduction to Scripted Restore

Making a restore script is much like setting up an immediate restore operation. The main elements you specify are the Backup Set and Snapshot to copy from and the volume to which the files and folders are to be restored.

A restore script would be useful, for example, in a student computer lab environment in which the hard disks are restored from a common source every night.


Creating Scripts to Restore

1

In Retrospect's navigation bar, click Automate4Manage Scripts.

2

Click New.

3

A dialog asks what kind of script to create. Select Restore, and click OK.

4

Enter a name for the script, and click New.

5

Click Source.

6

In the top half of the window, select the Backup Set from which to restore.

If you don't see your Backup Set

7

In the lower half of the window, select a volume Snapshot from which to restore. The date and time when the volume was last backed up are listed to the right of the volume's name.

If you don't see the Snapshot you want

8

Click OK.

9

Click Destination.

10

In the Destination Selection window, select a volume on which to place the restored files. This volume does not have to be the original volume from which the files were backed up; it can be a folder defined as a Subvolume or any volume in the My Computer, My Network Places, or Backup Clients containers.

11

Use the drop-down list to choose the method to restore files:

  • Restore Entire Volume—makes the destination volume like your selected Snapshot. It deletes all files and folders on the destination which do not match those marked for restore in the Snapshot. It copies files and folders from the Backup Set, preserving the folder hierarchy.

To prevent the operating system from crashing, this method does not delete the active Windows system, nor does it delete the "blessed" system folder of a Mac OS client.

  • Replace Corresponding Files—copies the marked files to the destination volume into the same folders. Corresponding files are overwritten, even if they are newer. Retrospect leaves files untouched if they are identical to files marked for restore, if the file names do not match those marked for restore, or if the path to those files is not identical.

  • Retrieve Files & Folders—creates a new folder on the destination volume (giving the folder the name of the Backup Set), then copies files into this folder, preserving the folder hierarchy. Nothing is replaced or overwritten.

  • Retrieve Just Files—creates a new folder on the destination volume (giving the folder the name of the Backup Set), then copies only the files into this folder. The folder hierarchy is not preserved. Nothing is replaced or overwritten. (Do not use this option to retrieve a large number of files or a whole volume.)

The Restore Entire Volume and Replace Corresponding Files methods may destroy data on the destination. If you choose one of these, be sure it is acceptable to erase or replace files on the destination volume.

12

Click OK.

13

At this point, you have provided the minimum information required for the script to run, but you may want to change some other script settings.

  • Selecting lets you choose a selector, a kind of filter for selecting files and folders.

  • Options displays the Options window in which you can specify whether to restore the Windows registry or update modification dates of files, among other things.

  • Schedule lets you schedule the script to run at certain times or at regular intervals.

14

Click [image] to save the script.

15

Execute the script in any manner you wish.


Introduction to Proactive Client Backup Scripts

Backup scripts are powerful and versatile, but in backup environments that change regularly, another kind of operation—Proactive Client Backup—may be better suited to your needs. A regular backup script copies specific volumes in a certain order to a designated Backup Set. If the backup environment changes and volumes or media become unavailable, the backup will not happen until its next scheduled time, if ever. This is why Retrospect offers a Proactive Client Backup option.

Proactive Client Backup intelligently adjusts your backup schedule, based on parameters you define, to avoid situations where computers could get starved from being backed up.

Proactive Client Backup is only available if you have the appropriate license code. Click Configure4Licenses to view your current licenses or purchase new ones.


Proactive Client Backup Benefits

Retrospect's Proactive Client Backup option accommodates changing network and disk configurations. Whereas a regular backup script follows a rigid schedule for its clearly defined source volumes and destination Backup Sets, a Proactive Backup script is driven by the availability of those resources and their need for backup. Source volumes are backed up according to need—that which was backed up least recently is first to be backed up. The volumes are copied to the best available Backup Set media, so Proactive Backup scripts give you greater freedom to use the media of your choice.

Proactive Backup scripts are ideal for environments in which computers and volumes appear irregularly on the network. For example, in an office that has ejectable disks and mobile computers which appear on the network at unpredictable times, Proactive Client Backup recognizes the new volumes when they become available and backs them up. Client users can even initiate backups of their volumes.

Though Proactive Backup scripts can be used independently, it is often best to use them in concert with regular backup scripts to produce a comprehensive backup strategy.


How Proactive Client Backups Work

You start with a Proactive Backup script, which is similar to other Retrospect scripts. You may want to dedicate a computer to Proactive Client Backup operations during periods of activity and avoid running other programs while Proactive Client Backup is active.

Proactive Client Backup determines which storage media is available and creates a queue based on the most recent backups of the available source volumes. The least recently backed up volume is moved to the head of the queue and other volumes are arranged in descending order according to the priority of need. Then Proactive Client Backup examines the local computer and polls the network, looking for the volumes.

Polling the network does not adversely affect network performance.

Proactive Client Backup starts at the top of the volumes queue, determining the availability of each source volume and, if there is a choice, backs up each to its most suitable Backup Set. Retrospect moves the most recently backed up volumes to the bottom of the queue as it goes along. When it is satisfied that all available source volumes are backed up for the current backup interval, Proactive Client Backup periodically polls clients on the network. Polling involves checking for volumes that have recently appeared, and checking whether any client users have requested backups of their volumes. This whole process ensures that volumes in need of backing up get backed up.

If allowed by the backup administrator and Proactive Client Backup, a client user can, at any time, request to be backed up as soon as possible. When Retrospect next polls the client, it recognizes the ASAP request and backs up the client.

When a Proactive Backup script's wrap up time is reached, Retrospect continues the current volume backup but doesn't start any new backups. When the script's stop time is reached, Retrospect halts the backup in progress, if any, and doesn't start any new backups until the script's next scheduled start time.

Proactive Client Backup uses only the normal backup action because recycle and new media backups are inappropriate for use with Proactive Backup scripts.


When to Use Proactive Client Backups

The table below compares a regular backup script to a Proactive Backup script. For more information, see Network Backup Strategies.

Feature | Backup Script | Proactive Backup Script
Destination Backup Sets | Copies to Backup Sets as specified in the schedule or at execution. Fails if media is unavailable. Media rotation is scripted. | Copies to the most ideal available Backup Set in the destinations list. Automatic media rotation among multiple available Backup Sets.
Source Volumes | Backs up volumes in the order of the source list. If a backup fails, the next backup does not occur until the next time the script runs. | Backs up volumes in the priority order of their most recent backup dates. After each backup, the queue is re-evaluated, including previously unavailable volumes.
Schedule | Starts backup at a specific time and stops when the last source is completed. Optionally ends at a specific time. | Runs between start and stop times. Backups of available volumes occur as necessary.
Execution | One script runs at a time. Conflicting scripts run one after the other. | All Proactive Backup scripts run concurrently. Other scripts run as scheduled, but not while Proactive Client Backup backs up a volume
User Requested Backups | No | Yes


Overview of Managing Resources

With abundant resources (large storage capacity, fast network, and powerful backup computer with plenty of time to operate) and relatively few source volumes, Proactive Client Backup can completely back up all volumes during its window of opportunity.

However, with limited resources (small storage capacity, slow network, slow backup computer with little time to operate) and relatively many source volumes, Proactive Client Backup is not likely to completely back up each volume during its given time period. Fortunately, Retrospect's Proactive Client Backup effectively manages limited backup resources so that it eventually completes all of its backups.


Trust Proactive Client Backup to Do Its Job

Proactive Client Backup always backs up volumes in order starting with those which need it most. For example, if you need to back up 100 client computers but you can do backups only during an eight hour period each night, chances are Retrospect will be unable to back up all 100 clients the first night before the script's eight hours are up. Leftover volumes will be backed up the next night, and so on, until all 100 volumes are backed up. After the initial backups, Proactive Client Backup will move more quickly through the queue as it performs subsequent Progressive Backups.

As the backup administrator, you do not have to separate the clients into different groups for different days based on your estimation of backup times. Proactive Client Backup distributes the load over the scheduled time period.

All of the source volumes are eventually backed up with no additional effort on your part. In the worst case, the period of time between backups of a given volume will be too long for comfort. In this case, you must allocate more resources to the Proactive Backup script. Increase the script's operating time, use selectors to limit the files to back up, use a faster backup computer, or speed up your network. Setting up a second backup computer with Proactive Client Backup handling half of your clients effectively divides the load in half for each backup computer.


Monitoring Progress

Periodically view the Backup Report to see which volumes were backed up by Proactive Client Backup and the intervals between backups. Of particular interest is the "Elapsed Days" column which shows how many days have passed since each volume's last backup.

The interval between backups tends to be smaller when Proactive Client Backup is performing Progressive Backups after the first complete backup of each volume. Progressive Backups require far less time and thus can occur more often.

Deleting a backup event from the Backup Report causes Proactive Client Backup not to consider that backup occurrence when it evaluates the priority of volumes to be queued for backup. Consequently, that volume is given a backup priority higher than its previous priority.


Interaction with Other Scripts

You can use multiple Proactive Backup scripts operating simultaneously to manage limited backup resources. You can use separate scripts with different schedules to give some volumes a higher backup priority.

For example, one script could run eighteen hours in a day, backing up volumes from the sales department. Another script could run six hours in a day, backing up volumes from the accounting department. The sales department would be more likely to get completely backed up, whereas the accounting department script may not complete all its volumes in a single six hour period. Still, these volumes would eventually get backed up because volumes in greatest need of backup are backed up before volumes which have more recent backups.

As another example, consider volumes which are available intermittently, such as ejectable disks and notebook computers. Another script could back them up twenty-four hours a day, because they are available at random times during the day. For further discussion, see Backup Strategies.

Other, non-Proactive Backup scripts scheduled for execution during the active operating time of Proactive Backup scripts can run without conflict. When a regular script wants to run while Proactive Client Backup is backing up a volume, Proactive Client Backup completes the backup in progress, then allows the other script to execute. When the regular script finishes, Proactive Client Backup resumes where it left off. When a regular script is scheduled to run while Proactive Client Backup is idle, it executes immediately.


Creating Proactive Client Backup Scripts

1

In Retrospect's navigation bar, click Automate4Proactive Backup.

Proactive Client Backup is only available if you have the appropriate license code. Click Configure4Licenses to view your current licenses or purchase new ones.

2

Click New.

3

Enter a name for the script, and click New.

4

As with regular backup scripts, click Sources to add source volumes, and click Destinations to add destination Backup Sets. Click Selecting to apply a predefined or custom selector, a kind of filter for selecting files and folders.

To back up multiple volumes from a single client, use a container for the source, not a multiple selection of volumes.

5

From the Proactive Client Backup summary window, click Options, and specify the script's interval options.

6

Click More Choices to see all of the available options categories and notice that many categories parallel those of regular backup scripts.

7

From the summary window, click Schedule.

8

Select a schedule:

  • Always Active—Retrospect runs the script twenty-four hours a day, seven days a week.

  • Custom Schedule—Click the Custom button to customize the script schedule.

  • Never Active—Retrospect never runs the script.

9

Click OK.

10

Click [image] to save the script.


Customizing the Proactive Client Backup Schedule

In the Proactive Client Backup summary window, you can click Schedule, select the Custom Schedule radio button, and then click Custom to customize the schedule of the selected script.

To select a day of the week, click it. Click and drag to select contiguous days of the week. Use the Shift or Control key and click or drag to select days without de-selecting the previous selection.

To change a time, click it and type or use the control.

Start is the time at which the script begins.

Wrap Up is the period of time (in hours and minutes) before the stop time, during which Retrospect should complete the current backup but not begin new backups.

Stop is the time at which Retrospect absolutely must halt this script's backups (until the next start time).

You can also set times by dragging the icons on the hourly schedule bar, but you should first experiment by typing the times to see how these controls work.

Each selected day has a scaled-down hourly schedule bar, though it does not have controls.

You can revert a customized schedule with the Always and Never buttons.


Starting Proactive Client Backup

Proactive Client Backup starts automatically when a Proactive Backup script's scheduled start time arrives. If Retrospect is not open at the start time, it opens automatically.

To start Proactive Client Backup manually

1 | Create at least one Proactive Backup script.
2 | From the Run menu, click Start Proactive Client Backup.

Proactive Client Backup is only available if you have the appropriate license code. Click Configure4Licenses to view your current licenses or purchase new ones.


Disabling Proactive Client Backup

To prevent scheduled Proactive Backup scripts from executing until later, choose Disable Proactive Client Backup from the Run menu. Choose Enable Proactive Backup System or Start Proactive Client Backup to re-enable it.


Control Menu

When Proactive Client Backup is running, the Retrospect menu bar has a Control menu.

  • Lock Application prevents access to Retrospect, requiring a password to "unlock" it.

  • Stop on Errors forces Proactive Client Backup to stop when it encounters an error, rather than just logging the error and continuing.

  • Just Log Errors ensures that Proactive Client Backup continues operating when it encounters an error, rather than halting execution. You can find any errors that occur by viewing the operations log.


Status Window

When Proactive Client Backup is running, the status window shows you what it is doing. It has three tabs:

  • Sources shows the source volumes for all running scripts.

  • Backup Sets shows the Backup Sets for all running scripts.

  • Scripts shows all Proactive Backup scripts.

Select a source, Backup Set, or script to view its status information.

Status | Description
Blank | Proactive Client Backup has yet to connect with the item.
Active | The script is functioning.
ASAP | The source will be backed up as soon as possible. This may be because the client user initiated the backup or the client's most recent backup is older than the script's backup interval.
Backed up | The source volume has been backed up within the specified interval.
Deferred | The client user has intercepted and postponed the backup. Such user deferments are entered in the operations log.
Inactive | The script was deactivated or its schedule does not currently permit it to run.
Media | Proactive Client Backup cannot find the proper media for the item's Backup Set.
Ready | A source is currently being backed up or is about to be. It also means a Backup Set is ready as a backup destination.
Retry | Proactive Client Backup failed to back up the source and will try again.
Scheduled | The source has never been backed up, but the administrator has scheduled a pending backup.
Source | Proactive Client Backup cannot find the source volume.
Wrap Up | A Proactive Backup script is in its wrap up period.


Closing the Status Window

If you click the status window's close box [image], it stops Proactive Client Backup and all scripts in progress. When one or more scripts are scheduled, Retrospect waits a period of time, then Proactive Client Backup starts and executes scheduled Proactive Backup scripts. The wait period is ten minutes if you are still using Retrospect, or one hour if you quit Retrospect.


Deactiivating Scripts

Deactivating Scripts

Retrospect allows you to temporarily deactivate a Proactive Backup script so its sources are not included in Proactive Client Backup's routine operations. When Proactive Client Backup is stopped and later started, the script becomes active again.

To prevent a Proactive Backup script from executing

1 | In the Proactive Client Backup status window, click the Scripts tab.
2 | Select the script from the list and click [image] .
3 | Select Never Active, and click OK.

To reactivate a script

1 | In the Proactive Client Backup status window, click the Scripts tab.
2 | Select the script from the list and click [image] .
3 | Select Always Active, and click OK.


Scheduling a Backup of a Source

You can schedule a backup of a source from a running Proactive Backup script. This lets you set a definite time to back up the source, rather than wait for Proactive Client Backup to back it up at its convenience. This is useful, for example, when the backup administrator knows a salesperson will be leaving the office with her notebook computer. The administrator can schedule that client for backup immediately.

To schedule a backup of a source

1 | In the Proactive Client Backup status window, click the Sources tab.
2 | Select the source, and click [image] .
3 | Use the controls to set the date and time to back up the source.
4 | Click OK.

Retrospect changes the priority of the source in the Proactive Backup System queue according to your scheduled time.

A backup scheduled this way is not remembered by Retrospect when Proactive Client Backup is stopped.


Pausing Proactive Client Backup

While Proactive Client Backup is running, you can pause it by clicking the toolbar's Pause/Resume icon. Proactive Client Backup automatically resumes after two minutes of mouse or keyboard inactivity.

To resume Proactive Client Backup before that time, click the Pause/Resume button [image] again.


Proactive Client Backup Runs Continuously

Unlike other scripts, when Proactive Backup scripts finish, they do not take the action specified by the Unattended preference. For example, a Proactive Backup script does not quit when done. If you quit Retrospect, Proactive Client Backup automatically launches Retrospect when the next script is scheduled to start.


Choose the Right Proactive Client Backup Computer

The backup computer you use for Proactive Client Backup is important. Proactive Backup scripts work best on a dedicated backup computer that is not running other file serving or sharing software. Proactive Client Backup can run effectively on faster Pentium computers, but, of course, a high-end Pentium IV model helps get things done more quickly.

Proactive Client Backup does not quit or shut down the backup computer when it is finished; rather, it waits idle until the next scheduled start time.

Proactive Client Backup is only available if you have the appropriate license code. Click Configure4Licenses to view your current licenses or purchase new ones.


Use Containers as Sources

Use containers, not individual volumes, to specify sources in your Proactive Backup scripts, especially when backing up clients. When you use containers, any new volumes added to a client are automatically included in backups. Also, using containers avoids a potential problem when backing up Mac OS clients under certain conditions. When you select multiple volumes from a Mac OS client that is set to wait at shutdown and the script's client system option is set to shut down clients after backups, Retrospect shuts down the client after backing up its first volume. This prevents backups of the client's other selected volumes until the client is restarted.


Rotate Among Backup Sets

Create multiple Backup Sets and use them all as destinations in your Proactive Backup script. Rotate through the sets by inserting different media in the backup device each day. Proactive Client Backup uses whatever media you inserted.


Introduce New Media

As with any backup strategy, rotate among different Backup Sets. Proactive Client Backup allows you to insert different media at your leisure. Periodically, do new media backups to introduce new media. Store old media off-site after each new media backup. Between new media backups, periodically do recycle backups to avoid Catalog Files becoming cumbersome and to ensure fast restore operations should they be necessary.

When you want to rotate or introduce new media, do recycle or new media backups by executing regular backup scripts using the same Backup Sets used by your Proactive Backup scripts. You can schedule these, execute them from Retrospect's Run menu, or save them as run documents and execute them.

To manually set a Backup Set for a recycle or new media backup, configure the Backup Set and use media control.


Monitor Media Availability

Because Proactive Client Backup does not initially put up media request windows, you may not know when it does not have a legitimate medium available to it.

Create and save a Proactive Backup script. Then, from the Run menu, click Start Proactive Client Backup. In the status window, click the Backup Sets tab. When the server needs media, it displays "Media" in the Status column. Insert media as needed.

If a Backup Set needs new or erased media, stop Proactive Client Backup, erase the media from Configure4Devices, and then start Proactive Client Backup again.


Use Other Scripts to Complement Proactive Client Backup

Retrospect can have multiple Proactive Backup scripts running concurrently. It manages the sources and destinations.

Other, non-Proactive Backup scripts can execute while Proactive Client Backup is running. You can schedule them or run them at will using run documents. Other scripts can complement Proactive Backup scripts by starting recycle and new media backups, and by forcibly backing up volumes which do not get backed up by Proactive Client Backup.


Use Tape Libraries

Using an automatic tape loading device with Proactive Client Backup is a powerful combination. All tapes in the library's magazine are available for backup as Backup Set destinations. Proactive Client Backup rotates between sets with no additional effort from you. It uses blank or erased tapes when a backup spans two tapes, or when you set up a new media backup with Retrospect's media control options.


Allow Early Backups

By default, Proactive Backup scripts allow early backups. These occur when Proactive Client Backup is polling the list of possible sources and finds a client that has requested to be backed up as soon as possible. When a client user selects this option in his or her Retrospect Client control panel, the client software does not send a message to Retrospect on the backup computer. Rather, Retrospect contacts clients as Proactive Client Backup polls, which it does when it is not actually performing backups during its scheduled active time.

If many clients are due for backup, a client with a current backup may wait a long time before Proactive Client Backup gets to it. Regardless of the client user's desire for backup ASAP, Retrospect backs up other clients which do not have current backups. Retrospect always polls starting with clients who need backups the most.


Manage User Deferments

When a client user repeatedly defers his or her backups (as indicated in the Operations Log), you should make future backups occur at a time which is more convenient for the user, such as when he or she is not using the computer. Or, create a script with the countdown time option at zero to prevent the user from deferring execution.


Set Priority By Volumes

If certain critical volumes are not getting backed up as often as you would like, consider using multiple scripts with different schedules to give some volumes higher backup priority than others. Schedule the higher-priority volumes script to run for a longer duration than the lower-priority volumes script. With more time allotted to the higher-priority volumes, they are more likely to get completely backed up.


Set Priority By Files

If you find Proactive Client Backup is not completely backing up all its sources, another way to set the backup priority is by files rather than volumes, though you can do both. Use multiple scripts with different selectors to give some files or folders higher backup priority than others. For example, a higher-priority selector would include documents modified in the last seven days, and a lower-priority selector would include all files. Schedule the higher-priority script to run for a longer duration than the lower-priority script.


Introduction to Network Backup

Retrospect allows you to use a single backup computer with a storage device to back up networked Windows, Macintosh, and UNIX computers equipped with Retrospect client software.

The backup administrator—that's you—installs the Retrospect client software on each of the client computers. The backup administrator uses Retrospect to log in clients for use by the backup computer. After configuring the clients, the administrator creates and schedules scripts using client volumes as sources, as if the volumes were connected directly to the backup computer.


Client Licenses

Retrospect works with as many clients as you have licensed. You can add licenses to support more clients, or upgrade to a Retrospect product that supports unlimited clients.

Retrospect's license manager keeps track of your client licenses with the license codes you enter. Unlimited clients are included as part of Retrospect Single Server and Retrospect Multi Server. Retrospect Professional includes support for two clients, and additional client licenses can be purchased directly from the License Manager.

  • To view current licenses, click Configure4Licenses. The License Manager summarizes the quantity of used and available clients, and lists any client licenses you have added.

  • To purchase additional client licenses, click Purchase.

  • To add a client license, click Add and enter your new license code in the dialog that follows.

Client licenses are automatically added by the License Manager when you log in previously licensed clients running Retrospect client software version 4.1 and earlier.


TCP/IP

To use Retrospect clients, you must have a functioning TCP/IP network.

TCP/IP clients connected to the Internet are at risk, however slight, of unauthorized access. Assign passwords to clients to prevent access by Internet users who have Retrospect.


System Requirements of Windows Client Computers

To be backed up or otherwise accessed by Retrospect from the backup computer, the following is required of each networked client computer:

  • Windows 95/98/Me, Windows XP Home or Professional, Windows NT 4.0 Workstation, or Windows 2000 operating system

  • Networking hardware and cabling functioning with the TCP/IP protocol, connected or routed to the network on which the backup computer operates

  • Winsock 2.0 for Windows 95

You can install TCP/IP networking software from the Windows installation software. Winsock 2.0 is included with Windows 98, Me, NT, and 2000, but Windows 95 requires the Winsock 2.0 Update from Microsoft. It is available free from Microsoft at:

http://www.microsoft.com/windows95/downloads/contents/wuadmintools/s_wunetworkingtools/w95sockets2/default.asp

To use Windows NT 4.0 Server, Windows 2000 Server, or Windows 2000 Advanced Server computers as Retrospect clients, you must use Retrospect Multi Server on the backup computer.


To use disk cloning software to clone a client installation, after installing client software on a computer, use the computer as the master from which to create other cloned computers. Do not use Retrospect to access the newly-installed client before using it as the clone master. You must clone the master before you access it with Retrospect.

Installing Client Software on Windows Computers

Use these procedures to install the client software on each Windows computer you want to back up over the network.

For installing many clients on a network from a file server, you can make a shared folder with the Retrospect Clients Setup application then run the Setup program from that folder instead of from the CD.

1 | Save all unsaved documents in other running application programs.
2 | Under Windows NT, XP, or 2000, log in to the client computer so that you have Administrator privileges.
3 | Insert the Retrospect CD in the client computer's CD-ROM drive.
4 | Click Install Retrospect Client.
5 | Follow the on-screen instructions. Do not forget the password you provide.

After installation, when the computer starts up, it automatically loads the client software. The client is now ready to be accessed from the backup computer.

Cloning installations


System Requirements of UNIX Client Computers

To be backed up or otherwise accessed by Retrospect from the backup computer, the following is required of each networked client computer:

  • x86-based system running Red Hat Linux 6.2, 7.1, 7.2, or 7.3 or Sparc-based workstation running Solaris 2.8 or SunOS 5.8

  • glibc version 2 or later

  • Networking hardware and cabling functioning with the TCP/IP protocol, connected or routed to the network on which the backup computer operates

For UNIX clients to change options and preferences from the graphical user interface (GUI) Client Control Panel, the following is required of each networked client workstation:

  • Java version 1.2 or later

To use UNIX computers as Retrospect clients, you must have Retrospect Multi Server on the backup computer.


Installing Client Software on UNIX Computers

Use these procedures to install the client software on each UNIX computer you want to back up over the network. Choose your preferred method of installation, either rpm, tar, or pkg. Where the instructions say version, use the specific version/build number of the Retrospect client software, such as 6.0.234.

1 | Save all unsaved documents in other running application programs.
2 | Log in to the client computer.
3 | Insert the Retrospect CD in the client computer's CD-ROM drive and install the client software using one of the following methods:
 | RPM method (Linux only)
 | Enter the following command: rpm -i tlc-version-1.i386.rpm
 | Tar method
 | Enter the following command: tar -xf tlc-version.tar
 | Then enter: ./Install.sh
 | Pkg method (Solaris only)
 | Enter the following command: pkgadd -d retroclient.pkg
4 | When prompted, enter a client password. This password allows you to access the client from the backup computer.

After installation, when the computer starts up, it automatically loads the client software.


System Requirements of Mac OS Client Computers

To be backed up or otherwise accessed by Retrospect from the backup computer, the following is required of each networked Mac client computer:

  • PowerPC-based computer running under Mac OS 7.1 or later with Open Transport 1.1 or later

  • Networking hardware and cabling functioning with the TCP/IP protocol, connected or routed to the network on which the backup computer operates


Installing Client Software on Mac OS Computers

Use the following procedures to install the client software on each Mac OS computer you want to back up over the network.

For installing many clients on a network from a file server, or for installing on computers without CD-ROM drives, you can make a shared folder on a server with the contents of the Retrospect Clients Installer application. Then run the Installer program from that folder instead of from the CD.

To install Retrospect Client Software on a Mac OS computer

1 | Save all unsaved documents and quit other running application programs.
2 | Under Mac OS X, log in to the client computer so that you have administrator privileges.
3 | Insert the Retrospect CD in the client computer's CD-ROM drive.
4 | Double-click the Installer icon to launch the program.
5 | Follow the on-screen instructions to install the client software.
6 | Create and enter a password to prevent unauthorized access to the client. Do not forget the password you provide. Use only basic alphanumeric characters (low-bit ASCII) in passwords for Macintosh clients. Macintosh high-bit characters do not correspond to Windows high-bit characters. For example, Luf$Luf00 is OK, but Lüf•Lüføø will cause problems.
7 | Restart the computer. It automatically loads the client software. The client is now ready to be accessed from the backup computer.


Uninstalling Clients

You cannot uninstall client software remotely. You must uninstall directly from the client computer.

Windows

On the client computer, choose Start4Settings4Control Panel. Double-click Add or Remove Programs and remove the Retrospect client software.

In Windows NT, XP, and Windows 2000, you may have to log in with administrator privileges.

UNIX

The process for uninstalling a UNIX client varies depending on the method you used to install the client.

For the RPM method, type: rpm -e retroclient

For the Pkg method, type: pkgrm retroclnt

For the Tar method: Manually delete all the files added to your system during Retrospect client installation.

Mac OS 7/8/9

Remove the Retrospect Client control panel from the client computer by placing the file in the Trash. Restart the computer, then empty the Trash.

Mac OS X

Open the client installer application on the client computer. Choose Uninstall from the pop-up menu and select the volume from which to uninstall Retrospect client software. Click the Uninstall button to remove the client software from the computer, then exit when you are done.


Introduction to Working With Clients

In the navigation bar, click Configure4Clients. The scrolling list shows all the client computers currently logged in for use with Retrospect, if any. Click Add. In the live network window, you see all the computers with client software Retrospect found on a specific network. By default, Retrospect uses its Piton multicast method of searching for clients in the local subnet.

Important information about clients:

  • Retrospect Professional does not search for clients outside the local subnet. If you want to access clients outside the backup computer's subnet, upgrade to Retrospect Single Server or Retrospect Multi Server, which both include advanced networking features.

  • Retrospect Professional and Retrospect Single Server do not work with Retrospect clients that are file servers. If you want to access Retrospect client computers that are servers, you must have Retrospect Multi Server.

  • Retrospect Professional and Retrospect Single Server cannot access UNIX clients. If you want to access UNIX clients, you must have Retrospect Multi Server.


Adding Clients

To add backup clients for use with Retrospect, from the navigation bar, click Configure4Clients. Then click Add. Select a client and click Add again. Retrospect asks you for its password, then logs in the client for use with Retrospect and opens the client properties window.

When you add a client, Retrospect's License Manager decrements the available pool of client licenses (if applicable).

Adding a backup client to Retrospect's client database is necessary to make the client available for selection in backups and other operations.


Configuring Clients

After you have added a client, you need to configure it.

To configure or reconfigure a client

1

In Retrospect's navigation bar, click Configure4Clients.

2

Select the client.

3

Click [image].

4

On the General tab, select the Encrypt Network Link check box (only available if this client uses a password) to protect against network eavesdropping by encrypting data transferred over the network then decrypting it before writing it in the Backup Set. This is distinctly different from backup set encryption.

5

The Access tab summarizes the network access method (Address, Protocol, Access Method, and Interface) for the selected client. Click Change to redirect Retrospect to your desired client. This may be necessary if the client has moved on the network or was reinstalled.

6

The Tools tab lists the Client Name, Security (whether it has a password), its Clock Offset (the time difference between the client clock and the backup computer clock), and the version number of the client software.

  • Click Rename to change the client name.

  • Click Set Password to add or change the password.

  • Click Sync Clock to change the time of the client computer to match that of the backup computer. (This is not available if the client allows read access only.)

  • Click Update to update the client's software over the network.

7

The Volumes tab lets you specify which volumes on the client computer are accessible to Retrospect over the network.


Client Properties > General Tab

Client Properties4General Tab

The General tab shows various information about the backup client, and provides the option to protect data over the network.

Configuring Clients

Field | Description
Name | Given client name
Type | Operating system used by the client computer
Version | Version number of the client software installed on the client computer
A/C | Activator code of a backup client running 4.1 or older client software
Priority | Priority setting the user has chosen in the client control panel. A 20% priority means the user has set the slider all the way to "User," giving other applications and tasks some of the computer's processing time that would otherwise be used for Retrospect tasks. A 100% priority means the client's priority slider is set all the way to "Backup," giving client tasks (namely, transferring files) all of the client software's processing time allotted by its operating system.
Security | Specifies the data security for this client computer. None means no password was installed and anyone using Retrospect on the network can log into this client. Password means a password must be entered in order to log in to this client. Link Encryption means the administrator has selected the "Link Encryption" general client option for this client. This means data from this client is being encrypted before being sent over the network. You cannot select the Link Encryption option unless you have a password.
Status | Indicates the client's availability for backups and other operations. Not connected means Retrospect has not yet established communication with the client. In use means the client is presently being accessed. Connected means the client is ready and available. Locked means the user at this client workstation has checked the "Read Only" access preference in the client control panel. The client can be backed up, but you cannot restore to it or delete files from it. Busy means the client is currently being accessed by a different copy of Retrospect on the network. Turned Off means the user at this client clicked the Off radio button in the client control panel. A client that is turned off is unavailable for operations until it is turned on manually or the client computer is restarted.
Echo Time | The time delay, in seconds, experienced in communicating with this client (usually 0.0 to 0.2). If the network or client is busy, or you are using routers, the echo time could easily be higher without indicating a problem.
Speed | Transfer rate of the network connection between the backup computer and the client computer.
Clock Offset | Difference in hours:minutes:seconds between the internal clocks of the client computer and the backup computer.
Encrypt Network Link | Only available if this client uses a password. When the checkbox is checked Retrospect protects against network eavesdropping by encrypting data transferred over the network then decrypting it before writing it in the Backup Set. (Client link encryption is distinctly different from Backup Set encryption.)


Client Properties Volumes Tab

Client Properties4Volumes Tab

Use the Volumes tab to specify which volumes on the client computer are accessible to Retrospect over the network.

Client Sources

This drop-down list affects how Retrospect resolves client containers during operations. Usually, you do not need to change it from its default of "Client Desktop."

  • Client Desktop resolves to all volumes local to the client computer, except for floppy disks, shared volumes (such as file servers), read-only volumes (such as CD-ROMs), and empty volumes.

  • Startup Volume resolves to the volume from which the client computer booted.

  • Selected Volumes resolves to all volumes selected below in the list of remembered volumes.

Remembered Volumes

This lists the client's volumes. Only the selected volumes are available to Retrospect during operations. The selection determines which volumes appear in a volume selection list (such as for a backup script's source). It also determines the volumes to which the client container resolves when the Client sources combo box is set to Selected Volumes.

The table below uses the example of a client computer with several mounted volumes. It shows the volumes to which the client container resolves, respective to the different Volumes to Access settings.

These volumes on a client computer | ...with this "Client Sources" setting... | ...resolves to these volumes.
 | Client Desktop | Alyosha Beowulf Cynics
 | Startup Volume | Alyosha
 | Selected Volumes, with only Beowulf selected in the list of Remembered Volumes | Beowulf


Renaming Clients

1 | In Retrospect's navigation bar, click Configure4Clients.
2 | Select the client.
3 | Click [image] .
4 | Click the Tools tab.
5 | Click Rename.
6 | Enter the new name.
7 | Click OK.


Changing Client Passwords

1 | In Retrospect's navigation bar, click Configure4Clients.
2 | Select the client.
3 | Click [image] .
4 | Click the Tools tab.
5 | Click Set Password.
6 | Enter a new password, and click OK.
7 | Re-enter the password to confirm it, and click OK.


Forgetting Clients

After a client has been added, there may come a time when you no longer need it or its volumes. (For example, a computer is no longer on the network.) In this case, tell Retrospect to forget it.

Forgetting means you are removing the client volumes from scripts and other lists in Retrospect. This only affects Retrospect on the backup computer in use at the time. It does not affect other copies of Retrospect running on other computers on the network.

Forgetting a client makes one more client license (if applicable) available in the License Manager.

To forget a client

1 | In Retrospect's navigation bar, click Configure4Clients.
2 | Select the client.
3 | Click [image] .
4 | Click OK.


Backing Up Clients

You back up a client volume the same way that you would back up a volume directly connected to the backup computer.

When you set up an immediate or scripted backup, the volume selection window for the source lists available clients under the Backup Clients container and available client volumes under the individual client containers.

  • Selecting individual volumes selects only those specific volumes, unlike containers. Retrospect continues to select volumes which are renamed but does not automatically adjust for new, replaced, or partitioned volumes. When the client configuration changes, you may need to intervene. This way of selecting volumes is useful, for example, when you do not want to back up all volumes on a particular client.

  • Selecting folders or groups in your script selects whatever volumes and client containers are placed in the folder or group. This method simplifies script management by allowing you to control your sources in a single place, the Configure4Volumes window. Using folders in the Backup Clients container lets you better organize a large number of clients. Using groups lets you build lists of volumes and clients which should be backed up together.


Updating Clients from the Backup Computer

There may come a time when you need to update older client software to take advantage of improvements in a newer version. You can update client computers individually, or update a group of client computers with a single command from the backup computer. When you update a client, it retains all of its current control panel settings.


Updating All Clients

To update all clients of a given type

1 | In Retrospect's navigation bar, click Configure4Clients.
2 | Click [image] .
3 | Specify the location of the appropriate Retrospect client update (RCU) file on your hard disk or the Retrospect CD, and click Open.
 | There is a separate client update file for each of the following client types: Windows, Mac OS X, other Mac OSes, Linux, and Solaris.
4 | Click OK. Retrospect begins updating the client software on selected clients.
 | If a client computer has virus protection software installed, it may require confirmation at the client computer before allowing the update to continue.
5 | Retrospect reports the results in a dialog. Click OK.
6 | To confirm the status of each client update, from the Window menu, click Log.

Mac OS 7/8/9 clients only

Solaris and Red Hat Linux 6.2 clients only


Updating an Individual Client Computer

To update an individual client computer

1 | In Retrospect's navigation bar, click Configure4Clients.
2 | The window lists all client computers currently logged in for use with Retrospect.
3 | Double-click the client you want to update.
4 | Click the Tools tab.
5 | Click Update.
6 | Specify the location of the appropriate Retrospect client update file on your hard disk or the Retrospect CD, and click Open.
 | There is a separate client update file for each of the following client types: Windows, Mac OS X, other Mac OSes, Linux, and Solaris.
7 | Click OK.
 | If a client computer has virus protection software installed, it may require confirmation at the client computer before allowing the update to continue.
8 | When the computer starts up, it automatically loads the updated client software. All user preferences remain unchanged.
 | Mac OS 7/8/9 clients only Solaris and Red Hat Linux 6.2 clients only


Introduction to Advanced Networking

Retrospect normally uses TCP/IP multicast addressing to access backup clients. This allows the Live Network window to list clients directly connected to the local network segment, or local subnet. You need to use Retrospect's more sophisticated techniques of accessing clients if your network has routers between the backup computer and its clients, or if your backup computer has multiple network cards connected to different physical networks.

Retrospect has the ability to use several different methods of accessing clients. It also lets you control the use of adapter cards in the backup computer.

Advanced networking features are available only with Retrospect Single Server and Retrospect Multi Server.


Opening the Live Network Window

To open the Live Network Window

1 | In the navigation bar, click Configure4Clients.
2 | Click Add to open the Live Network window. The first time you open it, Retrospect searches for clients in the local subnet using its multicast access method.

Another way to open the Live Network Window

1 | In the navigation bar, click Configure4Volumes.
2 | Double-click Backup Clients in the list.


Access Methods

Retrospect can either use the standard DNS and WINS directory services, or its own Piton Name Service based on TCP/IP.

Adding a client to the Retrospect client database also stores its access information for later use. When Retrospect tries to connect to a client for backup, it resolves the access information into its current IP address using the original access method.

On each client computer, Retrospect client software waits for queries from Retrospect on the backup computer. Just exactly how Retrospect gets in touch with the clients depends on the access method Retrospect is using:

  • Multicast

  • Subnet Broadcast

  • Direct Access

Subnet Broadcast and Direct Access are available only with Retrospect Single Server and Retrospect Multi Server.


Multicast

When you first open the Live Network window, the default access method is multicast. Retrospect sends out a multicast request to the listening client computers, asking them to respond with their identities. After you have added a client with this method, when Retrospect later tries to connect to the client for a backup, it handles IP address changes automatically by sending out another request to update its client database and connect with the proper client.

The multicast method uses the proprietary Dantz protocol Piton (for PIpelined TransactiONs), which gives Retrospect much of its network speed and reliability. Multicast Piton Name Service allows Piton to direct its queries only to those computers running Retrospect client software.

Multicast access is simple, requiring no configuration, but does not operate across routers. It works only in the local subnet.


Subnet Broadcast

The subnet broadcast access method allows Retrospect Single Server and Retrospect Multi Server to access clients through virtually any network topology, including the Internet.

According to TCP/IP standards, every subnet has both a network address and a subnet mask, such as 192.168.6.0 and 255.255.255.0. Routers use these to identify the physical network to which computers are connected. Routers also support queries to all the computers on a particular subnet. Retrospect takes advantage of this ability for its subnet broadcast access method, using the same Piton protocol as for multicast access.

With Retrospect's subnet access method, you must define the address and mask of each subnet you wish to use, and update these configurations if your network changes.


Direct Access

Retrospect Single Server and Retrospect Multi Server can use the direct access method to add a specific backup client to Retrospect's client database. You must know the IP address or DNS or WINS name of each backup client. Do not use a numeric IP address for computers that get a dynamic IP address from a DHCP server, because Retrospect has no way to know when the address changes.

Adding clients by direct access is most useful for a few clients; adding many might be tedious. Multicast and Subnet Broadcast make it easier to add large numbers of clients.


Configuring Subnets for Broadcasting

With Retrospect Single Server and Retrospect Multi Server, you can define subnets (other than the one that includes the backup computer) in which to search for clients. Retrospect accesses each subnet you configure when it searches for clients. This includes not only when the Live Network window is open, but also when Retrospect searches for a client in an operation.

You can define and use interfaces to limit the number of subnets to search for each client.

To configure subnets

1 | In the navigation bar, click Configure4Clients.
2 | Click Add to open the Live Network window.
3 | Click Advanced.
4 | Click Subnet Broadcast to configure a new subnet to search.
5 | Click Subnets.
6 | Click Add.
7 | Enter a Subnet Address (IP address) and a Subnet Mask.
8 | Click OK. The IP subnet you defined appears in the Configure Subnet Broadcast window. You can add, modify, or remove subnets as needed.
9 | Click OK. With the subnet broadcast access method selected, Retrospect searches your defined subnets and displays backup clients it found.
10 | Add the clients you want to backup, and then click Done.

When you add a client with the subnet broadcast access method, Retrospect knows to look for that client in your defined subnets.

You can define and use interfaces to limit the number of subnets to search for each client.


Directly Adding Specific Clients

1 | In the navigation bar, click Configure4Clients.
2 | Click Add to open the Live Network window.
3 | Click Advanced.
4 | Click Direct.
5 | Enter the known IP address or DNS or WINS name of a client.
6 | Click Add. If Retrospect fails to connect to a client at that IP address
7 | Enter the specified client's Password to add it to the client database.


Overview of Interfaces

Retrospect Single Server and Retrospect Multi Server allow you to choose among multiple adapter cards and control networking options for groups of backup clients. For example, a custom interface lets you back up clients on different subnets without requiring backup data to cross routers, conserving network bandwidth.

Retrospect remembers the interface you used to add a client to the client database, and it uses the interface's settings for all access to that client. You can change the interface used for a client from the Client Properties window's Access tab.

When a TCP/IP-based program such as a Web browser initiates a TCP/IP connection, it uses the "default" IP address of the computer to identify itself. Retrospect interfaces let you choose which address to use when your computer has more than one. The network adapter actually used to send packets is also affected by the TCP/IP configuration of the backup computer.

Interfaces also allow you to group advanced options. For example, if you want one set of clients to have different timeout values than another set, you can create two separate Retrospect interfaces that both specify the same adapter, but have different timeout settings.


Adding and Editing Interfaces

1 | In Retrospect's navigation bar, click Configure4Clients.
2 | Click [image] . The interfaces window lists the Default interface and any other interfaces you have added.
3 | Click New.
4 | Enter a name for the new interface, and click New.
5 | Select a TCP/IP interface, usually a network adapter card. It may use a static IP address or one dynamically assigned by a DHCP server. The Default interface always uses the computer's default TCP/IP address and you may not change it.
6 | Click Advanced.

7

Enter a Network Retry Warning Delay. Retrospect displays its network retry dialog when a client does not respond in the specified time period.

8

Enter a Connection Timeout. Retrospect terminates an established network connection with a client that does not respond in the specified time period. Retrospect ends the connection and reports error –519 (network communication failed). The operating system's TCP/IP itself might time out sooner, causing error –519 in less time than specified by the general connection timeout. Consider this value the maximum amount of time Retrospect will wait for a client to resume communication.

9

In the left pane of the window, click TCP/IP > Connecting.

10

When a client is unavailable at its last known address, Retrospect sends queries at the Search Poll Interval time period (for example, 2 seconds) that you send out.

Retrospect terminates its search for a known client when it cannot find the client in the specified Search Timeout time period. This may be further restricted by the Proactive Backup script polling options.

11

In the left pane of the window, click TCP/IP > Live Listing.

12

Retrospect broadcasts to clients at this Live Poll Interval when it polls for clients in the Live Network Window. If you configured multiple subnets for the interface, Retrospect divides the poll interval by the number of defined subnets.

Retrospect removes a client from the live network window when it does not respond to the specified number of sequential polls (the Forget Counter). This does not affect clients already added to the backup clients database.

13

In the left pane of the window, click TCP/IP > Multicast.

14

Retrospect assigns this Multicast Time-to-Live number to multicast UDP packets. It is the maximum number of router hops a packet can make before it is discarded. An increase in the time-to-live number lets Retrospect search for clients on more subnets connected by IGMP capable routers. Routers which do not support IGMP will not forward the multicast UDP packets.

15

Click OK.


Overview of Client User Preferences

After the client software has been installed, users of client computers can control some aspects of network backup operations with the Retrospect Client control panel, which appears when you launch Retrospect Client.

UNIX clients can also control their preferences from the command line.

You do not need to change any of the settings to perform backups. In most cases, the existing settings are the ones you want to use.

The Retrospect Client control panel displays information about the client computer on which it is installed, including the user or computer name, the access status of the client, and a report about the last several backups.


Client Control Panel

When you start Retrospect Client, the Retrospect Client control panel displays. It includes information about the status of the client and provides uses with some options for controlling client backup.

At the top of the window are two radio buttons: On, and Off. (For Windows and UNIX clients, these buttons are on the Status tab.) Use these buttons to allow or deny network access to your client by the backup computer. When the control is turned off, the data on the client computer cannot be accessed over the network by Retrospect.

To permanently prevent access to the client computer, uninstall the Retrospect client software.

The Client control panel varies slightly depending on the type of client:

  • Windows clients

  • Mac OS clients

  • UNIX clients


Windows Client Preferences

To view and modify Windows client Preferences, start the Retrospect Client software, and click the Preferences tab.

Control

Description

Notify After Backup check box

Directs the client to display a message after the completion of a backup or other operation. Click OK to dismiss the message. By default, this option is not selected.

Notify If No Backup in n Days check box

Directs the client to display a message after 9:00 a.m. if the client has not been backed up within the number of days specified in the entry box. By default, this preference is selected and the number of days is seven.

Report S.M.A.R.T. Hard Disk Errors check box

Starts a backup wizard when Retrospect learns of errors on S.M.A.R.T. hard drive volumes. By default, this preference is turned on.

Priority slide bar

Allows the client to make the client computer favor either the user's task at hand or the operation requested by the backup computer.

When the slider is set all the way to "User," the computer devotes more of its attention to its user, slowing Retrospect client operations slightly. When the slider is set all the way to "Backup," the client operation is given priority and the client computer is slightly less responsive to its user.

This setting has no effect until the client is actively communicating with the backup computer.


Windows Client Access

To view and modify backup computer access to a Windows client, start the Retrospect Client software, and click the Access tab.

Control

Description

Read Access Only check box

Allows the client to be backed up across the network, but prevents writing by the backup computer. This means it cannot restore, move, or delete files on the client computer, nor can Retrospect be used to rename volumes. The options "Set Volume Backup Date," "Move Files," and "Synchronize Clock" cannot be used on the client. This setting is off by default.

Private Files/Folders/Volumes check box

Makes any files, folders, or volumes designated as private unavailable to the backup computer. This preference is off by default. Select the checkbox and designate private items as described below.

To designate an item as private, click Add to enter it's full path in the dialog (or browse to the folder or file), then click OK. The privacy feature uses the literal pathnames you specify. If you move or rename a file or folder it may no longer be private. If you mount a volume to a different drive letter, its files and folders may no longer be private.


Windows Client Proactive Backup

When the backup computer uses a Proactive Backup script, the client can control when it gets backed up.

Proactive Client Backup is only available if you have the appropriate license code. Click Configure4Licenses to view your current licenses or purchase new ones.

To schedule Proactive Client Backup from the client:

1

Start the Retrospect Client software.

2

Click the Proactive Backup tab to bring its controls to the front.

3

Specify when the client computer should be backed up:

  • As soon as possible makes the backup computer back up the client computer as soon as it is available to do so.

  • According to normal schedule makes the backup computer back up the client computer at its regularly scheduled time in the Proactive Backup script. (This is the default.)

  • After ___ time and ____ day prevents the backup computer from backing up the client computer before the specified time and date, up to one week from the present time. (Click on the time and date and type or click the arrows to change them.)

4

Click OK.

When Proactive Client Backup is about to back up a client, a dialog appears on the client computer screen, giving the client three options:

  • Waiting for the countdown to reach zero. This allows the Proactive Backup script to execute.

  • Clicking Backup executes the Proactive Backup script immediately.

  • Clicking Defer allows the client to specify a time for the Proactive Backup script to execute. When a user defers, Retrospect makes an entry in the backup computer's operations log.


Fixing Microsoft Windows 95

Troubleshooting Windows 95 Clients

Two different bugs in Microsoft's network software can cause Retrospect to report networking errors with Windows 95 clients. Microsoft has resolved both problems and free fixes are available for Windows 95. We strongly urge you to update your Windows 95 systems.

Windows 95 TCP/IP Fix

The hot fix for Windows 95 is installed by the Retrospect Client setup program. After installation, choose Run from the Start menu, then type C:\Program Files\Dantz\Retrospect Client\VTCPUPD (or type your different installation path.) Click OK. Follow the instructions in Microsoft's installer, then restart to complete the fix. Repeat for each Windows 95 computer.

Windows 95 Winsock Update

Microsoft's Winsock 2.0 update fixes another networking problem present in Windows 95. It is available free from Microsoft at

http://www.microsoft.com/windows95/downloads/contents/wuadmintools/s_wunetworkingtools/w95sockets2/default.asp


Windows System State Backup

Retrospect backs up the Windows system state when Retrospect's option to do so is turned on and the Windows folder is included in the file selection criteria. Take care to verify this option in your backups because the system state is necessary for restoring an entire crashed or damaged Windows computer.


Excluded Windows Files

Retrospect excludes certain Windows client files from backups and does not show these files in browsers because they cannot or should not be backed up or restored. The files are active virtual memory swap files (.Swp or .Par and Pagefile.Sys) and some client software files.


Open Files

If the backup computer is installed with Retrospect Single Server or Retrospect Multi Server and you have a license code for Open File Backup, you can back up open files on Windows 2000, NT 4.0, and XP client computers.

To back up open files on a Windows XP computer, it must have an NTFS volume.

Click Configure4Licenses to view your current licenses or purchase new ones.

If you do not have Open File Backup, make sure to close open documents and applications on client computers prior to backup.


Screensavers

For best performance during a backup, do not use a processing-intensive screen saver on a Windows client computer.


UNIX Client Preferences

To get to the UNIX client Preferences, start the Retrospect Client software, and click the Preferences tab.

Control | Description
Notify After Backup check box | Directs the client to display a message after the completion of a backup or other operation. Click OK to dismiss the message. By default, this option is not selected.
Notify If No Backup in n Days check box | Directs the client to display a message after 9:00 a.m. if the client has not been backed up within the number of days specified in the entry box. By default, this preference is selected and the number of days is seven.


UNIX Client Access

To get to the UNIX client Preferences, start the Retrospect Client software, and click the Access tab.

Control

Description

Read Access Only check box

Allows the client to be backed up across the network, but prevents writing by the backup computer. This means it cannot restore, move, or delete files on the client computer, nor can Retrospect be used to rename volumes. The options "Set Volume Backup Date," "Move Files," and "Synchronize Clock" cannot be used on the client. This setting is off by default.

Private Files/ Folders/Volumes check box

Makes any files, folders, or volumes designated as private unavailable to the backup computer. This preference is off by default. Select the checkbox and designate private items as described below.

To designate an item as private, click Add then browse to the folder, file, or volume. Use Control+click or Shift+click to select multiple files etc. at once. Click Exclude.

The privacy feature uses the literal pathnames you specify. If you move or rename a file or folder it may no longer be private. If you mount a volume to a different location, its files and folders may no longer be private.


UNIX Client Proactive Backup

When the backup computer uses a Proactive Backup script, the client can control when it gets backed up.

Proactive Client Backup is only available if you have the appropriate license code. Click Configure4Licenses to view your current licenses or purchase new ones.

To schedule Proactive Client Backup from the client

1

Start the Retrospect Client software.

2

Click the Proactive Backup tab to bring its controls to the front.

3

Specify when the client computer should be backed up:

  • As soon as possible makes the backup computer back up the client computer as soon as it is available to do so.

  • According to normal schedule makes the backup computer back up the client computer at its regularly scheduled time in the Proactive Backup script. (This is the default.)

  • After ___ time and ____ day prevents the backup computer from backing up the client computer before the specified time and date, up to one week from the present time. (Click on the time and date and type or click the arrows to change them.)

4

Click OK.

When Proactive Client Backup is about to back up a client, a dialog appears on the client computer screen, giving the client three options:

  • Waiting for the countdown to reach zero. This allows the Proactive Backup script to execute.

  • Clicking Backup executes the Proactive Backup script immediately.

  • Clicking Defer allows the client to specify a time for the Proactive Backup script to execute. When a user defers, Retrospect makes an entry in the backup computer's operations log.


Excluded UNIX files

Retrospect excludes certain UNIX client files from backups and does not show these files in browsers because they cannot or should not be backed up or restored.

The following types of files are excluded from backup:

  • character device crw-------

  • block device brw-------

  • socket files srw-------

  • fifos prw-------

  • doors drw-------


UNIX File Naming

Linux and Solaris have case-sensitive filenames, which means "myfile" and "Myfile" are considered distinct files. However, Windows and Mac OS have non-case sensitive filenames so "myfile" and "Myfile" are interpreted as the same filename.

If these two files are copied from a UNIX client to a Windows or Mac OS backup server, they will be named "myfile" and "Myfile-1". When the files are copied back to a UNIX computer, their names will be "myfile" and "Myfile-1".


UNIX Command Line Interface

You must have Java version 1.2 or later on a UNIX client to run the UNIX Client control panel. If you don't have it, or if you prefer the command line interface, use the following commands:

To verify the client is running execute the following command

$./retrocpl

$rcl status

To start the client manually

$rcl start

$./retroclient

$./retroclient –daemon

Arguments for running the control panel from the command line:

retrocpl [-on | -off | -stop | -log n

| -readonly [on | off]

| -notifyafter [on | off]

| -notifynobackup [on | off]

| -notifynumdays [number of days]

| -exclude [on | off]

| -proactive [asap | normal | mm:dd:yyyy:hh:mm | skipdays=n] ]

For more information on these arguments, see the man pages and info pages that are installed with the UNIX client. To access these pages, type:

$man retroclient

$man retrocpl

$info retroclient (Linux only)

$info retrocpl (Linux only)


Mac OS Client Preferences

To get to the client Preferences, start the Retrospect Client, and click the Preferences button. The table below describes the controls on the Preferences window.

Control

Description

Wait at Shutdown check box

Determines what happens when a client user shuts down their computer. When this option is selected and Shut Down is chosen, the "waiting for backup" dialog is displayed until the backup takes place. By default, this preference is selected.

When this dialog is on the client Macintosh screen, the client user may click Restart to restart the client Macintosh, click Shut Down to shut it down, or click nothing and leave it for unattended operation. When the client computer is not used for thirty seconds, a screen saver appears until the user presses a key or moves the mouse to return to the dialog. When the backup computer finishes its operation with this client, it shuts down the client Macintosh.

Run in Background check box

Allows the backup computer to operate at the same time the client user is using the client Macintosh.

If this option is not selected, a dialog appears on the client during network operations. The Mac client user can cancel the network operation to continue working or wait until the operation is finished.

When this option is selected, the dialog does not appear during backups, and the client user can set Priority levels for local and network operations (see below for details).

Priority slide bar

Allows the client to make the client computer favor either the user's task at hand or the operation requested by the backup computer. (Under Mac OS, this applies only when the Run in Background check box is selected.)

When the slider is set all the way to "User," the computer devotes more of its attention to its user, slowing Retrospect client operations slightly. When the slider is set all the way to "Backup," the client operation is given priority and the client computer is slightly less responsive to its user.

This setting has no effect until the client is actively communicating with the backup computer.

Under Mac OS, the Priority setting is ignored if the client Macintosh is displaying the "Waiting for Backup" dialog.

Read Access Only check box

Allows the client to be backed up across the network, but prevents writing by the backup computer. This means it cannot restore, move, or delete files on the client computer, nor can Retrospect be used to rename volumes. The options "Set Volume Backup Date," "Move Files," and "Synchronize Clock" cannot be used on the client. This setting is off by default.

Private Files/Folders/Volumes check box

Makes any files, folders, or volumes designated as private unavailable to the backup computer. This preference is off by default. Select the checkbox and designate private items as described below.

To designate an item as private under Mac OS, type a bullet ("•", Option-8) at the beginning or end of its name (placing it at the end will preserve its sort order in the Finder). For example, you could designate the folder "Personal" as private by renaming it "Personal•"

Notify After Backup check box

Directs the client to display a message after the completion of a backup or other operation. Click OK to dismiss the message. By default, this option is not selected.

Notify If No Backup in n Days check box

Directs the client to display a message after 9:00 a.m. if the client has not been backed up within the number of days specified in the entry box. By default, this preference is selected and the number of days is seven.


Mac OS Client Proactive Backup

When the backup computer uses a Proactive Backup script, the client can control when it gets backed up.

Proactive Client Backup is only available if you have the appropriate license code. Click Configure4Licenses to view your current licenses or purchase new ones. Proactive Client Backup is known as Backup Server on Mac OS client software versions 5.0 and earlier.

To schedule Proactive Client Backup from the client

1

Start the Retrospect Client software.

2

Click the Preferences button and then the Schedule button to bring up the Backup Server control dialog.

3

Specify when the client computer should be backed up:

  • As soon as possible makes the backup computer back up the client computer as soon as it is available to do so.

  • According to normal schedule makes the backup computer back up the client computer at its regularly scheduled time in the Proactive Backup script. (This is the default.)

  • After ___ time and ___ day prevents the backup computer from backing up the client computer before the specified time and date, up to one week from the present time. (Click on the time and date and type or click the arrows to change them.)

4

Click OK.

When Proactive Client Backup is about to back up a client, a dialog appears on the client computer screen, giving the client three options:

  • Waiting for the countdown to reach zero. This allows the Proactive Backup script to execute.

  • Clicking Backup executes the Proactive Backup script immediately.

  • Clicking Defer allows the client to specify a time for the Proactive Backup script to execute. When a user defers, Retrospect makes an entry in the backup computer's operations log.


Overview of Network Backup Guidelines

This section provides information, advice, and worksheets to help you set up a workgroup backup using Retrospect.

In general, the same principles that apply to individual backups also apply to network backups of client computers. The major difference between an individual backup and a network backup is the amount of data, which may overwhelm storage limitations. As a consequence of the sheer amount of data and the often slower speed of network backups, time may also impose limitations. If you cannot back up the entire network in a single night, you may want to consider splitting the backup over several nights, backing up only documents, or using Proactive Backup scripts.

Proactive Client Backup is only available if you have the appropriate license code. Click Configure4Licenses to view your current licenses or purchase new ones.

Although the information in this section can be applied to any local area network, the examples assume a basic Ethernet network installation. Most calculations still apply if your network contains inter-network devices (such as routers or gateways), unless one or more members of the backup are separated from the rest by an inter-network device. Running backups through routers or gateways increases the time it takes to complete a backup.


Choosing the Backup Device

The capacity of the backup device is usually the most important consideration for automatic, unattended workgroup backups. There is no such thing as too much capacity for network backups. More capacity almost always means you can back up more files from more volumes from more client computers, broaden the criteria for selecting files to be backed up, increase the amount of time between media changes, and increase the number of backup sessions per piece of media.

If your backup device does not have enough capacity, you can't complete an automatic, unattended backup because you have to change the media before the backup is finished.


Choosing the Backup Computer

You do not need to use a file server as the backup computer. Here are some advantages for using a desktop computer or a server as the backup computer.

Although the backup computer can be virtually any Windows-compatible model, consider using a computer with adequate power to perform your network backups. For example, if you are backing up a small number of client computers with small to medium capacity hard disks, a 200 MHz Pentium should be able to do the job. However, if you are backing up large file servers and several client computers with thousands of files, a Pentium III would be more suitable. Following are some considerations:

  • The performance of the backup computer often determines the performance of the entire system. Generally, a higher performance computer supports a network backup of more data from a larger number of client computers.

  • Software compression and encryption increase CPU use significantly. If you are considering using either of these features, choose a model with a more powerful CPU, such as a Pentium III.

  • Make sure the backup computer has enough RAM to handle the network volume that contains the most files. The more files you have, the more RAM you need.

If the backup computer is not completing backups in its scheduled time periods or if you want volumes to be backed up more often than they are, you may need a faster backup computer or a faster backup device, or both.


Encryption and Compression

Retrospect provides an encryption feature that lets you protect your data from unauthorized access as it is being backed up, and a compression feature that saves space on the backup device by compressing stored data. The decision to use one or both of these features can affect the type of backup device you choose. Keep in mind Retrospect's encryption and software compression can slow a backup, especially when using a computer with a slow CPU. A tape drive that supports compression performs the task of compression itself, because it compresses data faster than Retrospect.

Use the table below to determine whether to use compression and encryption and whether a compression tape drive is appropriate to use as the backup device.

Feature | Description | Procedure | Implementation
Compression | Allows the backup device to store more files on its media. | Finds patterns in the data; the more patterns, the greater the compression. | If you have a compression drive, Retrospect leaves the task of compression to the hardware since it compresses data faster than Retrospect.
Encryption | Adds security to your backup. | Randomizes the appearance of data to prevent unauthorized access. | Retrospect always manages encryption.
Compression with Encryption | Allows the backup device to store more files on its media and adds security to your backup. | Compression must take place before encryption. | Retrospect must perform both functions. If you have a compression drive, you must choose between using encryption or using hardware compression because you cannot use both. (Retrospect automatically disables hardware compression when you use encryption.)


Device Capacity Worksheet

Use this worksheet to estimate the minimum required capacity of a backup device for your workgroup. The number you come up with for G is the minimum backup device media capacity for completing an unattended backup without having to change the media.

Item | Description | Amount
A. Total disk capacity user-defined | On a separate page, list your workgroup's computers and the disk size (in megabytes) of each. Work out the sum and enter it for A. | A =
B. Estimated data redundancy user-defined | Estimate how much data is redundant, which Retrospect backs up only once. If everyone in your workgroup uses the same applications, dictionaries, fonts, and so on, you might have as much as 60% (0.6) redundancy. If your network is average, enter 0.3 for 30%. Enter your estimate of the redundancy B, expressed in decimal form. | B =
C. Reduction factor C = 1 – B | Subtract the amount B from 1 to get the data reduction factor. For example, if B is 0.3 the reduction factor is 0.7 (because 1 – 0.3 = 0.7). Work out the difference and enter it for C. | C =
D. Reduced data D = A * C | To estimate the actual amount of data you need to back up (before any compression) multiply the total disk capacity (A) and the reduction factor (C). Work out the product and enter it for D. | D =
E. Estimated compression user-defined | The compression rate depends on the files. Text files compress well; application files do not. The most compression you can hope for is 50% (0.5). Average compression to expect for network backups is 30% (0.3). If you do not plan on using compression, enter 0. Enter your estimate of the compression E, expressed in decimal form. | E =
F. Compression factor F = 1 – E | Subtract the estimated compression (E) from 1. For example, if E is 0.35 (35%) then F is 0.65 (because 1 – 0.35 = 0.65). Work out the difference and enter it for F. | F =
G. Required backup capacity G = D * F | To get the minimum required backup device capacity, multiply the reduced data amount (D) by the compression factor (F). Work out the product and enter it for G. | G =


Backup Duration Worksheet

Once you have determined the size of your backup device, use the worksheet below to determine the number of hours your network backup requires. If the total number of hours is less than twelve, a recycle backup is likely to finish in a single night. If the total number of hours is more than twelve, you may need to examine alternative strategies, such as performing recycle backups only on weekends or backing up only documents and preferences.

Backup Strategies

Item

Description

Amount

H. Backup capacity requirement

H = D

For H, enter the total reduced data requirement from item D in the Device Capacity Worksheet.

H =

I. Verification multiplier

user-defined

If you do not plan to use verification enter 1. Otherwise, start with 1.5, but if you are using software compression or encryption, increase it by 0.1 to 0.5; the slower the backup computer, the higher the number.

Enter your verification multiplier for I.

I =

J. Total transmission

J = H * I

To get the total amount of data transmitted across the network, multiply the backup capacity requirement (H) by the verification multiplier (I).

Work out the product and enter it for J.

J =

K. Network throughput

user-defined

Throughput rates vary according to the network cabling method. For 10BaseT, use 1200 MB per hour; for 100BaseT, use 2400 MB per hour.

Enter the number of megabytes per hour for K.

K =

L. Adjusted network throughput

L = K (1 – .05n)

Backing up through routers typically reduces performance so subtract 5% for each router. (Use n as the number of routers.)

Work out the difference and enter it for L. If you are not using routers or bridges assign the K value to L.

L =

M. Hours required

M = J/L

To determine the total number of hours required for the backup to complete, divide the total transmission (J) by the adjusted network throughput (L).

Work out the result and enter it for M.

M =


Mac OS file names can include several characters Windows does not allow in its file names. These illegal characters are /, \, :, *, ", <, and >. When restoring or duplicating Macintosh files to a Windows volume, Retrospect replaces each of these illegal characters with a hyphen (-).

File System Conversions

Retrospect allows you to restore and duplicate data between computers which use different operating systems and file systems. Because no two file systems support identical attributes and file formats, copying files from one file system to another sometimes results in the loss of information.

Retrospect supports the following file system conversions with no loss of data:

  • FAT (Windows) to HFS (Macintosh)

  • FAT to NTFS (Windows)

  • HFS to NTFS

  • FAT to UNIX file systems

  • UNIX to HFS (Mac OS X only)

Retrospect supports the following file system conversions with loss of extended information and/or data, as noted:

  • HFS to FAT: Data fork of HFS files is copied; attributes, privileges, and resource fork are not.

  • NTFS to FAT: First data stream is copied, but all permissions and other NTFS data are not.

  • NTFS to HFS: Services for Macintosh data on an NTFS volume restores or duplicates without loss to Macintosh HFS volumes. When copying Windows NTFS data to HFS the first data stream is copied, but all permissions and other NTFS data are not.

  • NTFS to UNIX: Lose permissions and other NTFS data.

  • UNIX to HFS (Mac OS 9 .x): Lose UNIX file permissions, owner and group attributes, and special file attributes (e.g. hard links).

  • UNIX to FAT: Lose UNIX file permissions, owner and group attributes, and special file attributes (e.g. hard links).

Regarding Illegal Characters


Microsoft Networking Volumes

If you want to set up unattended backups through Microsoft Networking instead of through Retrospect client software, you must take additional steps.

Retrospect does not back up the registry of a Microsoft Networking computer when you back up a Microsoft Networking volume. Install Retrospect client software on the computer and use it as a client of Retrospect to back up its registry.

Windows 95, 98, and Me

Simply log in to Microsoft Networking.

Windows NT 4.0

  1. Open the Services Control Panel.

  2. Select Retrospect Launcher and then click the Startup button.

  3. In the Log On As area, select This Account. LocalSystem appears in the field to the right.

  4. Change "LocalSystem" to the account you want to use and then enter your password in the two password fields. (This allows automatic backup while logged in as the specified account, or while logged out.)

  5. Restart Windows.

Windows 2000 and XP

  1. Open the Services management console.

  2. In the list of services, select Retrospect Launcher and then click the Properties toolbar button.

  3. In the service properties window, click the Log On tab, and in its Log On As section, select This Account.

  4. In the field to the right of This Account, enter the account you want to use and then enter your password in the two password fields. (This allows automatic backup while logged in as the specified account, or while logged out.)

  5. Click OK.

  6. Restart Windows.


Introduction to Restoring and Disaster Recovery

Retrospect makes it easy to back up and restore data and applications.

Restoring files from your latest backup

Restoring files from an older backup

Restoring files and folders by name or other searchable criteria

Restoring files when you are not sure which Backup Set the files are in

Restoring files and folders when you are not certain of their names

Restoring files and folders that you know you backed up on a particular date

Restoring an entire Windows computer or server

Restoring an entire Windows computer from a backup that does not include all files

Restoring an entire Windows client computer

Restoring an entire UNIX client computer

Restoring an entire Macintosh client computer

Restoring an entire Macintosh client file server

Sometimes, however, computers fail disastrously, due to human error, hardware failure, or other factors. In the case of such a disaster, when the failed computer cannot even boot up, you can use Retrospect's Disaster Recovery option to get up and running quickly. The goal of Disaster Recovery is to recreate an environment from which you can launch Retrospect and begin restoring data.

Disaster Recovery is only available if you have the appropriate license code. Click Configure4Licenses to view your current licenses or purchase new ones.


Restoring Files From Your Latest Backup

1 | From the navigation bar, click Restore4Selected Files.
2 | In this window's top list, select the Backup Set from which to restore. (Click More if your desired set is not listed.)
3 | In the window's bottom list, select the most recent volume Snapshot. The date and time when the volume was last backed up are listed to the right of the volume's name.
4 | Click OK.
5 | Select the volume on which you want Retrospect to place the restored files. This volume does not have to be the original volume from which the files were backed up.
6 | Set the list to Retrieve Files & Folders and click OK.
7 | Click Files Chosen to use a browser to find and mark the files you want to restore.
8 | When you have marked the files, click Restore.
9 | Make sure the correct Backup Set media is in the backup device. If Retrospect does not see the media, it requests it.
10 | Retrospect informs you when the execution is complete. If any errors occurred, you can view error details in the Operations log.
11 | If you leave Retrospect and explore the destination volume, you can see its root level has a new folder, named the same as the Backup Set from which you restored. Within this folder are your restored files and folders.


Restoring Files From an Older Backup

When you do not want the most recent files in the most recent backup, you can retrieve a Snapshot from an earlier date to restore a file or folder from an older backup.

1 | From the navigation bar, click Restore4Selected Files.
2 | In this window's top list, select the Backup Set from which to restore. (Click More if your desired set is not listed.)
3 | In the window's bottom list, you can see the volume's current Snapshot. Perhaps the older file you want does not exist in this current Snapshot, but you know it is in the Backup Set. Click Add Snapshot to list all Snapshots in the Backup Set.
4 | Select the Snapshot you want, and click Retrieve. Retrospect obtains the older Snapshot from the Backup Set media (which may require you to insert media) and adds it to the list in the restore source window.
5 | With your desired Snapshot selected in the restore source window, click OK.
6 | Select the volume on which you want Retrospect to place the restored files. This volume does not have to be the original volume from which the files were backed up.
7 | Set the list to Retrieve Files & Folders and click OK.
8 | Click Files Chosen to use a browser to find and mark the files you want to restore.
9 | When you have marked the files, click Restore.
10 | Make sure the correct Backup Set media is in the backup device. If Retrospect does not see the media, it requests it.
11 | Retrospect informs you when the execution is complete. If any errors occurred, you can view error details in the Operations log.
12 | If you leave Retrospect and explore the destination volume, you can see its root level has a new folder, named the same as the Backup Set from which you restored. Within this folder are your restored files and folders.


Restoring Files By Searching

Another way to recover older files is to set up a searching restore. This works best when you know the specific file attributes such as name and type, or you want to see all versions of given files so you can mark the ones you need. Searching lets you retrieve one or more files, regardless of when they were backed up. This restore method also lets you search multiple Backup Sets at once, a convenient way to find files when you are not sure which Backup Set they were backed up to.

Restore by searching does not restore NTFS permissions or Macintosh file sharing privileges. You must restore from a Snapshot to restore NTFS permissions.

1 | From the navigation bar, click Restore4Find Files.
2 | Select one or more Backup Sets, each of which will be searched. (Click More if your desired set is not listed.)
3 | Click OK.
4 | Select the volume on which you want Retrospect to place the restored files.
5 | Set the list to Retrieve Files & Folders, and click OK. Retrospect puts up the window for defining file selection criteria.
6 | Enter the name of the file you want. If you need to use more searching criteria, click More Choices to create a custom selector.
7 | Click OK. After Retrospect searches, it summarizes what it found. Click Files Chosen to display a browser of the files found, which are all marked.
8 | By default, Retrospect lists the name, size, and backup date. If you are looking for a modification date, change the view setting using the toolbar's combo box.
9 | Clear all files, then select the files you want to restore, close the browser, and click Retrieve.
10 | Make sure the correct Backup Set media is in the backup device. If Retrospect does not see the media, it requests it.
11 | Retrospect informs you when the execution is complete. If any errors occurred, you can view error details in the Operations log.
12 | If you leave Retrospect and explore the destination volume, you can see its root level has a new folder, named the same as the Backup Set from which you restored. Within this folder are your restored files and folders.


Restoring Files When You Are Not Sure of the Names

If you know part of a file's name, Retrospect can help you find it. Retrospect also lets you search for files by size, path, date, and many other attributes, so even if you haven’t a clue about the file's name Retrospect can still help you find it.

1

Set up a searching restore. If you specify just part of the file's name in the searching window, Retrospect will probably find the file you are looking for, but may also find others.

Leave the name field blank to find every file in the Backup Set.

2

If you do not know the file's name, click More Choices and create a selector to choose files by date, path, size, parent folder, client name, and several other criteria you know the desired file possesses.

3

After Retrospect searches, click Files Chosen in the summary window. In the browser window that appears, use the toolbar to sort the list of files and find files in the list.

You can also find related files using the browser's cross reference feature: select a file in the list, and click the Cross Reference button to find, for example, other versions of that file.

4

Make sure only the files to be retrieved are marked, then close the browser window.

5

Click Retrieve in the summary window to start restoring.


Restoring Files From a Given Date

Retrospect gives you a few different ways to recover files from a certain point in time. The process you choose depends on when the files were backed up and what has happened to them since then. It also depends on how much you know about the files you want and your knowledge of the backups.

A file in the current volume Snapshot may actually have been backed up long ago. Likewise, a file may not be in a current Snapshot because it was deleted from the source volume prior to the most recent backup, though the file is still available to restore. Finally, there may be multiple versions of a given file that was repeatedly modified and backed up over time.

One way to recover files from an older backup is to restore by Snapshot. This works best when you know the files you are looking for were on a volume at a certain date and time. Use the older Snapshot that corresponds to the date of the files you are looking for. Browse the files chosen in the Snapshot and manually mark the ones you want to restore.

Another way to recover older files is to set up a searching restore. This works best when you know the specific file attributes such as name and type, or you want to see all versions of given files so you can mark the ones you need. Give Retrospect the criteria to search by; if you know the name, just enter it. Click More Choices if you need to create a custom selector.

To restore files that were backed up on a specific date, set up a searching restore. In the searching window, click More Choices and create a selector using a universal date condition. Set the date condition controls such that the summary reads "backup date is exactly" the date the file was backed up.

After Retrospect searches, click Files Chosen in the summary window to review the files selected for restore. Make sure to mark only the files you want to retrieve. Click Retrieve to proceed.


Restoring an Entire Windows Computer

These instructions assume your computer has encountered a disastrous data loss that cannot be easily remedied. Following are instructions on getting the computer back in working order.

The steps below, which should be taken only in the event of serious trouble, involve completely replacing the contents of your hard drive with a previous backup in which you backed up "all files." (Another option is to restore from a partial backup in which you backed up only some of the files.)

1

Restart and Try to Repair the Disk

Find the CD-ROM included with your computer or the emergency recovery disk. Restart your computer, and put in the disk or CD. When your computer has started from this disk or CD, run ScanDisk to examine your hard disk for problems. (You should also try other disk repair utilities if you have them.)

2

Assess the Current State of the Hard Disk

If you were able to repair all damage and no low-level problems are found, stop here! You do not need to restore or reformat your hard disk.

If you could not make any repairs with the disk utilities, or if the hard disk still is not accessible from Windows Explorer, you probably need to reformat your hard disk. Go on to step 4.

If you were able to repair some damage, but problems remain with the hard disk, you may need to reformat it. But first you must safeguard your data as described below in step 3.

3

Make New Backups Before Reformatting

Now is a good time to back up your repaired hard disk. You may want to make two new backups (with the verification option on) to new backup sets. (Do not do a recycle backup to an existing Backup Set, since the damaged drive might not have all of your files on it and you don’t want to erase your previous backups.) Once you are sure you have redundant backups of your data, copy your Backup Set Catalogs to a floppy disk, disk, or server.

4

Reformat the Disk

If the disk repair utility cannot fix the disk, you may have to erase or reformat the disk in order to prepare it for restoration.

Erasing or formatting a hard disk destroys all data stored on the disk. If you are not sure whether you should erase or format your hard disk, contact its vendor for assistance.

5

Re-install Software

a) Install a Windows operating system on your newly-formatted hard disk. (For a Windows Me upgrade, use the Windows 98 CD.) Restart from this volume.

b) Install Retrospect. If you copied your Catalog Files to floppy or disks, copy them back to your hard disk.

c) Start the Retrospect application and enter your license code when prompted. If you did not make copies or backups of your Catalog Files, recreate the Catalog or Catalogs from your storage media.

d) If you copied your Catalog Files from floppy or disks you must get Retrospect to recognize them. In the navigation bar, click Configure4Backup Sets, then click More and Open to add the Catalogs to the list of available Backup Sets.

6

Restore from Backup

a) Now that your hard disk is working again and Retrospect is available along with your backup Catalogs, you can restore your hard disk. Click Restore.

b) Select Entire Volume.

c) In the top part of the window, select the Backup Set that has your most recent backup of the hard disk you have recently repaired. In the bottom portion, select the most recent Snapshot of that hard disk. Click OK to proceed.

d) Select the destination to which to restore files. Because your whole hard disk was wiped out and needs to be completely restored, select it and leave the list set to Restore Entire Volume. Click OK. Retrospect matches files from the Snapshot then scans the destination and displays the restore summary window.

e) Confirm the Windows system state options are set to restore data.

f) Put the first recordable disc, tape, or disk from the Backup Set in your backup device and click Restore.

7

Restart to Finish

After Retrospect completes its copying of the files, exit Retrospect and restart the computer. Your computer is now ready to use.


Restoring an Entire Windows Computer from a Partial Backup

These instructions assume you have not been backing up all files, only a subset of files.

1

Get the Computer Working

Follow steps one through four for Restoring an Entire Windows Computer. Install a Windows operating system on your newly-formatted hard disk. Eject any CDs and restart to boot from the new operating system on the hard disk.

2

Get Retrospect Working

Install Retrospect from the Retrospect CD. If you copied your Catalog files to floppy disks, disk, or server, copy them back to your hard disk. Start Retrospect and enter your license code when prompted. If you did not make copies or backups of your Catalog Files, recreate the Catalog or Catalogs from your storage media.

3

Restore from Backup

Now that your hard disk is working again and Retrospect is available along with your backup Catalogs, you can restore your hard disk.

a) Click Restore.

b) Select Entire Volume.

c) Select the source from which to restore backed-up files. Select your Backup Set and its latest Snapshot of your hard disk then click OK.

d) Select your hard disk as the destination, and set the list to Replace Corresponding Files. Click OK.

e) When you click Restore, Retrospect restores the files you chose to back up. Because you did not back up all files your hard disk is not at the state of its last backup. For example, if you chose to back up only documents, you will have to reinstall your applications.


Restoring a Windows Client

In the event that a Windows client computer crashes or suffers from other serious problems, you must take the following approach.

1

Restart and Try to Repair the Disk

Find the CD-ROM included with your computer or the emergency recovery disk. Restart the client computer, and put in the disk or CD. When the computer has started from this disk or CD, run ScanDisk to examine the hard disk for problems. (You should also try other disk repair utilities if you have them.)

2

Assess the Current State of the Hard Disk

If you were able to repair all damage and no low-level problems are found, stop here! You do not need to restore or reformat the hard disk.

If you could not make any repairs with the disk utilities, or if the hard disk still is not accessible from Windows Explorer, you probably need to reformat the hard disk. Go on to step 4.

If you were able to repair some damage, but problems remain with the hard disk, you may need to reformat it. But first you must safeguard your data as described below in step 3.

3

Make New Backups Before Reformatting

Now is a good time to back up the repaired hard disk. You may want to make two new backups (with the verification option on) to new Backup Sets. (Do not do a recycle backup to an existing Backup Set, since the damaged drive might not have all files on it and you don’t want to erase previous backups.) Once you are sure you have redundant backups of your data, copy your Backup Set Catalogs to a floppy disk, disk, or server.

4

Reformat the Disk

If the disk repair utility cannot fix the disk, you may have to erase or reformat the disk in order to prepare it for restoration.

Erasing or formatting a hard disk destroys all data stored on the disk. If you are not sure whether you should erase or format the hard disk, contact its vendor for assistance.

5

Re-install Software

Install new Windows operating system software on the newly-formatted hard disk. Restart from this volume. (If you are going to restore a dual-boot system that includes NT or 2000, install NT or 2000 and do the following steps from NT or 2000.)

Configure TCP/IP

Make sure the computer is properly set up for use with TCP/IP networking. (If you need help configuring TCP/IP, see your network administrator.)

6

Install Client Software

Install the client software.

7

Prepare Client Database

From the backup computer, log in the client.

8

Restore Files

a) Now that the hard disk is working again, you can restore the client from the backup computer, over the network. Click Restore.

b) Select Entire Volume.

c) In the top part of the window, select the Backup Set that has the most recent backup of the client's hard disk. In the bottom portion, select the most recent Snapshot of that hard disk. Click OK.

d) Because the whole client hard disk was wiped out and needs to be completely restored, select it and confirm the list is set to Restore Entire Volume.

e) Click OK. In the summary window, verify your choices for the Source, Destination, Files Chosen, and Options. Confirm the Windows system state options are set to restore data.

f) Put the first recordable disc, tape, or disk from the Backup Set in your backup device and click Restore.

9

Clean Up

Restart the client computer.


Restoring a UNIX Client

In the event that a UNIX client computer crashes or suffers from other serious problems, you must take the following approach.

1

Restart and Try to Repair the Disk

If you have a boot disk for your system, restart the client computer, and put in the disk. When the computer has started from this disk, follow the instructions to repair your disk.

Alternatively, you can boot the system and run a file system check (fsck or equivalent). If this does not result in a bootable system, you have two options, depending on your expertise with the operating system. For the experienced administrator, boot to single-user mode from your OS installation media and repair the boot sector, replace the kernal, etc. If you have less experience, or do not feel comfortable with the above steps, you should re-install the OS, after replacing the hard disk (if necessary).

2

Assess the Current State of the Hard Disk

If you were able to repair all damage and no low-level problems are found, stop here! You do not need to restore or reformat the hard disk.

If you could not make any repairs with the boot disk, or if the hard disk still is not accessible, you probably need to reformat the hard disk. Go on to step 4.

If you were able to repair some damage, but problems remain with the hard disk, you may need to reformat it. But first you must safeguard your data as described below in step 3.

3

Make New Backups Before Reformatting

Now is a good time to back up the repaired hard disk. You may want to make two new backups (with the verification option on) to new Backup Sets. (Do not do a recycle backup to an existing Backup Set, since the damaged drive might not have all files on it and you don't want to erase previous backups.) Once you are sure you have redundant backups of your data, copy your Backup Set Catalogs to a floppy disk, disk, or server.

4

Reformat the Disk

If the boot disk cannot fix the hard disk, you may have to erase or reformat the hard disk in order to prepare it for restoration.

Erasing or formatting a hard disk destroys all data stored on the disk. If you are not sure whether you should erase or format the hard disk, contact its vendor for assistance.

5

Re-install Software

Install new UNIX operating system software on the newly-formatted hard disk, making sure to create the same mount points as the original system. Restart from this volume.

6

Install Client Software

First, make sure the client meets the system requirements. Then install the client software.

7

Prepare Client Database

From the backup computer, log in the client.

8

Restore Files

a) Now that the hard disk is working again, you can restore the client from the backup computer, over the network. Click Restore.

b) Select Entire Volume.

c) In the top part of the window, select the Backup Set that has the most recent backup of the client's hard disk. In the bottom portion, select the most recent Snapshot of that hard disk. Click OK.

d) Because the whole client hard disk was wiped out and needs to be completely restored, select it and confirm the list is set to Restore Entire Volume.

e) Click OK. In the summary window, verify your choices for the Source, Destination, Files Chosen, and Options.

f) Put the first recordable disc, tape, or disk from the Backup Set in your backup device and click Restore.

9

Clean Up

Restart the client computer. Forget the temporary client in Retrospect's client database.


Restoring a Mac OS Client

The following instructions tell how to restore an entire volume on a Mac OS client over the network.

You must first work at the client computer to get it operating with the network before performing the actual restore operation from the backup computer.

The steps below, which should be taken only in the event of serious trouble, involve completely replacing the contents of a client computer's hard drive with a previous backup in which you backed up "all files."

The steps below are not for a Macintosh that serves data via file sharing or AppleShare. To restore a server, see Restoring Mac OS File Servers.

1

Restart and Try to Repair the Disk

Find the Mac OS 9 or Mac OS X CD-ROM, restart the Macintosh, and put in the CD. Press and hold the "C" key during startup to force the computer to boot from the CD-ROM. Under Mac OS 9, open the Disk First Aid utility application from the CD. Under Mac OS X, choose Open Disk Utility from the Installer menu then click the First Aid tab. Use Disk First Aid to examine the hard disk for problems and repair them, if possible. (You should also try other disk repair utilities if you have them. Use the low-level verification or test function of the Drive Setup utility or your disk formatter to examine the hard disk for defects that other utilities will not find.)

2

Assess the Current State of the Hard Disk

If you were able to repair all damage and no low-level problems are found, stop here! You do not need to restore or reformat your hard disk.

If you could not make any repairs with the disk utilities, or if the hard disk still does not mount on the desktop, you probably need to reformat your hard disk. Go on to step 4.

If you were able to repair some damage, but problems remain with the hard disk, you may need to reformat it. But first you must safeguard your data as described below in step 3.

3

Make New Backups Before Reformatting

Now is a good time to back up your repaired hard disk, so restart from the hard disk and open Retrospect on the backup computer. You may want to make two new backups of the client (with the verification option on) to new backup sets. (Do not do a recycle backup to an existing backup set, as the damaged drive might not have all of your files on it and you do not want to erase your previous backups.)

4

Reformat the Disk

If the disk repair utility can not fix the disk, you may have to erase or reformat the disk in order to prepare it for restoration.

Erasing or formatting a hard disk destroys all data stored on the disk. If you are not sure whether you should erase or format your hard disk, contact its vendor for assistance.

If the disk is beyond repair under Mac OS 9, use the Finder to select the damaged volume and choose Erase Disk from the Special menu. If the disk is beyond repair under Mac OS X, use Disk Utility to select the damaged volume, click the Erase tab, choose a format, supply a name, and click Erase. If erasing is unsuccessful from the Mac OS 9 Finder, you need to reformat the disk. To do this, start the Drive Setup application from the Disk Tools disk or CD, or the formatting software that came with the hard disk, and use it to format the hard disk.

5

Re-Install Software

Restart the Macintosh from the Mac OS 9 or Mac OS X CD-ROM, pressing and holding the "C" key during startup to force the computer to boot from the CD.

Install System Software

Install new Mac OS system software on the newly-formatted hard disk.

You must install the same exact version number of Mac OS X as the version of Mac OS X you will restore. For example, if the client was backed up running version 10.1.3, you must install Mac OS X 10.1.3.

Eject any CDs and restart from the new system on the hard disk. Use the Date & Time control panel or system preference to set your local time and time zone, and, if necessary, change the Daylight Saving setting. Under Mac OS 9, rename the System Folder to "temp."

Configure TCP/IP

Make sure the computer is properly set up for use with TCP/IP networking. (If you need help configuring TCP/IP contact your network administrator or Internet service provider.)

Install Client Software

Install Retrospect client software on the Macintosh and restart it. Remember the password. After restarting, the computer automatically loads the client software.

6

Prepare the Client Macintosh for Restore

Open the Retrospect client control panel (under Mac OS 9) or Retrospect client application (Mac OS X) and verify the client software is turned on and is waiting for first access.

For ideal restoring conditions under Mac OS 9, shut down the client Macintosh so the Retrospect client shutdown dialog appears.

Leave the client Macintosh with this dialog; do not shut down or restart.

Before restoring to a volume other than the current system volume under Mac OS X, use the Finder's Show Info command on the volume. Choose Privileges from the info window's menu then turn off the "Ignore privileges on this volume" option.

For ideal restoring conditions under Mac OS X, log out so the single-user login window or multiple-user login list window appears. Leave the client Macintosh at this window; do not log in, shut down, or restart.

7

Log in the Client from the Backup Computer

From the backup computer, add the client.

8

Restore from Backup

a) Now that the client is fully functional, you can restore it from the backup computer. Click Restore4Entire Volume.

b) In the top part of the window, select the Backup Set that has your most recent backup of the client hard disk. In the bottom portion, select the most recent Snapshot of that hard disk. Click OK.

c) Because the whole client hard disk was wiped out and needs to be completely restored, select it and confirm the list is set to Restore Entire Volume.

d) Click OK. In the summary window, verify your choices for the Source, Destination, Files Chosen, and Options. Confirm the Windows system state options are set to restore data.

e) Put the first CD, tape, or disk from the Backup Set in your backup device and click Restore.

9

Restart and Rebuild Desktop

Under Mac OS X, restart the computer.

Under Mac OS 9, restart the computer, pressing and holding the Command and Option keys while it starts (until the Macintosh asks you to confirm rebuilding the desktop). After it starts and rebuilds the desktop, place the "temp" System Folder in the Trash and empty the Trash.

Your computer is now ready to use.

If you often restore clients consider setting up a hard disk with System software and a logged in Retrospect Client control panel. Connect this hard disk to the Macintosh you need to restore and you are well on your way to restoring more quickly.


Restoring Pre-Mac OS X File Servers

Restoring Mac OS File Servers

This section describes how to use Retrospect to restore volumes shared by AppleShare or Mac OS file sharing. The instructions include special procedures to ensure access privileges are intact after the volume is restored.


Partial Restore to an Undamaged Mac OS Server

Access privileges are restored for a server only if file sharing was active when the backup was made and if file sharing is active during the restore operation.

If your server is undamaged and you need to restore only some of the files and folders from a backup (for instance, because somebody accidentally deleted some folders from the server), follow one of the sets of instructions under Restoring Files and Folders.


Restoring an Entire Crashed or Damaged Mac OS Server

Access privileges are restored for a server only if file sharing was active when the backup was made and if file sharing is active during the restore operation.

1

Restart and Try to Repair the Disk

Find your Mac OS 9 or Mac OS X CD-ROM, restart your Macintosh, and put in the CD. Press and hold the "C" key during startup to force the computer to boot from the CD-ROM. Under Mac OS 9, open the Disk First Aid utility application from the CD. Under Mac OS X, choose Open Disk Utility from the Installer menu then click the First Aid tab. Use Disk First Aid to examine your hard disk for problems and repair them, if possible. (You should also try other disk repair utilities if you have them.) Use the low-level verification or test function of the Drive Setup utility or your disk formatter to examine the hard disk for defects that other utilities will not find.

2

Assess the Current State of the Hard Disk

If you were able to repair all damage and no low-level problems are found, stop here! You do not need to restore or reformat your hard disk.

If you could not make any repairs with the disk utilities, or if the hard disk still does not mount on the Desktop, you probably need to reformat your hard disk. Go on to step 4.

If you were able to repair some damage, but problems remain with the hard disk, you may need to reformat it. But first you must safeguard your data as described below in step 3.

3

Make New Backups Before Reformatting

Now is a good time to back up the repaired hard disk. You may want to make two new backups (with the verification option on) to new Backup Sets. (Do not do a recycle backup to an existing Backup Set, as the damaged drive might not have all of your files on it and you don't want to erase your previous backups.) Once you are sure you have redundant backups of your data, copy your Backup Set Catalogs to a floppy disk, disk, or server.

4

Reformat the Disk

If the disk repair utility cannot fix the disk, you may have to erase or reformat the disk in order to prepare it for restoration. To reformat the disk, use the formatting software that came with the hard disk.

Erasing or formatting a hard disk destroys all data stored on the disk. If you are not sure whether you should erase or format your hard disk, contact its vendor for assistance.

If the disk is beyond repair under Mac OS 9, use the Finder to select the damaged volume and choose Erase Disk from the Special menu. If the disk is beyond repair under Mac OS X, use Disk Utility to select the damaged volume, click the Erase tab, choose a format, supply a name, and click Erase. If erasing is unsuccessful from the Mac OS 9 Finder, you need to reformat the disk. To do this, start the Drive Setup application from the Disk Tools disk or CD, or the formatting software that came with the hard disk, and use it to format your hard disk.

5

Re-Install Software

Restart the Macintosh from the Mac OS 9 or Mac OS X CD-ROM, pressing and holding the "C" key during startup to force the computer to boot from the CD.

Install System Software

Install Mac OS system software on the newly-formatted hard disk.

You must install the same exact version number of Mac OS X as the version of Mac OS X you will restore. For example, if the client was backed up running version 10.1.3, you must install Mac OS X 10.1.3.

Eject any CDs and restart from the new system on the hard disk. Use the Date & Time control panel or system preference to set your local time and time zone, and, if necessary, change the Daylight Saving setting. Under Mac OS 9, rename the System Folder to "temp."

Configure TCP/IP

Make sure the computer is properly set up for use with TCP/IP networking. (If you need help configuring TCP/IP contact your network administrator or Internet service provider.)

Install Client Software

Install Retrospect client software on the Macintosh and restart it. Remember the password. After restarting, the computer automatically loads the client software.

6

Prepare the Client Macintosh for Restore

Open the Retrospect client control panel (under Mac OS 9) or Retrospect client application (Mac OS X) and verify the client software is turned on and is waiting for first access.

For ideal restoring conditions under Mac OS 9, shut down the client Macintosh so the Retrospect client shutdown dialog appears.

Leave the client Macintosh with this dialog; do not shut down or restart.

Before restoring to a volume other than the current system volume under Mac OS X, use the Finder's Show Info command on the volume. Choose Privileges from the info window's menu then turn off the "Ignore privileges on this volume" option.

For ideal restoring conditions under Mac OS X, log out so the single-user login window or multiple-user login list window appears. Leave the client Macintosh at this window; do not log in, shut down, or restart.

7

Log in the Client from the Backup Computer

From the backup computer, add the client.

8

Restore Files

a) Now that the hard disk is working again, you can restore the client from the backup computer, over the network. Click Restore4Entire Volume.

b) In the top part of the window, select the Backup Set that has your most recent backup of the hard disk you have recently repaired. In the bottom portion, select the most recent Snapshot of that hard disk. Click OK.

c) Because the whole client hard disk was wiped out and needs to be completely restored, select it and confirm the list is set to Restore Entire Volume.

d) Click OK. In the summary window, verify your choices for the Source, Destination, Files Chosen, and Options. Confirm the Windows system state options are set to restore data.

e) Put the first recordable disc, tape, or disk from the Backup Set in your backup device and click Restore.

f) Restart the Macintosh and discard the "temp" System Folder by placing it in the Finder's Trash can and emptying the Trash. Forget the Temp Client and log in the original client.

9

Restore for Privileges

a) If you are using AppleShare IP, start the AppleShare IP Web & File Admin application and AppleShare IP Web & File Server. If you are using AppleShare, start the AppleShare File Server and AppleShare Admin application. If you are using Mac OS file sharing, start file sharing.

b) Choose which volumes or folders you wish to share, then select the appropriate Owner and Group for root access privileges and set your desired options.

c) With sharing on, perform another restore operation with the same Backup Set, again using the Restore entire volume option. Retrospect performs a "smart" restore, copying only a few files (or none if no files have changed), and then sets the access privileges. Retrospect may report sharing violation errors but they are not significant and you should ignore them.

d) Restart the server, and rebuild the Desktop by holding down the Command and Option keys until a confirming dialog appears.

Extra steps for Mac OS X

After restarting the computer in step 9, share points may be missing or replaced with improper share points. Using Server Admin, take the following steps to correct these problems.

a) Remove invalid share points.

b) Re-establish desired share points.

c) Reset the Home Directory Defaults for any affected users and groups lists (or NetInfo domains).

Extra steps for AppleShare IP

After restoring an AppleShare IP server, you should perform the following steps before launching any of the server applications:

a) Open the Editor Setup control panel and let OpenDoc initialize, then close the control panel. (It may be necessary to manually launch OpenDoc.)

b) Launch AppleShare IP Web & File Admin and re-point the Web server to the restored Web folder and welcome.html page.

c) If you are restoring a MacDNS server, launch MacDNS by double-clicking on the restored zone information file.

d) If you are restoring an AppleShare IP Mail Server and have been using the special Retrospect Event Handler to shut down the mail server for backup, create a new folder named "AppleShare IP Mail Folder" at the root level of the hard drive if there is not already one there. Move the backup copy of the AppleShare IP Mail Database from the restored "AppleShare IP Mail Backup" folder to the "AppleShare IP Mail Folder". If necessary, click OK to replace any existing copy of the AppleShare IP Mail Database and start the AppleShare IP Mail Server.

Your server should now be up and running with all privileges intact.


Overview of Preparing for Disaster

If you have the appropriate license code, you can use the Disaster Recovery preparation wizard to create a CD and/or instructions to help you restore a specific computer in the event of a crash, or after you have reformatted or replaced a hard disk. You can use the wizard to restore the backup computer, or another computer, that has crashed or met a similarly disastrous fate. You can also use the wizard on another computer, after a backed up computer has ceased to function.

The end product of the wizard, depending on your selections, is either text instructions or a combination of instructions and a CD image. You can save the instructions as a text file and print them from the wizard. The instructions are also saved in a text file in the CD image. The image file is of an ISO 9660 format CD. You can use this image file with your favorite CD mastering software and a recordable disc drive to "burn," or record, a bootable Disaster Recovery CD. (Nearly all CD-R and CD-RW drives include mastering software and documentation on how to burn a CD from an ISO image.)

The wizard is only able to create a CD image from a Snapshot of a local Windows system volume. For non-local Windows system volumes, the wizard can create instructions only (no CD image). The wizard cannot create a CD image or instructions for non-system Windows volumes or non-Windows volumes.

Disaster Recovery is only available if you have the appropriate license code. Click Configure4Licenses to view your current licenses or purchase new ones.


Back Up First

Before you use this wizard, you must perform a complete backup of the computer's startup volume and any other hard disks or partitions you want to restore after a disaster. You may have done so already using the Quick Start tutorial.

Use the All Files selector or the All Files Except Cache Files selector with your backups to ensure the computer can be completely restored after a disaster.

You can do a backup right now by clicking Automate4EasyScript. Follow the instructions to set up and run a backup script.


Preparing for Disaster

After you've made a complete backup from which to restore, you can prepare for Disaster Recovery.

1

In the navigation bar, click Backup4Disaster Recovery.

Disaster Recovery is only available if you have the appropriate license code.

2

Select a Backup Set and Snapshot from which to restore. Select the Snapshot from the most recent complete backup of the system volume (the disk Windows starts from). The Snapshot does not have to be of the computer you are using; you may select a system volume Snapshot of any computer backed up with Retrospect.

Depending on the Snapshot you select, you'll have different options.

3

Click Next.

4

Specify whether you want to create Instructions Only or CD-R Disc Image. Choose CD-R Disc Image to create a CD that you can later use to boot and restore the computer from the selected Snapshot. Choose Instructions Only if you do not have access to a CD-R or CD-RW drive, or if the selected Snapshot is of a Retrospect client computer.

5

Click Next.

6

If the wizard asks, enter a Windows Authentication Code (your Windows product ID or key). Carefully enter the code from the label on your Microsoft certificate of authenticity, and click Next.

If you are preparing instructions only, skip to step 11.

If you are preparing a CD-R disc image for a Windows 98 or Me computer, proceed to step 8.

7

If you are preparing a CD-R disc image for a Windows NT, XP, or 2000 computer, you must specify the location of your Windows installation software. Locate and select the txtsetup.sif file within the i386 folder on your Windows installation disk or hard drive.

8

Indicate where to save the CD image file. Click Browse to choose a different location.

9

Click Next.

10

The wizard begins building a CD image. It copies needed files from the local hard disk, if they are available there, and from the Backup Set media. (You may be prompted to insert one or more members of the Backup Set. Have the recordable discs, tapes, or disks ready.)

After gathering the needed components, Retrospect saves an image file of an ISO format CD. You can later use this image file with your favorite CD mastering software and a recordable disc drive to "burn" a Disaster Recovery CD.

11

The wizard summarizes your Disaster Recovery instructions in the scroll area. Click Save and specify a location to save them as a text file. (The same instructions are already in a text file on the CD image.) Print the instructions and keep them in a safe place with the Backup Set media, a copy of the Catalog File on CD, and the CD image.

12

Click Done to leave the wizard.


Using the Backup Set after Preparation

You may continue to back up to the Backup Set you used to prepare for Disaster Recovery. If you continue to back up the selected computer to that set, Retrospect's Disaster Recovery wizard lets you restore from later backups.


Keeping Preparations Up to Date

You need to update your Disaster Recovery preparation if:

  • You do a recycle backup to the Backup Set you used to prepare for Disaster Recovery

  • You begin backing up a computer to a different Backup Set (other than the one selected in the preparation wizard). This includes new media backups, which use different Backup Sets.

  • You add new hardware to a computer or otherwise change its hardware configuration (including interface cards, backup devices, and device drivers).

To update a computer's Disaster Recovery preparation, again use the wizard, this time selecting the Snapshot from the computer's most recent backup.


Preparing Multiple Computers

The instructions and the CD image created by the wizard are custom for and specific to the computer in the selected Snapshot. You can use the wizard with another computer's Snapshot as the object of recovery and Retrospect creates custom instructions for that particular computer and its operating system.


Introduction to Disaster Recovery

When you experience a disastrous data loss and the computing environment required to restore that data is not available, it's time for Disaster Recovery. If you can boot your computer and start Retrospect, use one the application's Restore methods. If you cannot boot your computer, use Disaster Recovery to return the computer to working order.

Disaster Recovery is only available if you have the appropriate license code. Click Configure4Licenses to view your current licenses or purchase new ones.


Preparing to Recover

Gather the Disaster Recovery CD and/or the printed instructions you created with the Disaster Recovery preparation wizard. The printed instructions specify the Backup Set required for Disaster Recovery. Gather all the media for this Backup Set. The instructions also provide customized step-by-step procedures for accomplishing the two main goals of Disaster Recovery:

  • Installing a temporary Windows OS

  • Restoring the system volume using a Retrospect Snapshot

When you start the computer using the Retrospect Disaster Recovery CD, the Disaster Recovery process begins automatically and steps you through the recovery process.


Introduction to Backup Strategies

This section suggests several strategies for backing up your computer or your entire network. Review each strategy and decide which works best for your situation. Perhaps you will need to slightly modify a strategy to better fit your needs. Perhaps you will devise your own strategy which bears no relation to these suggestions. Realize these are but a few suggested strategies, and Retrospect's features allow an unlimited number of different strategies. Just remember the basic backup rules when you go about creating a backup strategy of your own.

Different backup actions are often integral parts of effective strategies. Know and understand them.


Basic Backup Rules

While Retrospect is a powerful tool for safeguarding your data, it is most effective when you follow some basic backup rules.

  • Back up often because you cannot restore what is not backed up. For example, if your hard disk malfunctions today but you most recently backed it up a week ago, you have lost the data you have accumulated over the week. Retrospect is most effective when you back up everything and back up often, which is ensured by setting up scripts to automate backups.

  • Keep multiple backups of your data. Rotate among different Backup Sets when you make subsequent backups. Using more Backup Sets makes you less likely to lose data if you misplace or damage media.

  • Regularly introduce new media using new media backups, because having all of your backups on one media set leaves you too vulnerable. (If even one tape of a set is damaged, you no longer have a complete backup.) A benefit of new media in your backup strategy is that it is faster to restore from a few media members than to restore from a set that has many members and backup sessions. Retire old media on a regular schedule.

  • Always store at least one Backup Set off-site to guard against fire, theft, and natural disaster.

  • Back up the backup computer. You probably have put more time and energy than you realize into your Retrospect configuration and Catalogs.

  • Take care of your storage media, which can easily be damaged by the environment. Media can also wear out after as few as several hundred uses.

  • Leave the Verification option on so Retrospect can confirm the backup data matches the original data.

  • Periodically verify your backups are working properly. Retrospect provides options and tools which allow you to compare data and verify media to ensure valid backups. It also creates logs and reports that detail backup successes and failures.

  • If you make a mistake or see a problem, do not panic. Instead, take a break and read Problems and Solutions. If you cannot find a solution, contact technical support.


Strategy 1: Run Documents

Create a backup script and make one recycle backup run document and one normal backup run document. Execute the normal backup run document daily or whenever you please, and every few weeks execute the recycle backup run document to keep your Backup Sets from becoming large and cumbersome.

To introduce new media for rotation with other sets or off-site storage, periodically configure the Backup Set to use new media.


Strategy 2: Scheduled Script

Create a backup script and schedule it to run automatically. Add one day of week scheduler doing normal backups Monday through Thursday and another doing a recycle backup every Friday. The two schedulers look like this:

To introduce new media for rotation with other sets or off-site storage, periodically configure the Backup Set to use new media.


Strategy 3: EasyScript

Strategy 3: EasyScript Wizard

Use Retrospect's EasyScript Wizard, letting it set up a strategy based on the answers to a few simple questions. EasyScript Wizard has different strategies optimized for the type of Backup Set you choose. Its disks strategy tends to conserve media, compared to its strategies for tapes and recordable discs.


Introduction to Network Backup Strategies

When you need to back up a network of client computers, you must decide which kind of backup scripts to use. The table below lists situations which are suited to Proactive Backup scripts or regular backup scripts.

Proactive Client Backup is only available if you have the appropriate license code. Click Configure4Licenses to view your current licenses or purchase new ones.

Situations Suiting Proactive Client Backup | Situations Suiting Backup Scripts
You have a backup computer dedicated solely to that purpose. | Your backup computer has other duties at other times.
You have too many clients with too much data to be entirely backed up in a single night. | Your scheduled backups are completed before the client computers are used in the mornings.
You find yourself trying to catch up with your backups, making special scripts and immediate backups for certain clients which are not completely backed up by your regular backup script. | Your scheduled backups are completed before the client computers are used in the mornings and unsuccessful backups are rare.
You have mobile clients and portable drive volumes which appear on the network at random times. | Your network includes only desktop computers, no ejectable disks or notebook computers.
You want Retrospect to back up to whatever media is in the backup device. | You always insert the correct media beforehand for unattended backups.

If you choose to use a strategy which includes the Proactive Client Backup, skip ahead to network backup strategy number five.


Strategy 1: EasyScript

Strategy 1: EasyScript Wizard

Use Retrospect's EasyScript Wizard, letting the program set up a strategy based on your needs. Tell the EasyScript Wizard you want to back up other computers on the network.


Strategy 2: Scheduled Script

Create a backup script. Change the script destination to use three Backup Sets. Add a day of week scheduler to run the script daily to a particular Backup Set, every three weeks. Add a similar scheduler to run the script daily to the second Backup Set, every three weeks starting one week after the first scheduler. Add a similar scheduler to run the script daily to the third Backup Set, every three weeks starting one week after the second scheduler. The three schedulers look like this:

This strategy does not include scheduled recycle and new media backup actions.


Strategy 3: Scheduled Script with Recycle and New Media Rotation

Create a backup script. Change the script destination to use three Backup Sets. Add a day of week scheduler to run a normal backup Monday through Thursday to the first Backup Set, every three weeks. Add a day of week scheduler to do a recycle backup to the first Backup Set on Friday, every three weeks. Add similar schedulers for the second and third Backup Sets, but set their starting dates one and two weeks later, respectively. Finally, add a repeating interval scheduler to do a new media backup to one of the Backup Sets every six weeks. (After a new media backup take the old Backup Set media off site for safe keeping.) The schedulers look like this:


Strategy 4: Scheduled Script with Rotating Daily Backup Sets

Make a script with five Backup Set destinations, named Monday through Friday. Add five day of week schedulers to back up to each respective Backup Set. Add five repeating interval schedulers to stagger recycle backups every four weeks to each respective Backup Set, starting with Monday the first week, Tuesday the second week, and so on. But for Friday, make the repeating interval the last Friday of the month, doing a new media backup to the Friday Backup Set. (Take the old Backup Set media off site for safe keeping.) The schedulers look like this:

When you schedule the new media backup, make sure it occurs at the same time as the scheduled Friday normal backups. When Retrospect encounters the new media backup scheduled for the same execution time as the normal backup, it executes only the new media backup. If you were to schedule them at different times, both backups would execute, which is undesired.


Strategy 5: Basic Proactive Client Backup

Create a Proactive Backup script backing up all client sources. Schedule it to work from 7:00 p.m. to 7:00 a.m. during the work week, so as not to interfere with the users during their workdays, and all the time during weekends. Set the backup interval so Retrospect backs up every twelve hours.

Proactive Client Backup is only available if you have the appropriate license code. Click Configure4Licenses to view your current licenses or purchase new ones.


Strategy 6: Basic Proactive Client Backup Including Mobile Computers

Duplicate the basic Proactive Backup script described in Strategy 5. Make mobile clients its only sources. Remove these volumes from the original script. Schedule the new script to run twenty-four hours per day, with a backup interval of eighteen hours.

Should you decide to implement a strategy which includes the Proactive Client Backup, read the Proactive Client Backup tips and techniques, starting with Choose the Right Proactive Client Backup. The tips include information to help you devise a more effective strategy.

Proactive Client Backup is only available if you have the appropriate license code. Click Configure4Licenses to view your current licenses or purchase new ones.


Strategy 7: On-Demand Proactive Client Backup

Create a Proactive Backup script backing up all client sources. Leave the schedule always active so it works twenty-four hours a day. Set the backup interval option so Retrospect backs up every ninety-nine days. Leave on the script option to allow early backup. Except for the initial backups when this strategy is first implemented, and every ninety-nine days thereafter, clients are not backed up unless they request it from their control panels. This strategy requires that you clearly communicate the responsibility to the users and, ideally, is supplemented with a regular backup script.

Proactive Client Backup is only available if you have the appropriate license code. Click Configure4Licenses to view your current licenses or purchase new ones.


Using Logs and Reports

Retrospect's Reports lets you monitor backup execution history and error messages by viewing three logs and reports. You may need to examine these to find out why an operation was unsuccessful in order to diagnose problems.

  • The Backup Report shows a detailed account of backup operations for each local and networked volume.

  • The Operations Log shows a record of each Retrospect operation, transaction, and event, and any errors that occurred.

  • The Session Contents report shows the files that were actually backed up in a specific backup session.


Viewing the Operations Log

The operations log stores any messages that are generated during an operation such as a backup or restore. You may need to review the log to find out why an operation was unsuccessful in order to diagnose problems or provide information to Dantz Technical Support.

To view the operations log, click Reports4Operations Log.

For each successful operation, the log shows the following information (if applicable):

Completed—number and size of the files that were copied. If you used Retrospect's data compression option, the log also shows compression achieved for this session.

Snapshot Stored—size of the volume Snapshot stored in the Backup Set.

Performance—number of megabytes of information copied per minute. If the Verification option is turned on, additional performance figures are listed for comparing.

Performance information can be useful for setting the execution performance threshold Client Execution Options.

Duration—total time required to complete the operation. If you clicked Pause during the operation or there were delays while you inserted media, the waiting time is shown separately. The waiting figure includes time spent during tape drive locate functions and other required functions.


Finding Items in the Log

To find items in the Operations Log, you can click the toolbar icons, or use the Edit menu commands.

Find Backward—This toolbar command prompts you for the text you want to search for. When you click OK, Retrospect searches the log bottom-up (from the current selection) instead of top-down, because the latest operations are at the bottom of the log.

Find Again Backward—After you have used Find Backward command, this toolbar command searches bottom-up for the text you previously specified.

The Edit menu includes these commands:

Find—From the Edit menu, choose Find and specify the search text. When you click OK, Retrospect searches the log top-down from the current selection.

Find Next—From the Edit menu, choose Find Again after you have used Find Backward command. This continues the search from the current selection forward, or down. Upon reaching the end of the log, it continues searching from the beginning.

Find Prev—After you have used the Find command, from the Edit menu, click Find Prev. This continues the search from the current selection backward, or up. Upon reaching the log's beginning, it continues searching backward from the end.


Clearing the Log

To delete the contents of the operations log, view it then click [image] from the toolbar. You do not have to clear the log, because Retrospect removes old log entries as the log fills to its capacity, as determined by the log size limit preference.


Printing the Log

To print the Operations Log, view it and then from the File menu, choose Print. If you have only a portion of the log selected, only that portion prints. If nothing is selected, the entire log prints.


Viewing Backup Set Contents

Retrospect can report files copied to a Backup Set during a specific backup or archive session.

To view the contents of a Backup Set

1 | Click Reports4Session Contents.
2 | In the upper list, select the Backup Set you want information about. (Click More to open another Catalog File to add to the listed Backup Sets.)
3 | The lower list displays the backup sessions contained within the selected Backup Set. In the lower list box, select the backup session(s) you want to review.
4 | Click Browse to display a list of the files and folders which were backed up during the session or sessions you selected. (You can view browser windows for multiple sessions at the same time by performing the same steps and selecting multiple sessions.)
5 | You can print the file list, export it to a text file, search for specific files, get the properties of specific files, retrieve specific files, or change the view format from the browser window's toolbar.
6 | To export the file, from the File menu, click Export. When exporting, Retrospect exports the fields in the following order, regardless of the view format: file name, size, create date, create time, modify date, modify time, backup date, backup time, Mac OS type, Mac OS creator, Backup Set, and path.


Viewing the Backup Report

Unlike the Operations Log, to which Retrospect repeatedly appends new information, the Backup Report is completely updated each time a backup is performed. It allows you, as the backup administrator, to see, on a volume-by-volume basis, any problems with recent backups.

The date and time listed below a volume are the date and time of the most recent backup of the volume.

To view the backup report, choose Reports4Backup Report.

Field | Description
User/Volume | Source volume name. Client computer names, if logged in, are also listed.
Elapsed Days | Number of days since the backup.
Errors | Any errors that occurred for each backup. (Use the Find in Log command to isolate an error in the operations log.)
Backup Set | Name of the Backup Set of the most recent successful backup.
Script | Name of the script that did the most recent successful backup.

The items in the table below are available in the Performance Data view only.

Field | Description
Duration | Time duration of the backup, in hours and minutes. Large numbers may indicate sources with heavy backup needs.
MB | Amount of data, in megabytes, backed up from the volume.
MB/Min | Speed, measured in megabytes per minute, of the source's backup. Abnormally slow performance may indicate problems with the network, backup device, or other hardware.

Performance data can be useful for setting the execution performance threshold Client Execution Options.

You can select a line in the report and open the script it refers to by using the Edit Script button. You can select a line in the report and click the Find in Log button to cross-reference the operations log. You can select any line listed in the report and clear it by choosing Delete from the Edit menu. If you delete an item, that information is removed from the report. This may cause a volume to appear as if it were never backed up.


Changing the View

You can change various aspects of the Backup Report view and format. Click [image] from the toolbar to bring up a dialog in which you can make changes.

Set the report options and click OK.


How the Backup Report Works

The Backup Report is a database of backup events. Each time Retrospect completes a backup it adds a new backup event to its database. For each combination of source, destination, and script, it saves all unsuccessful backup attempts and the latest successful backup. When you forget a script, source, or Backup Set, Retrospect removes that item's backup events from the Backup Report database.


Forgetting Events

To remove events from the Backup Report, click [image] . This then allows you to remove the following execution events from the report:

  • All but the most recent successful backup

  • All successful backups

  • All unsuccessful attempts

  • Events older than one week

  • All execution events

  • All Proactive Client Backup events

Proactive Client Backup relies upon the Backup Report to determine when a volume was most recently backed up. If you delete a volume event from the Backup Report and that volume is a source in an active Proactive Client Backup script, the volume is assigned a higher priority and is backed up sooner.


Finding in the Operations Log

Select a line from the Backup Report and click Find in Log to open the Operations Log with the corresponding action selected.


Editing a Script

Editing a Script from the Backup Report

Select a line from the Backup Report and click Edit Script to open the script window for the script which executed and created the event.


Printing or Exporting the Backup Report

To print the Backup Report, view it and then choose Print from the File menu. If you have only a portion of the report selected, only that portion prints. If you have nothing selected, the entire report prints.

To export the Backup Report to a text file, view it and then choose Export from the File menu. (You can also set Retrospect to automatically export the Backup Report.)


Monitoring Backup Reports

The ReportsWatcher program continuously monitors multiple Backup Reports from multiple backup computers and integrates the reports for viewing with a Web browser.


Introduction to ReportsWatcher

Intended primarily for large sites with multiple backup computers, ReportsWatcher is a stand-alone utility that converts Retrospect Backup Reports to HTML summaries for viewing from a Web browser. Used in conjunction with Retrospect's option to automatically export the Backup Report to a custom location, ReportsWatcher allows you to monitor one or more backup computers from a Web browser.


Installation of ReportsWatcher

The Retrospect setup program installs ReportsWatcher as part of a "complete" installation, but not a default "custom" installation. If you need to, you can add it to your Retrospect folder by using the setup program to modify the existing installation.

When you install ReportsWatcher, the ReportsWatcher folder is put in the same folder as the Retrospect application. By default, this is:

..\Program Files\Dantz\Retrospect\

In order to use ReportsWatcher effectively, it should always be open. Add a shortcut for Watcher.exe to the Start menu's StartUp (or Startup) folder so that ReportsWatcher opens automatically whenever the computer starts up.


Configuring Retrospect to Work With ReportsWatcher

First, determine where you want the Retrospect Backup Reports and HTML output to be stored. These locations can be different folders or the same folder. The most simple location is on a network volume that all your backup computers and workstations can access.

1 | At each backup computer, open Retrospect and go to Configure4Preferences.
2 | In the left pane, under Notification, click Logging.
3 | Select the Export the Backup Report check box.
4 | Click Select Location and provide the path to your previously determined location. Each backup computer should export its Backup Report to that same location, but should use a unique file name. This name will identify the original Backup Report in the larger, consolidated HTML report.


Configuring ReportsWatcher

1 | Browse to ..\Program Files\Dantz\Retrospect\ReportsWatcher and double-click Watcher.exe.
2 | Click Reports and select the location where the Retrospect Backup Reports are stored.
3 | Click Save In and select the folder in which to save the HTML summaries.
4 | Leave ReportsWatcher open in order for it to continuously monitor reports.
5 | Click Options to change ReportsWatcher's update time interval and other options.
6 | Click Edit HTML to change ReportsWatcher's HTML code. You can edit the HTML for each of the five different report types.


Viewing the Report

You can view the report on any computer with a Web browser. Open the index.htm file in the HTML summaries folder. The index summarizes available reports. It has a variety of report formats. To view details of a particular backup computer's report, click the report name. To view details of successful backups, failed backups, or volumes never backed up, click the numbers in the appropriate table cells.


Source Code

ReportsWatcher is a Visual Basic application and its source code is included in the ReportsWatcher folder. You may customize it for your own personal use.

If you have customized ReportsWatcher and you would like to share your improvements with others, visit the Dantz Web site at www.dantz.com/extras.


Introduction to Execution Options

Retrospect has many options you can set to determine how your backup, duplicate, copy, and restore operations are executed. For example, you could set a backup script to turn on software data compression and synchronize client computer clocks. You can set options for an immediate operation or while editing a script. Execution options are local rather than global, so they apply only to the current operation or script, not to all operations and scripts.


Setting Options for an Immediate Operation or a Script

Begin the immediate operation, or edit the script. Once you reach the summary window, click Options. A window appears listing the basic options for the operation you are performing.

If you click More Choices, the window changes to show a list of option categories in a tree in the left side of the window. You display the options for each category by clicking the category name in the tree.

To turn an option on or off, click its check box or radio button. Some options use time and date controls, and others let you enter numbers or text. If any options in a category have been changed from their default settings, the Use Default button becomes active. Click this button to revert all visible options to their default states. Click Fewer Choices to return you to the basic Options window.

If any options in a category have been changed from the default, the category name appears in bold in the tree.

When you have finished setting options, click OK.


Proactive Client Backup Interval Options

These options are available only with Proactive Client Backup scripts.

Proactive Client Backup is only available if you have the appropriate license code. Click Configure4Licenses to view your current licenses or purchase new ones.

Back up every: n days/hours

This time interval, which is one day by default, specifies the minimum time between backups. Each source is backed up when possible, according to the priority of need, but not more often than this interval unless the client user initiates a backup.

Allow early backup

When this option is on, which is the default, client users may initiate backups from their Retrospect Client control panels, overriding the backup interval. A request for an early backup does not necessarily immediately move the user's volume to the top of the priority list. Other sources are taken care of before Proactive Client Backup polls the client and learns of the early backup request, at which time Proactive Client Backup backs up the client source volumes.


Proactive Client Backup Countdown Options

These options are available only with Proactive Client Backup scripts.

Proactive Client Backup is only available if you have the appropriate license code. Click Configure4Licenses to view your current licenses or purchase new ones.

Countdown time: n minutes/seconds

Retrospect gives client users advance notice of when a backup is about to begin, counting down the time specified here. Enter a number here and set the time units to seconds or minutes. (Enter zero to make Retrospect skip the countdown.) When it is going to back up a source from a client computer, Retrospect puts up a dialog on the client. This dialog displays the countdown message (see below) and offers buttons to defer the backup to a later time or bypass the countdown and immediately begin backing up. If the client user does not take any action, Retrospect backs up when the countdown reaches zero.

Countdown message

The text in this box is shown to a client user when a backup is about to begin, according to the countdown time option. Retrospect replaces the text "%%script%%" with the name of the script it is executing.


Proactive Client Backup Polling Options

These options are available only with Proactive Client Backup scripts.

Proactive Client Backup is only available if you have the appropriate license code. Click Configure4Licenses to view your current licenses or purchase new ones.

Check source every: n seconds/minutes

Retrospect uses this time interval, which is ninety seconds by default, to check whether a source is available for backup. Retrospect does not check sources while a backup is in progress.

Client connect every: n minutes/seconds

Retrospect uses this time interval, which is five minutes by default, to access a client to check whether the user has changed the backup schedule or requested an early backup. Retrospect does not connect to clients while a backup is in progress.

Retry failure after: n minutes/hours

After a backup has failed or was canceled, Retrospect waits at least this long, thirty minutes by default, before again trying to back up a source.


Backup Execution Options

These options are available only with backup operations and Proactive Client Backup scripts.

Normal backup

Only available with immediate backups, this option makes Retrospect perform a normal immediate backup.

Recycle backup

Only available with immediate backups, this option makes Retrospect perform a recycle backup.

Verification

Verification ensures files are copied correctly by comparing files in the Backup Set with the original source files after the backup is performed. If the Backup Set spans multiple tapes, recordable discs, or cartridges, you must reinsert all members to which data has been written. Although verification increases the time it takes for a backup to complete, it ensures that information is correctly written to the Backup Set. This option is on by default.

Data compression (in software)

Data Compression saves space in the Backup Set by compressing files before copying them into the Backup Set. Files are automatically decompressed back to their original state when restored. Compression savings achieved during an operation are reported in the status window and the operations log. The amount of compression savings you can expect depends on the types of files you are compressing. Text files compress substantially; application and system files do not. Backups using data compression are slower than those without, as are restores.

When copying to a tape device that has built-in compression, Retrospect automatically turns off software compression in favor of the faster hardware compression. Retrospect uses its built-in compression filter to identify files that are already compressed (such as those compressed with a utility such as WinZip) so it will not attempt to re-compress them with software data compression. The Data Compression option is off by default.


Archiving Execution Options

These options are available only with archiving operations. An archive is just like a backup unless you move files.

Verification

Verification ensures files are copied correctly by comparing files in the Backup Set with the original source files after the archive operation is performed. If the Backup Set spans multiple tapes, recordable discs, or cartridges, you must reinsert all members to which data has been written. Although verification increases the time it takes for an archive operation to complete, it ensures that information is correctly written to the Backup Set. This option is on by default.

Data compression (in software)

Data Compression saves space in the Backup Set by compressing files before copying them into the Backup Set. Files are automatically decompressed back to their original state when restored. Compression savings achieved during an operation are reported in the status window and the operations log. The amount of compression savings you can expect depends on the types of files you are compressing. Text files compress substantially; application and system files do not. Archive operations using data compression are slower than those without, as are restores.

When copying to a tape device that has built-in compression, Retrospect automatically turns off software compression in favor of the faster hardware compression. Retrospect uses its built-in compression filter to identify files that are already compressed (such as those compressed with a utility such as WinZip) so it will not attempt to re-compress them with software data compression. The Data Compression option is off by default.

Move Files

This option deletes files from the source volume after they have been copied. If verification is turned on and the files do not match exactly, the originals are not deleted. Do not turn on the Move Files option without also turning on the Verification option. You should perform at least one additional verified archive, backup, or duplicate before deleting files from the source. Retrospect cannot move files from a client computer if its Retrospect Client control panel has been set to allow read access only. By default, this option is off. A related option is the On Move, Don't Delete Empty Folders option.


Duplicate Execution Options

These options are available only with duplicate operations.

Verification

Verification ensures files are copied correctly by comparing files on the destination media with the original source files after the backup is performed. Although verification increases the time it takes for a backup to complete, it ensures that information is correctly written to the destination. This option is on by default.

Update Backup Report

When this option is selected, Retrospect treats the duplicate operation like a backup and adds or changes information in the Backup Report.


Files Execution Options

These options are only available with duplicate, archive, and restore operations.

Move Files

This option deletes files from the Source volume after they have been copied. If verification is turned on and the files do not match exactly, the originals will not be deleted. Do not turn on the move files option without also turning on the verification option. You should perform at least one additional verified archive, backup, or duplicate before deleting files from the source. Retrospect cannot move files from a client computer if the Retrospect Client control panel specifies to allow read access only. By default, this option is off.

On Move, Don't Delete Empty Folders

This option is only available for archive and duplicate scripts and operations. It keeps folders that become empty as a result of the move instead of automatically deleting them. By default, this option is off.

Update Modify Dates

This option is only available for restore operations. It causes Retrospect to set the modification date and time of restored files to the current date and time. By default, this option is off.


Transfer Execution Options

This option is available only with copy files operations, whether scripted or initiated with Tools4Transfer.

Copy Snapshots

This option copies all of a Backup Set's Snapshots to the destination Catalog File and media. This option is on by default.


Retrieval Execution Options

These options are only available during an immediate restore by searching for current or older files.

Only most recent versions

Of files which match the search criteria, Retrospect uses only those most recently added to the Backup Set. It ignores files from older sessions. By default, this option is off, which makes Retrospect use matching files from older and most recent sessions.

Minimal folder structure

Restores files to their original folders, in the minimum required hierarchy. Empty folders are not restored. This option is off by default.


Catalog Execution Option

This option is available with all types of operations except Duplicate and Restore.

Save source Snapshots for restore

This option directs Retrospect to save a volume Snapshot to the Catalog File, replacing the old Snapshot, if any, and to save another copy of the Snapshot onto the storage media. By default, this option is on.

Snapshots are an important, fundamental feature of Retrospect. Turning off this option has consequences.


Client Execution Options

These options are available with all types of operations except Restore, and these options apply only when backing up Retrospect client computers.

Byte-by-byte file comparison

This option overrides Retrospect's fast client compare, verifying files the same way Retrospect does for local backups. When this option is turned off, Retrospect uses a faster, checksum-based technique to verify copied files. Both methods reliably compare backed-up data to the original files. By default, this option is off.

Speed threshold (KB/second)

This option, which is available only with scripts, is useful for preventing a Proactive Backup script from backing up clients with slow initial connection speeds. The number you enter here determines the minimum acceptable rate at which a client computer is accessed. If Retrospect finds the network or client is not working fast enough it will not execute the operation and log an error.

This option is useful for preventing Proactive Client Backup from trying to back up notebook computers with dial-up connections to the LAN.

Execution performance threshold (MB/minute)

This option is similar to speed threshold, but it measures performance on an ongoing basis, not just once. If the execution performance ever drops below this value, Retrospect terminates the operation and logs an error.

Use the performance data in the Backup Report to help determine this threshold.

Synchronize clock

This option sets the date and time on each client computer to match the clock on the backup computer. This is useful to get times and dates to agree and is especially useful when changing to and from daylight savings time. Retrospect cannot synchronize a client computer's clock if its Retrospect Client control panel has been set to allow read access only. By default, the synchronize option is off.


Matching Execution Options

These options are available with all types of operations except Duplicate and Restore. Retrospect uses the matching options as the basis for Progressive Backup.

Match source volumes to Catalog File

This option directs Retrospect to identify previously backed up files during normal backups. Retrospect compares the files on the source volume to file information in the Backup Set Catalog File. The Windows file matching criteria are name, size, creation date, and modify date. The Mac OS file matching criteria are name, size, type, creator, creation date, and modify date. The UNIX file matching criteria are name, size, and modify date. Retrospect considers a file already backed up if all of these criteria match. When you view the preview browser while setting up an immediate backup, files that have already been backed up are preceded by a diamond symbol (¨). By default, this option is on (except for archives) and you should keep it that way unless you have a specific need to change it.

If this option is turned off, none of the other options in this category can be turned on.

Don’t add duplicates to Backup Set

This option works with the "Match source volumes to Catalog" option to prevent previously backed up files from being added to the Backup Set again. Select both of these options when you want to perform a standard Progressive Backup; that is, you only want new or modified files copied to the Backup Set. If this option is cleared, Retrospect adds all files, including previously backed up files, to the Backup Set every time a Normal Backup is performed. By default, this option is on and you should keep it that way unless you have a specific need to change it.

Match only files in same location

This option is only available if "Match source volumes to Catalog" is selected. It makes Retrospect more strictly match otherwise "identical" files from a source to a destination. (Normally, files are considered identical files when they have the same criteria described above under "Match source volumes to Catalog".) This option adds another criterion; files must also come from the same volume.

By default, this option is off and you should keep it that way unless you have a specific need to change it.


Schedule Execution Option

Click Schedule to define when a script executes. The default schedule reflects the global schedule preference.


Sharing Execution Option

This option is available with all types of operations except restore and copy files.

Lock out volumes during backup

This option disconnects users connected to the backup computer through Microsoft Networking and prevents them from using a shared volume during backup. When you check this option, you can enter a warning message that is displayed to users before they are disconnected. (Windows NT, 2000, and XP users automatically receive warning messages. Windows 98 users receive warning messages if they are running Winpopup.exe; Windows 95 and Macintosh users do not receive warning messages.) You can also specify how many minutes advanced warning users will be given. This option locks out users only if you are running Retrospect on the server itself; it does not apply to clients.

The lock out option behaves differently for Services For Macintosh network volumes on NT Servers and Windows 2000 Servers. All Services For Macintosh shared volumes are locked out at once, even if they are not all actively being backed up. All are locked while any one is backed up with the sharing lock out option enabled.

By default, this option is off.


Windows System Options

These options are available with all types of operations except restoring by searching and copying Backup Sets. The specific options change according to the operation. No option in this category affects Macintosh or UNIX clients.

System State provides the option to back up, restore, or duplicate the Windows registry, COM+, active directory, and certificate services for the selected Windows volume. Retrospect stores the information in the Snapshot and it must be restored with a restore method using the Snapshot. By default, system state information is backed up and restored, but not duplicated.

You must have Administrator or Backup Operator privileges to copy system state information under Windows NT, 2000, and XP.

The archive attribute can be cleared by Retrospect during backups and archives or set by Retrospect during restores. Turn this option on to clear the archive flags of files on the source volume when it copies them to the destination, or to set the archive flags of files on the destination volume when it copies them from the Backup Set.

Ignore encrypted file verification errors in duplicate operations, which is off by default, causes Retrospect to ignore verification errors with encrypted files on NTFS volumes.

Restore security information causes Retrospect to restore the security information of NTFS volumes. It must be restored using the volume Snapshot.


Windows Security Options

Security information can be backed up, archived, and duplicated from servers or workstations. These options cause Retrospect to copy the security information of NTFS volumes, storing the information in the Snapshot. The option to store security information from servers is on by default, whereas the option for workstations is off by default.

Ignore file verification errors in duplicate operations, which is off by default, causes Retrospect to ignore verification errors with security streams on NTFS volumes.


Windows Open Files Options

These options are available with backup, archive, and duplicate operations. The specific options change according to the operation. None of these options applies to files that are not open. Before using the Open Files options, make sure to read Open File Backup Tips.

Open File backup is an add-on product to the main Retrospect application. If the backup computer is installed with Retrospect Single Server or Retrospect Multi Server and you have a license code for Open File Backup, you can back up open files on Windows 2000, NT 4.0, and XP computers. To back up open files on a Windows XP computer, it must have an NTFS volume. Click Configure4Licenses to view your current licenses or purchase new ones.

Open Files can be backed up, archived, and duplicated. If you have the Open File Backup add-on, this option is on by default.

To restore files that were backed up with Open File Backup, make sure to close or stop the application that uses the open files on the destination volume.

Protect Multi-Volume Datasets is available for backup and archive operations only. Select this option to back up applications that store files on more than one volume.

Stop when open files cannot be backed up when selected, causes Retrospect to halt the operation if the retry timeout occurs or if the system configuration does not support Open File backup. When this option is off, Retrospect backs up or duplicates all other files (i.e., files that are not open) and logs errors for open files. If the goal of the operation is primarily to back up open files, then you can select this option to immediately halt the operation when Retrospect cannot back up open files.

Disk inactivity threshold is the amount of time, in milliseconds, that the source volume's disk must be idle before Open File Backup proceeds.

For the best data consistency, Open File Backup requires a period of inactivity. On servers that are extremely busy, it is possible that disk activity may be too high to meet the default threshold of five seconds. If that's the case, try decreasing the threshold, or scheduling the operation for an "off-peak" time.

Retry timeout is the maximum amount of time, in minutes, that Retrospect attempts to meet the disk inactivity threshold. In other words, Retrospect will continue checking for an "inactivity window" on the source volume's disk for the period of time specified in this option. When the timeout value is reached, Retrospect either halts the operation immediately, or continues the operation without Open File Backup, depending on the "Stop when open files cannot be backed up" option setting.


Windows Outlook Options

Force backup of Microsoft Outlook data is an option for Backup, Duplicate, and Archive operations. By default the option is selected. When selected, Retrospect closes Microsoft Outlook in order to back up, duplicate, or archive its data files. Retrospect then relaunches Outlook once the operation is complete.


Macintosh Client Options

These options are available with all types of operations except restore. No option in this category affects Windows or UNIX clients.

Set source (volume's/folders’/files’) backup time

These options, not available with duplicate operations, record a backup time for each source volume, folder, or file. (The Mac OS keeps track of the creation date, modification date, and backup date for each file, folder, and volume.) Using these options allows you to create selectors based on the "backup time," which is the moment execution begins. Retrospect cannot set the source backup time on a client computer if its Retrospect Client control panel has been set to allow read access only. By default, the volume option is on and files and folders options are off.

When matching files for Progressive Backups, Retrospect does not use the backup time stamp. It uses more sophisticated and flexible criteria.

Never shut down/Shut down when done

This option specifies how Retrospect handles the Finder's Shut Down process on a client Macintosh after Retrospect is done with its operation. The desired behavior only happens when the client Macintosh is waiting for backup. "Shut down when done" completes shut down unless the client is scheduled for another operation within the look-ahead time period. "Never shut down" prevents this particular operation from shutting down the client. By default, this option is set to "Shut down when done."

The following option is available for Restore and Duplicate operations only:

Recompute icon positions

When restoring or duplicating files to a Mac OS client, selecting this option ensures that file and folder icons do not overlap on the destination volume.


Introduction to Controlling Executions

Retrospect gives you many options to control operations in progress. For example, you can pause or stop an operation, view additional volume and performance details, and switch between interactive and unattended modes. These options are available once execution of an operation begins.

To begin an operation, you can

  • Initiate a backup, restore, or duplicate

  • Initiate an archive files or copy files operation

  • Run a script immediately

  • Open a run document from the desktop or Windows Explorer

  • Wait until a scheduled script begins automatic execution

When an operation is in progress, Retrospect displays the execution status window and the Control menu. When necessary, Retrospect requests media.

Though many of the features described in this section apply to both regular scripts and Proactive Backup scripts, this section is intended for use with regular scripts. (Proactive Backup scripts have their own, unique features for controlling executions.)


Controlling Proactive Client Backup Executions

Though many of the features described in this section apply to both regular scripts and Proactive Backup scripts, this section is intended for use with regular scripts. (Proactive Backup scripts have their own, unique features for controlling executions.)


Execution Status Window

The execution status window is available during all file transfer operations and contains the following features:

  • The Pause button temporarily suspends the current operation. Click Continue to resume the operation.

  • The Stop button halts the current operation, bringing it to a premature end, as does closing the window.

  • The Open Log button opens the Operations Log window.

  • The Prepare for Disaster Recovery button, available after a successful archive or backup operation, starts the Disaster Recovery preparation wizard.

Disaster Recovery is only available if you have the appropriate license code.


Control Menu

The Control menu is available during all file transfer operations and contains the following command items.

Option

Description

Show Log

Displays the Operations Log.

Run Interactively

Switches the execution to interactive mode. In this mode, the "When Done" options in the Control menu are dimmed and Retrospect always remains open after execution. All Backup and Tools operations default to interactive mode.

Run Unattended

Switches the execution to unattended mode. During executions in this mode, the "When Done" options in the Control menu are available and determine what Retrospect does after execution. All automatic executions, run documents, and scripts launched from the Run menu default to unattended mode. In this mode only, Retrospect automatically searches library slots for media.

Stop on Errors

Tells Retrospect to report errors by pausing execution and displaying a dialog. Retrospect resumes execution if possible after you click OK.

Just Log Errors

Tells Retrospect to report errors to the Operations Log, but continue execution if possible.

When Done

Determines what Retrospect does when completing the current operation in unattended mode: Stay, Quit, Log off, Restart, or Shut down. These commands are not available in interactive mode. The Unattended general preference determines the default for this menu option.

Retrospect will not quit, log off, restart, or shut down (depending on the preference setting) if another script is scheduled for automatic execution within the look-ahead time (as determined in the Schedule preferences). Retrospect remains open and waits for the script to execute.


Media Request Window

When necessary, Retrospect prompts you to insert media by displaying the media request window. In most cases, Retrospect continues with the operation when you insert correctly named or erased media and click Proceed. Because file Backup Sets do not use media, Retrospect never makes media requests when operating with file Backup Sets.

You can avoid this prompt if you insert the correct medium before you execute the backup. So it does not overwrite valuable data, Retrospect is very particular about tapes, discs, and removable disks—they must be blank or erased, or their names must exactly match the requested names in order for Retrospect to proceed without prompting you. When performing new or recycle backups, consider erasing the media beforehand to be sure Retrospect proceeds automatically without your attention.

The media request window has a Stop button which halts execution of the currently running operation, bringing it to a premature end. For tape and CD/DVD Backup Sets, it also has an Eject button which unloads the selected medium from the backup device. (Some devices require you to manually eject their cartridges.) With disk Backup Sets, the media request window also has a Show Members button, which shows all members of the Backup Set and lets you view details of each with the Properties button.

The media request window's Status tab toolbar includes the following commands:

Properties summarizes drive and medium information in a window.

Rename (disk Backup Sets only) lets you enter a new name for the selected disk.

Eject unloads the selected tape, recordable disc, or removable disk from its drive. (Some devices require you to manually eject their cartridges.)

Forget (disk Backup Sets only) removes an unused member from a Backup Set.

Retension (tape Backup Sets only) runs the selected tape forward and backward to even out the tension and alignment. Retensioning applies only to some types of drive mechanisms.

Format (tape and CD/DVD Backup Sets only) uses the operating system's formatting utility for a disk, or formats a tape.

Erase (tape and CD/DVD Backup Sets only) erases the contents of the selected tape or disk and, in the case of some types of drive mechanisms, conditions media for reuse.

Library commands (Scan Media, Erase All, Eject Magazine, Cleaning Slot) are available for tape libraries.

If the media request window does not show your backup device


New Media Request

When Retrospect says, "Please choose a new" medium, it wants a blank medium or one it can erase. When there is a medium in the drive and you click Proceed, Retrospect erases and names the media then continues with the operation using that medium.

Retrospect may ask you to confirm before erasing a medium which appears to belong to another Backup Set. It will not allow you to erase a member of the Backup Set currently in use.


Specific Member Request

When Retrospect says, "Please insert" a specific medium, it wants that member of the Backup Set currently in use. You should insert the requested medium, but if it is unavailable you can click Choices to handle the situation. These choices are as follows:

Missing tells Retrospect to designate the requested member as permanently unavailable from the Backup Set. Retrospect will ask for a new member and, if possible, copy the missing data to it during the next backup or archive.

Select Missing only when you have permanently lost or damaged the requested member. It is not appropriate for other situations.

Skip tells Retrospect to skip the requested member and ask for a new member. Data on the requested member remains intact. Effectively, you are saying, "Stop copying to this member and start copying to a new medium." This is useful when a member is nearly full and you think it may not make it through a complete unattended backup before Retrospect fills it and asks for a new medium.

Do not select Skip when you have lost or damaged the requested medium, or you may lose your data. Select Missing instead.

Retrospect refuses to use the inserted medium.


Introduction to Managing Backup Sets

Retrospect allows you to preconfigure Backup Sets for later use or perform maintenance operations on Backup Sets which already exist. To configure Backup Sets, click Configure.


Configuring Backup Sets

1

Click Configure4Backup Sets.

2

Select a Backup Set, and click Properties. (If you don't see the Backup Set you want, click More.)

3

The window contains the tabs Summary, Options, Snapshots, Sessions, and Members.

4

The Summary tab displays general information. Storage summarizes the number of media members and sessions in the Backup Set and the Snapshots in its Catalog File. Available shows how much space remains on the current member, assuming a media capacity specified by you from the Options tab. Catalog shows the path to the location at which the Backup Set's Catalog File is stored.

5

Click the Options tab.

6

In the Catalog area, click Keep the Catalog Compressed (Retrospect compresses Catalog Files when doing various operations with Backup Sets) or Don't Compress Catalog Information.

7

In the Catalog area, click Fast Catalog Rebuild to store a copy of the Catalog File on each new media member, which greatly speeds recreating a lost or damaged Catalog File.

8

The Password options allow you to choose the level of password protection of your secure Backup Set. Password options are not available if you did not specify encryption or password protection when you created the Backup Set.

9

Click Media Action to set how the media will be handled the next time you perform a backup to this Backup Set:

  • Normal makes no changes.

  • Recycle erases and reuses the media, in addition to erasing the Catalog File. This is known as resetting the Backup Set.

  • New Media creates a new Backup Set that expects a new medium.

  • Skip requests a new member to add to the current Backup Set. Skip is useful when the current member is almost full and you wish to get a complete, unattended execution without changing media.

10

Click Capacity to change Retrospect's estimate of your tape or recordable disc capacity. The capacity estimates are used for display purposes only and do not affect how much data Retrospect copies to a medium because it always uses all available space. Leave the default (automatic) to let Retrospect estimate the capacity, unless your media consistently get higher capacity than Retrospect estimates. To see the actual capacity, click the Members tab. Doing this for a few of your Backup Sets which have full media will give you a good idea of the useful capacity of your media.

11

Click the Snapshots tab to see the latest volume Snapshots in the Backup Set Catalog File.

  • Click Properties to view the properties of a Snapshot.

  • Click Browse to view the contents of a Snapshot.

  • Click Forget to remove Snapshots from the Catalog File. A deleted Snapshot will be replaced when its volume is next backed up.

  • Click Add to add Snapshots to the Catalog File from the media.

12

Click the Sessions tab to list archive and backup sessions in the Backup Set. Click Browse to see files backed up in a session.

13

Click the Members tab to show the members of the media Backup Set. (This tab is not available for file Backup Sets.) If a Backup Set member is no longer available (for example, it is lost or damaged), you can designate it as permanently unavailable by clicking Set Missing. This causes Retrospect to copy the missing files during the next backup or archive to this Backup Set.

Disk Backup Sets also includes an Add button that allows you to add new members to the set in advance of Retrospect requesting them.


Adding Backup Sets

If the Backup Set you are looking for does not appear in the Backup Sets window, you can add it.

1 | Click Configure4Backup Sets.
2 | Click More.
3 | Click Open to locate the Catalog File of the Backup Set.
4 | Select it, and click Open.


Forgetting Backup Sets

Click Configure4Backup Sets. Select the Backup Set you want to forget, and click [image].

Forgetting a Backup Set does not affect the contents of the Backup Set, nor does it delete its Catalog File. However, it does remove the backup set from any scripts which use it.


Managing Large Numbers of Backup Sets and Catalogs

When you have to manage a large number of Backup Sets and their Catalogs, such as with network backups, there are a few things you can do to keep things organized.

  • Use folders in the Backup Set configuration window. To create a folder, click [image] from the toolbar.

  • Move your inactive Backup Sets (that is, those no longer used for backups) into the folders. Name the folders to match the physical location of the media, such as an on-site safe or an off-site safe deposit box.

  • Label individual media and the containers in which they are stored.

  • Set up a duplicate script to automate copying your Catalog Files from the backup computer to a different hard disk. Include the Catalogs in your backups, with their parent folder defined as a Subvolume.

  • Review the tips on Catalog and Configuration Backups.


Introduction to Maintaining Scripts

This section provides instructions for various tasks you may need to perform in maintaining the scripts you have created. Maintenance tasks include:

  • Checking script settings to confirm a script is ready for unattended operation

  • Modifying script settings, such as sources, destinations, or the schedule

  • Duplicating a script to create a similar one

  • Renaming a script

  • Deleting a script

  • Previewing and modifying the script execution schedule

  • Skipping script execution until a later date


Checking Scripts

Before leaving Retrospect to run a script unattended, it is a good idea to confirm the script is ready for unattended operation. When appropriate, a script check also tells you what media Retrospect will request when the script runs.

1 | Click Automate4Validate Scripts.
2 | Select a script, and click OK.
3 | Retrospect checks the script definition to make sure that a Source and Destination have been properly defined. A message informs you if the script is missing necessary information. If the script is complete, a message appears telling you the script is ready. The information presented in this dialog varies with the Backup Set and active media member.
4 | Click OK to close the window, or click Check Media to have Retrospect check whether the desired Backup Set member is available.


Modifying Script Settings

It's easy to make changes to your existing scripts. You can choose different source volumes or destination Backup Sets, change the file selection criteria, the options, or the schedule.

To modify script settings

1 | Click Automate4Manage Scripts.
2 | Select a script and click Edit.
3 | Modify the script settings.

You can modify a script from the script summary window by clicking the buttons and choosing different settings.

Modifying script settings is just like creating them.


Duplicating, Renaming, or Deleting Scripts

You can base a new script on an existing one by duplicating the original and then modifying the settings of the duplicate. Existing scripts can also be renamed or permanently deleted.

To duplicate, rename, or delete a script, first click Automate4Manage Scripts. Select the desired script and then issue a command.

To duplicate, click [image]. Enter a name for the new script, and click New.

To rename, click [image]. Enter a new name for the script and click Rename.

To delete, click [image]. At the confirmation dialog, click OK. Retrospect removes the script, and eliminates its scheduled executions.

If you do not want to receive a confirmation message when you delete a script, press and hold the Shift key as you issue the delete command.


Future Execution Schedule

You can view the script execution schedule to see when each script is scheduled to run. You can also modify the execution schedule by deleting scheduled events or by editing a script and changing its schedule.

Click Automate4Preview to view the execution schedule for all scheduled scripts.

To delete a scheduled event and all prior events for its scheduler, click the event and then click Delete. The event and all prior events for its scheduler are removed.

To edit the script associated with an event listed in this window, click the event and then click Edit Script. In the script summary window, click Schedule to modify the schedule.


Skipping Script Execution

If you do not want a script to run for a period of time, you can turn the script schedule off and specify when it is to be turned on again. This is useful, for example, if your office closes a week for holidays and nobody will be there to change media in the backup device.

1 | Click Automate4Manage Scripts.
2 | Select a script, and click Edit.
3 | Click Schedule.
4 | Select the Skip Scheduled Execution check box.
5 | Set the date and time at which the script should execute again.
6 | Click OK.

When multiple schedulers are shown, the selected scheduler is not the only one skipped by this feature. It skips all the scheduled executions for this script.


Setting Preferences

Retrospect has a number of global preferences that affect how the application operates.

1 | Click Configure4Preferences.
2 | The list on the left contains the category options. Select a category, and its options appear to the right.
3 | Select and set options. If you change the default setting for an option, the category name appears in bold in the list.
4 | Click OK when you're done setting preferences.


Schedule Execution Preferences

Look ahead time: n hours

This option defines the number of hours Retrospect looks ahead for scheduled script executions. This affects what happens when you begin to shut down the backup computer or a Macintosh client, and what Retrospect does when it completes an unattended operation. The default preference is twelve hours.

Schedule

This lets you define the default time period during which scheduled non-Proactive Backup scripts are allowed to execute. This affects all such scripts which do not have custom schedules. The default schedule is twenty-four hours a day, seven days a week.

When you click Schedule, you get the weekly schedule window. Though similar to the Proactive Client Backup custom schedule window, it applies only to scripts other than Proactive Client Backup scripts.

To select a day of the week, click it. Click and drag to select contiguous days of the week. Use the Shift or Control key and click or drag to select days without deselecting the previous selection.

To change a time, click it and type or use the control.

Start is the earliest time at which scheduled executions may begin.

Wrap Up is the period of time (in hours and minutes) before the stop time, during which Retrospect should complete the current operation but not begin new operations.

Stop is the time at which Retrospect absolutely must halt scripted operations (until the next start time).

You can also set times by dragging the icons on the hourly schedule bar, but you should first experiment by typing the times to see how these controls work.

When a time is changed, the hourly schedule bar changes accordingly to graphically represent the start, wrap-up, and stop times.

Each selected day has a scaled-down hourly schedule bar, though it does not have controls.

Always and Never set the daily operating time to twenty-four hours and none, respectively.


Security Execution Preferences

Protect allows you to specify a password that must be entered to start Retrospect manually, though it does not interfere with automatic script execution. If a user enters three incorrect passwords an error is recorded in the operations log. By default, there is no password protection.

When protection is added, Retrospect enables the Lock Application item in the Run menu. Choose this item to force Retrospect into locked, unattended mode to prevent someone from interrupting executions. Click the mouse or press a key to enter the password and unlock the application.

Unprotect lets you enter the password and remove the protection from the Retrospect application. Unprotect appears only when protection is added.


Unattended Execution Preferences

Enable Retrospect Launcher service registers the launcher application as a service so it is always running. This allows the auto-launch preference explained below and alert preferences. It is on by default.

Automatically Launch Retrospect automatically starts Retrospect when a scheduled script is waiting to execute. By default, this preference is turned on.

Stay in Retrospect, Quit, Log Off, Restart, and Shut down determine what Retrospect does when a script is completed and no additional scripts are scheduled in the specified look ahead time. By default, this preference is set to Quit.


Media Erasure Preferences

Minimal erase confirmation skips the confirmation message that normally appears when you proceed with a backup operation and Retrospect needs to erase the media. By default, this preference is turned off.


Media Handling Preferences

Retension tapes winds a tape forward to the end and back to even out the tension and alignment. (This applies only to some drives.) By default, this preference is turned off.

Don't eject removable disks prevents Retrospect from ejecting disks when it needs other media in operations. By default, this preference is turned off.

Eject tapes and discs when quitting does so with tapes and recordable discs when Retrospect exits. By default, this preference is turned off.

Stop Removable Storage Manager causes Retrospect to automatically stop Windows 2000 and XP's Removable Storage service when Retrospect scans the communications bus for devices. With the service stopped, which is the default for this preference, you cannot use the Removable Storage management console to manage tape libraries and other storage devices in conjunction with the operating system's built-in backup utility. If you need the Removable Storage service intact for managing devices other than those used by Retrospect, you can configure both Retrospect and Removable Storage in order use both simultaneously. Turn off this preference to prevent Retrospect from stopping the service. This may cause problems unless you use the Removable Storage management console to disable its use of the devices you want to use with Retrospect.


Media Maintenance Preference

Show tape drive cleaning reminder does so at the specified interval of hours of tape drive use. The reminder appears as a note in the log and as a notification dialog after you exit Retrospect. If you never quit, you never get a reminder. By default, this preference is on, with an interval of fifteen hours. Use your drive vendor's recommended cleaning interval.


Media Request Preferences

Media request timeout specifies a period of time for Retrospect to wait for media during execution. When the time elapses, the execution stops and Retrospect proceeds according to the next scheduled event. This preference is off by default, so it never times out.

Automatic skip to blank media makes Retrospect use an erased tape, recordable disc, or disk for subsequent normal backups when the current member of the Backup Set is not available. For example, select this option and leave an erased tape in the drive when the current tape of the Backup Set is almost full. Then you need not wait for the old tape to fill and be prompted to change tapes. When this option is not selected, Retrospect always prompts for the most recent member of the Backup Set until it becomes full. By default, this preference is turned off.


Notification Alerts Preferences

Check validity of next script does so when you quit Retrospect. It automatically verifies and displays information about the next script scheduled to execute. By default, this preference is turned on.

Notify for failures and media displays an alert message if errors occur during the automatic execution of a script. It also displays an alert message when recordable discs, tapes, or disks will be needed in the future. By default, this preference is turned on. This option is only available if you the "Enable Retrospect Launcher service" unattended execution preference is on.

Show taskbar icon displays the Retrospect application icon in the taskbar when a script is ready to execute. By default, this preference is turned on.

Report S.M.A.R.T. hard drive errors opens Retrospect and starts a backup wizard when Retrospect learns of errors on S.M.A.R.T. hard drive volumes. By default, this preference is turned on.


Notification Logging Preferences

Log size limit (K Bytes) maintains the operations log size within the limit you set in the field provided. You can set the limit anywhere between 32K and 9999K. When the log reaches the limit, the oldest portion of the log is deleted to keep its size within the limit. The default size is 1024K.

Export the Backup Report produces or updates a Backup Report file after each execution. The file, which is stored in the folder with the Retrospect application, is tab-delimited text containing all the information from the Backup Report. Click the Select Location button to specify a location, other than the default, to save the exported report.


Sounds

After installing Retrospect, the backup computer's Windows Sounds control panel includes the Retrospect events Attention Sound and Completion Sound. You may assign available sounds to these events.


Overview of Moving Retrospect

If you would like Retrospect on a different backup computer, you must do a little more than just install Retrospect and the backup device on the new machine. You must move other files to keep the preferences, clients, Catalogs, scripts, and schedules intact.

  1. Install Retrospect on the new computer.

  2. Move Catalogs and Configuration—Copy the Catalog Files (with name extensions .rbc and .rbf) and the configuration file (config60.dat) from the old backup computer to the new computer.
    The config60.dat file can be found either in the same folder as the Retrospect application, or in /Documents and Settings/All Users/Application Data/Retrospect.

  3. Initialize Catalogs—Force Retrospect to take notice of your Catalogs. The easiest way to do this is to select all of the Catalogs in the Windows Explorer, and drag them onto the Retrospect application icon. Retrospect opens a Backup Set configuration window for each Catalog File, causing it to recognize the Catalogs.


Mediating Client and Local Volume Changes

Moving a Retrospect Network Backup Computer

If you have moved Retrospect and its components to a new backup computer and you want to back up either or both the old computer and the new backup computer, you must perform a few extra steps.

Previously Networked Volume is Now Local

You used to be able to back up the volumes from the new computer using Retrospect client software, but now that is no longer necessary since its volumes are now local. Forget the client. Edit the sources in any Retrospect scripts that used client volumes from the new computer and add the volumes which are now local.

Previously Local Volume is Now on a Client

You used to be able to directly back up the local volumes of the old computer, but now you must install Retrospect client software on that machine to access its volumes with Retrospect from the new backup computer. After installing and configuring the client, add its volumes to the scripts. Use the volumes database's Forget command to get rid of the remnants of the previously local volumes. Forgetting volumes removes them from the volumes database and any scripts which use them.


Catalog and Configuration Backups

Part of your backup strategy should be to back up your backup computer. The simplest way to do this is to include the computer in your backup scripts. The most important files to back up are Retrospect's backup configuration file (config60.bak) and your Catalogs for tape, disk and CD/DVD Backup Sets (.rbc files).


Catalog Backups

Catalog Files are important adjuncts to Backup Sets, but face the same risks as your files since they often share the same hard disk. If you lose your Catalog Files, Retrospect cannot restore any files until the Catalogs are recreated, which can be a lengthy process. For this reason, back up your Catalog Files as well as your regular files.


Configuration Backups

Retrospect's configuration file contains your client database, scripts, schedules, preferences, custom selectors, and other important information. The configuration file, named config60.dat, can be found either in the same folder as the Retrospect application, or in /Documents and Settings/All Users/Application Data/Retrospect.

Each time it exits, Retrospect automatically saves a backup copy of config60.dat in a file named config60.bak. You should back up this file regularly. If your active configuration file (config60.dat) is ever lost or becomes corrupt, delete it and then open Retrospect, which creates a new config60.dat from the config60.bak.

You can use the Windows Explorer or Retrospect to back up Catalogs and your configuration file. Just periodically copy them to another volume, such as a disk or file server, to help you recover from a disaster more quickly. Set up a Retrospect duplicate script to automatically copy your Catalogs and config60.bak file to a folder on another volume. Use the Retrospect Files selector to select appropriate files, and schedule the script to run daily, when your other backups are complete.

If you back up your backup computer to multiple Backup Sets, your Catalogs and configuration are automatically covered in case of a disaster. Each set contains backups of all other sets’ Catalogs. Alternatively, if you have several large Catalogs, consider backing them up to their own dedicated Backup Set to help recover from a disaster or lost Catalog File faster.


Working with Open Files

With Open File Backup, you can back up, duplicate, and archive files, even if they are in use. Open File Backup can protect multi-volume datasets, enabling you to copy related open files across multiple volumes.

Requirements for Open File Backup

  • Retrospect Single Server or Retrospect Multi Server

  • License code for Open File Backup. Open File Backup must be purchased separately. Click Configure4Licenses to view your current licenses or purchase new ones.

  • The volume being backed up must be running Windows NT 4.0 Server or Workstation with Service Pack 6; Windows 2000 Workstation or Server with Service Pack 2; or Windows XP. To back up open files on a Windows XP computer, it must have an NTFS volume.

  • If the volume being backed up is a client, it must be running Retrospect Client 6.0.

Options

Retrospect has a number of options that are specific to Open File Backup. See Windows Open Files Options for more information.

Microsoft Exchange Servers

Retrospect's Exchange Agent provides specialized support for optimally backing up Microsoft Exchange servers. Use the Exchange Agent instead of Open File Backup for Exchange servers.

The Exchange Agent must be purchased separately and requires a license code. Click Configure4Licenses to view your current licenses or purchase new ones.

Tips for using Open File Backup

See Open File Backup Tips.


Open File Backup Tips

If you plan to use Open File Backup, Dantz strongly recommends that you follow the tips below:

  • Perform thorough testing of Open File Backup before using it on production systems. Every environment is unique and it's important to make sure that your data is backed up accurately and completely. Do a complete backup and restore of volumes containing open files. Check for data integrity and application functionality on the restored volume.

  • Optimize your environment, scheduling, and Open Files options to maximize disk inactivity. Open File backup requires a period of inactivity on the source volume's disk (disk inactivity threshold) in order to accurately copy open files. To avoid error messages:

Schedule scripts using Open File Backup for "off peak" times.

Experiment with the Disk inactivity threshold and Retry timeout options to determine optimal values. A lower disk inactivity threshold increases the chances that it will be met, but also increases the possibility of data inconsistency. A higher disk inactivity threshold decreases the chances that it will be met, but also decreases the possibility of data inconsistency.

During Open File Backup, disable or stop applications on the source volume's disk that could increase disk activity, e.g. anti-virus software, disk defragmentation software, etc.

If the Open File Backup operation includes multiple volumes, but none of the open file data spans multiple volumes, make sure the Protect Multi-Volume Datasets option is off.


Using the Exchange Agent

Retrospect's Exchange Agent provides specialized support for optimally backing up Microsoft Exchange 5.5 and Microsoft Exchange 2000 servers. Use the Exchange Agent instead of Open File Backup for Exchange servers.

The Exchange Agent must be purchased separately and requires a license code. Click Configure4Licenses to view your current licenses or purchase new ones.

Retrospect Exchange Agent uses Microsoft APIs to effortlessly and automatically protect a Microsoft Exchange server that runs continuously and cannot be stopped for backups.

Retrospect Exchange Agent features an easy-to-use interface and clear configuration options for fast and flexible setup. Exchange server databases are backed up quickly and safely to any disk. For optimum performance, Progressive Backups copy new and changed data. Restores are smart and only require a single operation, even after multiple Progressive Backups.

To use the Exchange Agent

1 | Navigate to the Retrospect folder. The default location is ..\Program Files\Dantz\Retrospect.
2 | Open the rtrexchg folder and double-click rtrexchg.exe.
3 | Enter your Exchange Agent license code and click OK.
4 | Select Microsoft Exchange 5.5 Server and/or Microsoft Exchange 2000 Server and click OK. The Retrospect Exchange Agent launches.
5 | Click the Help tab for more information.


Working with File Servers

Retrospect is compatible with Windows NT 4.0 Server, Windows 2000 Server, Windows 2000 Advanced Server, and Apple's various servers. Retrospect Single Server can back up the server on which it is installed. Retrospect Multi Server can back up any server to which the backup computer has access via Windows Explorer. To back up Microsoft Exchange servers, use Retrospect's Exchange Agent.

For Windows 2000 Advanced Server, Retrospect does not support clusters or SharePoints.


Backing Up Servers to Move Their Contents

If you are going to back up a server to move its contents (for example, you have a more powerful computer to be the new server), you should make two separate verified backups. Verification, which is on by default, ensures the integrity of the data; having two backups will not leave you stranded if one fails for some reason.


Backing Up DHCP Server and WINS Server Information

Introduction to Backing Up DHCP Server and WINS Server Information

Retrospect does not back up certain active DHCP and WINS server files. However, the operating system can maintain its own backups, which, in turn, you can back up from Retrospect.

The DHCP server copies its files to a folder named "backup" in the "dhcp" folder, once an hour.

The WINS server, by default, does not make copies of the necessary files, but you can make it do so. If you need to back up a Windows server running WINS, you must make these files available for Retrospect backups.


Preparing To Back Up the WINS Database

1 | For Windows NT, use the WINS Manager and go to Server4Configuration4Advanced. For Windows 2000, use WINS and go to Action4Properties.
2 | Set the backup database path to %SystemRoot%\configbk\.
3 | Exit WINS or WINS Manager. (If the folder you specified does not exist, it will be created automatically.)
4 | After you take these steps, the WINS files are copied to the backup folder every three hours.


Backing Up the Configurations

Do your regular Retrospect backups, making sure the file selection criteria includes the backup database paths (configbk and backup folders).

The All Files and OS Folder selectors ensure the files will be included in backups.


Restoring the DHCP and WINS Databases

Follow the steps to restore an entire Windows computer. Upon completing the steps, DHCP or WINS server information is restored.


Introduction to Backing Up MAC OS File Servers

This section describes how to use Retrospect to back up volumes shared by AppleShare or Mac OS file sharing. These operations require special procedures to ensure access privileges are intact after the volume is restored.

Shared volumes maintain access privileges that determine which users and groups of users can see and change files and folders. These privileges are active only when the server is running and the volume is shared.

To retain access privileges for a server, file sharing must be on during the backup. During a subsequent restore operation, Retrospect reassigns privileges to the same users and groups that were active during the backup. Otherwise, any privileges for the restored and retrieved folders revert to the volume owner or server administrator.


AppleShare IP Mail

Apple recommends stopping the AppleShare IP Mail Server before backing up the AppleShare IP Mail Database. You can accomplish this with a special AppleScript, which shuts down the Mail Server and lets Retrospect duplicate the Mail Database folder. This inactive copy can then be backed up by other Retrospect scripts, even when the Mail Server is running. For more information on how to maintain the AppleShare IP Mail Database, refer to the AppleShare IP Manual.


Working With Other Software

No program is an island. Among the thousands of other popular software programs available for Windows, there are a few which can cause problems with Retrospect or which require special attention: DriveSpace, and programs that do not update file dates.

Read the contents of the "read me" file installed with Retrospect. It may contain late-breaking information on software which requires special attention for use with Retrospect.


DriveSpace Compression

If any of your Windows clients are using Windows 95's or 98's DriveSpace automatic hard disk compression utility, you should take a few steps to streamline your backups. Your scripts should include your normal working drive even though it is a compressed "virtual" drive. Retrospect backs up the files on the compressed drive, though they are, in reality, stored in a single, large file on the "host" drive. Your scripts or the client control panel, or both, should exclude the storage file or the host drive to avoid redundancy and waste, as the individual files within the storage file are backed up from the compressed drive. Backing up the host drive's storage file, which is nearly as big as the whole hard disk, would slow backups and waste storage media. Further, you cannot restore that file, so backing it up is useless.

To have Retrospect exclude all DriveSpace storage files, make a selector condition that excludes file names which start with "DRVSPACE.0". (That is a zero at the end.)

To have a client prevent Retrospect from accessing a DriveSpace host drive, use the client control panel's Access tab to designate as private the host drive. Click Private Files/Folders/Volumes, and add the host drive.


Programs Which Do Not Update File Dates

Some programs may save some files without updating the file modification dates and times, which is a transgression of normal file handling procedures.

This poses a problem with Retrospect because it optimizes backups by backing up only one file when it finds multiple files with the same name, size, creation date, and modification date. When you use software which changes a file without updating its modification date, the file does not appear changed to Retrospect so it does not get backed up (unless you do the following).

To back up files used by the above-listed software, you should take the following steps to ensure complete backups, allowing complete restores.

  • Try to keep all of the files and folders related to a particular program within a single folder, and declare each such folder a Subvolume.

  • Make a script, separate from your regular backup script, with its own, unique destination Backup Set. Use the new Subvolumes as sources and disable matching or schedule recycle backups. (This will not work with CD-R media because it cannot be erased and reused.) This script always copies all the files in the Subvolumes to the Backup Set.

  • To restore your data, always use the Restore Entire Volume option to restore the Snapshot of the Subvolume to a new, empty Subvolume.


Working With Volumes

A volume is the operating system's representation of a random-access storage device, such as a hard disk drive or partition, a disk, or a CD-ROM. It can also be a file server on the network. A volume is the basic storage unit containing files and folders. Retrospect uses volumes as sources for backups and other operations and helps keep track of files with volume Snapshots.


Volume List Windows

Many Retrospect operations use the volume selection window, in which you can select one or more volumes for the operation at hand. Though some features may not be available for some operations, this window is very similar to the Volumes Database window. You can access the Volumes Database by clicking Configure4Volumes.

Using either window is fairly straightforward; click the volumes you want, then click a button or toolbar icon to proceed or act on the selected volume. (You can also right-click to use a contextual menu.) However, the volumes database window's list is organized for and includes controls for more involved navigation and selection of the listed volumes.

In a volume list window, the + and – icons on the left work just like those in the Windows Explorer. Click on a + icon to show the contents of its container or folder. Click on a – icon to hide the contents of its container or folder. A volume does not have this control unless it has one or more defined Subvolumes.


Selecting Volumes

In a volume list window, click a volume to select it. This de-selects any other selected volumes.

Press and hold the Control key and click a volume to select it without deselecting any currently selected volumes. You can make a multiple non-contiguous or contiguous selection this way.

Press and hold the Shift key and click a volume to select all volumes listed from the current selection to the Shift-clicked volume. This is called a contiguous multiple selection.

These methods of making individual and multiple selections work throughout Retrospect, not just in the volume list.

Some operations do not allow multiple selections. (For example, you cannot restore to multiple volumes.)


Volume Utilities

In the Volumes Database window and volume selection windows, the toolbar has commands for defining and forgetting Subvolumes and for renaming, ejecting, erasing, and getting information about listed volumes.

Click the right mouse button in the volume list to pop up a menu of commands equivalent to the those on the toolbar.

Subvolume—To define a folder as Subvolume, select its parent volume and click Subvolume .

Properties—To determine an item's properties, select it and click Properties. With a server volume, the properties toolbar has a command to save the user name and password for automatic login.

Rename—To change the name of a volume or Subvolume, select it and click Rename. Enter a new name in the dialog which follows.

Eject—To eject removable media from a drive, select its volume name and click Eject.

Forget—To remove a volume or Subvolume from the list, select it and click Forget. Currently active volumes, such as your hard disk or an inserted cartridge, may not be forgotten. Forgetting an added server forgets its defined Subvolumes.

Erase—To erase the contents of a volume, select it and click Erase. Be careful; this command permanently removes all files from the volume.


Containers

In a volume list, volumes, clients, and groups are organized under the four containers: My Computer, My Network Places, Backup Clients, and Source Groups.

You could back up every hard disk and network volume attached to the backup computer, and every client logged into Retrospect, simply by selecting the My Computer, My Network Places, and Backup Clients containers as sources.


My Computer Container

The My Computer container holds drive volumes. This includes the internal hard disk, an inserted disk, and external drives.

When you select the My Computer container, you are instructing Retrospect to select all volumes on the backup computer, except for floppy disks, CD-ROM discs, shared volumes (such as file servers), and empty volumes.

The example below shows a My Computer container selection and the volumes to which it resolves. (For example, if the selection were used in a backup operation, the resolved volumes would be backed up.)

Using this selection... | ...resolves to these volumes
 | Capulet and Montague (not Star-Crossed, because it's a CD-ROM disc)


My Network Places Container

The My Network Places container holds all network volumes that have been added to the Volumes Database through a volume selection window, or directly. See Adding Network Volumes and Subvolumes.

The My Network Places container does not include network volumes that appear in Windows' My Network places unless you add them.


Backup Clients Container

The Backup Clients container holds client computers that are logged in to Retrospect. Clients themselves contain one or more volumes, which are made available according to how they are configured with the Volumes tab of the client properties window.


Source Groups Container

The Source Groups container holds volumes grouped together for better organization. Groups, which you define, do not contain the actual volumes themselves, but aliases which are shortcuts to actual volumes (which are in My Computer, My Network Places, or Backup Clients). For example, you could make an Accounting group containing the volumes from the accounting department. Later when you are creating a backup script, instead of tediously selecting each individual accounting volume, you can just select the Accounting group and Retrospect knows you mean all of the volumes within that group. Source Groups are not available in duplicate and restore operations.

Creating Groups

To create a new group, click [image]. Enter a group name, and click Create. The new group appears under the Source Groups container. Any items that were highlighted when the group was created will belong to the new group.

Adding Volumes to Groups

You can drag any item from the My Computer, My Network Places, or the Backup Clients containers into a group.

Arranging Group Items

You can drag any item out of one group and into another group. You can drag an item to a different location within its group to rearrange the order of the group. Volumes get backed up in order.

Removing Groups

To remove an unwanted group or item, select it and click [image] or press the Delete key.


Introduction to Subvolumes

A Subvolume is a folder on a volume that you define to work like a volume for use within Retrospect. After a folder is designated as a Subvolume, it can be specified as a source or destination for Retrospect operations. Subvolumes have no function outside Retrospect and their existence does not affect a volume's files and folders in any way.

If you only want to back up files in a single folder, specifying a Subvolume (instead of specifying a volume and using a custom selector) reduces the file scanning time, minimizes the number of files displayed in a browser, and reduces the needed amount of memory.

Retrospect treats a Subvolume as another volume on your system. Once it has been defined as a Subvolume, do not remove or rename the folder. If you do, Retrospect will not be able to locate the Subvolume.


Creating Subvolumes

In a volume list, select a volume, then click Subvolume. A dialog appears, listing folders at the top level of the selected volume.

You can specify any folder on the selected volume as a Subvolume, including folders nested deep within the folder hierarchy. Select the folder you want to specify as a Subvolume and click Define. (To define the folder name currently displayed in the list box as a Subvolume, click Use.) The Subvolume folder, identified by the 0 icon, then appears with the volumes in the volume list.

If you specify both a Subvolume and its parent volume as Sources, they will be treated as separate objects. However, operations involving the parent volume will include the contents of the folder designated as a Subvolume.


Removing Subvolumes

To remove a Subvolume, select it and click [image]. Removing a Subvolume does not affect the contents of the original folder or any file you may have already backed up from it.


Adding Network Volumes and Subvolumes

To add a network volume to the volumes database, click Configure4Volumes, then click My Network. Navigate through the network to your desired server volume or folder, then select it and click Add. If necessary, enter a user name and password and click OK.


Windows Volume Mount Points

Windows Volume Mount Points (NTFS Mounted Drives)

Windows 2000 and Windows XP allow you to designate an empty folder as a volume mount point, a kind of gateway for accessing a different drive. (For an overview and configuration instructions, see the Windows help index under mounted drives overview and mounting volumes as NTFS folders.)

In the Windows Explorer, a mount point appears with a drive icon and bears the name of the folder through which the drive is accessed. Hierarchically, the mount point appears as a drive within a drive, not on the same level as other drives under My Computer. In the example below, Mount Kilimanjaro is shown as the mount point in Windows Explorer.

In Retrospect's volumes database and volume selection windows, the mounted drive appears at the same hierarchy level as other drives under the My Computer container, as shown below.

In Retrospect's volume browser windows, browsing the parent volume of a mount point, the mount point appears merely as the empty folder it really is, as shown below.

Logic and Functionality

Retrospect considers a mounted drive as a distinct volume, not as a folder or Subvolume of the parent NTFS volume. To back up a volume accessed through a mount point, you must select that mounted drive in Retrospect. It will not be backed up if you select the parent drive containing the mount point folder or if you select the folder itself.

When Retrospect backs up the parent volume of a folder used as a mount point, it includes the mount point folder in the Snapshot but does not include files and folders from the mounted volume.

When Retrospect restores from a Snapshot, it restores the mount point folder and the necessary information for Windows to access its volume through the mount path. (This is dependent upon the accessed drive being present in its original state; if not, the folder is restored but it is not made a mount point.) To restore files and folders to the mounted volume, you must restore it as you would restore any other drive with Retrospect, by selecting it as a distinct drive.


Folders

You can make folders to help organize the volumes in the volume list window. The you can use the folders as a source or destination. For example, while setting up a backup, you could select a folder as a backup source and Retrospect will back up all the volumes in the folder.

These folders are specific to Retrospect and do not appear outside the application.


Creating Folders

You can make folders to help organize the information that appears in the volume list window. For example, while setting up a backup, you can select a folder as a backup source and Retrospect will use the volumes in the folder. These folders are specific to Retrospect and do not appear outside the program.

1 | Click Configure4Volumes.
2 | Click [image] .
3 | Select the type of folder you want. This determines whether it is created in the My Computer, My Network Places, or Backup Clients container.
4 | Click OK.
5 | Enter a name for the new folder.
6 | Click Create.
7 | The folder (identified by a [image] ) appears with the volumes in the list. Drag it to reposition it in the list, if you wish.


Using Folders

You can drag any volume into or out of a folder to better organize the list of volumes.

Just like folders on a hard disk, folders are useful for hiding numerous items to avoid cluttering your work space. For example, if you are administering a large number of clients, you can arrange them in a logical order by placing the individual volumes into their respective department folders, such as Accounting, Engineering, and Manufacturing. You can then select a folder in a volume selection window and Retrospect selects all the volumes within the folder.


Removing Folders

You can remove an unused folder by selecting it and clicking [image] or pressing the Delete key. However, you must move its contents out of the folder before you remove it. (The command to remove folders is disabled until you empty the contents of the folder.)


Introduction to Browsing

Browsers are Retrospect's powerful tools for viewing, marking, and manipulating files and folders on your source and destination volumes. From within Retrospect, browser windows provide file management facilities similar to those in the Windows Explorer, and include other features not available in the Explorer.

Browsers "unfold" the contents of a volume so you can work with all of its contents at once. This lets you easily select multiple files within different folders. You can also view browsers in a flat-file structure, without the folder hierarchy.

Browsers allow you to see the files chosen for backup, restore, duplicate, and transfer operations. You can also use browsers in a "stand-alone" manner to view and manage the contents of volumes. In backup, restore, duplicate, and copy operations, browsers show you which files have been chosen by the selector you designated and allow you to mark and unmark files.

You can open any number of browser windows, including different browsers for the same volume. You can also leave browser windows open while performing other Retrospect operations and switch back and forth between browser windows and other Retrospect windows.

In each browser window, Retrospect has a toolbar. It has commands for finding, selecting, and managing folders and files in the browser listing. (You can also right-click to use a contextual menu.)

You cannot use a browser within a script because scripts are meant for unattended execution at a later time. Using a browser would not be useful because a volume's contents are likely to change between the time you edit the script and the time the script is executed.


About Browsers

A browser window displays a hierarchical file list of folders and files in the selected volume.

At the top of the list (and at the highest level of the hierarchy) is the name of the volume. Folders have + and – controls to their left; click + to show the contents of the folder. Click – to hide the contents of the folder. Open folders have different icons, 1, than closed folders, 0.

The scrolling folder index on the left of the window provides a thumbnail view of the folders on the volume. Click on the folder index to display the associated file list on the right side of the window. The pathname of the current selection is shown above the index. Tick marks in the folder index indicate the location of selected items in the file list. Index lines appear grey for unopened folders or black for open folders.

The upper right corner of the window indicates how many files are highlighted and shows their total size.


Viewing a Stand-alone Browser

To view a stand-alone browser of a volume

1 | Click Configure4Volumes.
2 | Select a volume.
3 | Click Browse. Retrospect scans the selected volume, then displays a browser window listing all the folders and files contained in the selected volume.


Viewing a Browser from an Operation

To view a browser within an immediate backup, restore, duplicate, or transfer operation, in the summary window, click either Files Chosen or Preview. Retrospect displays a browser window for each source.


Browsers and Scripts

You cannot use a browser within a script because scripts are meant for unattended execution at a later time. Using a browser would not be useful because a volume's contents are likely to change between the time you edit the script and the time the script is executed.


Browser Window View Formats

The browser window's toolbar command [image] Hierarchical/Sorted View changes how Retrospect displays the contents of a volume.

The hierarchical format displays files and folders in the same hierarchical structure in which they are stored on the volume. This is the default layout that Retrospect uses when you first open a browser window.

The sorted files format displays all files stored in the selected volume as a single "flat file" list, discarding any folder designations.

For both types of browser layouts, the toolbar's list box allows you to specify the type of file information displayed in the browser window. It always displays flags, name, and size. For the final piece of information you can choose from modification date/time, or attributes.

With the sorted files layout, you can choose the sort criterion of the list by clicking on a column heading. Clicking it a second time reverses the sort order. Retrospect normally sorts the files in ascending order. For example, if sorting by size is specified, the browser lists the smallest files at the top of the list and largest files at the bottom.


Viewing Properties

Retrospect provides a Properties command you can use to view information about the selected files and folders.

In a browser, select a file or folder and click [image]. A properties window appears for each selected file or folder, displaying additional information.


Selecting Files and Folders

In a browser window, you select files and folders on which to perform operations. Select files by clicking on entries in the file list. Drag through the list or Shift-click to select a range of files or folders. Control-click to select or deselect non-contiguous items. Select all items by choosing Select All from the Edit menu. Double-clicking a file both selects (highlights) and marks it.


Copying and Pasting Selections

You can copy selections between browser windows. When you copy a selection, only the file and pathname information is copied, not the files themselves. This feature is useful for copying selections from a stand-alone browser window into a browser window opened during a Retrospect operation such as restore.

You cannot paste a copied selection into any other applications or documents.

To copy selections between browser windows

1 | Select a file or folder.
2 | From the Edit menu, click Copy.
3 | Open (or bring to the front) the appropriate browser window for the same volume, then choose Paste from the Edit menu.
4 | Retrospect pastes the selection into the new browser window, highlighting only the same files and folders (in the same folder hierarchy) which were selected and copied in the other browser window. You can then mark the selected files for use in your operation by clicking Ctrl+M.


Saving Selections as a Selector

You can also save file and folder selections as a selector that you can use to reselect files for future Retrospect operations on the same volume, including backups and restores.

Before you save a selection as a selector, consider creating a custom selector. You can easily review and modify custom selectors at any time. A selector created with a browser's Save Highlights command cannot be reviewed or modified once it has been defined.

To save selections as a Selector

1 | Select the files/folders you want to apply to a selector.
2 | Click [image] .
3 | The window tells you how many files were selected and will be selected by this selector if pathnames match exactly. Use the list to control whether the saved selector is inclusive (is) or exclusive (is not).
4 | Click OK.
5 | Enter a name for the selector, and click OK.


Marking Files and Folders

A marked file or folder is one that is designated to be used in some way (for example, backed up, archived, duplicated, or restored). When performing operations, Retrospect marks files according to the rules of the selectors in the search criteria, but you have no way of knowing which files are marked unless you use browsers. In addition to simply viewing a list, you can manually mark and unmark files and folders within a browser.

You mark files and folders in a browser by selecting them and clicking the checkbox to the left of a file or folder. Click a checked checkbox to unmark the item. You can also mark and unmark files and folders by double-clicking them.

To mark or unmark an item without affecting the highlighting of other items, press and hold the Control key while clicking.

By marking or unmarking a folder, you perform the same operations on all the files (and folders) contained within that folder. For example, to specify a single folder for backup, you would double-click on the volume name at the top of the file list to unmark all of the files, then scroll to the folder you want to back up and double-click the folder icon to mark it and its contents.

Highlight Marks selects marked files. If you click or double-click an item without holding the Control key you may end up deselecting marked items. This command is useful for reselecting them.

Cross Reference allows you to locate files in the same hard disk or session which are related to the selected file(s). Cross Reference finds duplicate files, older versions of the same file, and even files which have been renamed but were originally from the same file. This command selects, but does not mark, cross-referenced files.

Save Highlights


Finding Files in a Browser Window

The Edit menu has a Find item that you can use to locate specific files or folders (but not empty folders) on the browsed volume.

The Find window considers a file or folder name as the primary search criterion. Click More Choices to build a custom selector to use other criteria. The window that appears is identical to the selector details window you use to build Retrospect selectors.

In the text entry field, type the text to use in your criteria. It is not case-sensitive unless you click the Match Case checkbox.

Use the File and Folder check boxes to consider or disregard files and folders while searching. When you consider folders, select the Include enclosed folders check box to select all enclosed items of found folders, including files nested in other folders.

Use the Does/Does Not list to control the search logic. For example, if you choose "does not," and perform a search on file names, Retrospect selects all the files and folders whose names do not contain the search text.

Use the other list box to specify where the search text is positioned within the name. You can specify that the search text be located at the beginning (start with) or end (end with) of the name, or contained somewhere within a name (contain). You can specify that the name exactly match the search text and no additional text (match). Or you can specify that the name matches a pattern (match pattern) of the search text. When matching a pattern, you can use the wildcard character ? to match any single character, and use the wildcard character * to match multiple characters.

After you edit the search criteria in the Find window and click OK, Retrospect selects all files and folders that meet the search criteria. You can then mark the selected files for use in your operation by clicking Ctrl+M.


Refreshing a Browser Window

To update the contents of the browser window, from the File menu, click Refresh. This is useful, for example, if you make changes to the volume (for example, in the Windows Explorer or another browser window) while the volume's browser window is open.

The Refresh item appears in the File menu only when Retrospect is working with a volume directly. For example, you can not rescan a volume when you are browsing a Backup Set.


Deleting Files

Deleting Files from a Browser Window

Retrospect browsers have a Delete command to remove files from a volume. Using the delete command is like placing a file in the Windows desktop's Recycle Bin and emptying it.

The browser window toolbar has Delete enabled only when Retrospect is working with a volume directly. For example, you can not delete a file when you are browsing a Backup Set.

To delete files

1 | Select the file or files you want to delete.
2 | Click [image] .
3 | Specify whether you want to remove the selected files only or remove the selected files and any empty folders that may result from the file deletions.
 | A delete command may not be undone with the Undo command, nor may a file be recovered from the Recycle Bin. When a file is deleted, it is gone.
4 | Click OK. Retrospect permanently deletes the selected files from the volume.


Printing or Exporting File Lists

Any time a browser window is active, you can print the contents of the file list or export it to a file.

To print, choose Print from the File menu. If you use Page Setup to reduce the printing size, Retrospect prints a browser in more than one column to save pages.

To export to a text file, choose Export from the File menu. Retrospect exports the fields in the following order, regardless of the view format: file name, size, create date, create time, modify date, modify time, Mac OS type, Mac OS creator, Backup Set (if any), and path.


Introduction to Selectors

Selectors use conditions to choose files based on almost any criteria, including name, date, type, or size. For example, you can create a selector that chooses text documents modified after December 15, 2001.

You can create and save any number of selectors, which you typically use with scripts to fully automate and customize your backup operations. You can also use Retrospect's built-in selectors.

You do not need to use a selector for Progressive Backup. When you do a normal backup, Retrospect automatically performs a Progressive Backup—copying only files or folders that have been created or modified since the last backup to each Backup Set.

A file that is marked by a selector is not necessarily copied to the destination. All copying operations (such as backups) using selectors are "smart," because of Retrospect's matching feature. For each selector, there is the implied meaning of "select this file, but do not copy it if it already exists in the destination."

Retrospect's selectors do not select empty folders.


The Selectors Window

You create and modify selectors through the Selectors window. To display it, click Configure4Selectors. The window lists all the predefined and user-defined selectors.

New creates a new selector.

Edit allows you to add new conditions or modify existing conditions for a selector.

makes a folder container for organizing selectors

duplicates the currently highlighted selector

lets you change the name of the currently highlighted selector

deletes the currently highlighted selector

Right-click the selectors list to view and use these same commands.


Built-in Selectors

Retrospect includes several built-in selectors, with predefined conditions for selecting files.

Some selectors and selector conditions function differently with Windows volumes and Mac OS volumes. Examine a selector's details for more information.

The selectors window lists all the selectors, including the built-in selectors All Files, All Files Except Cache Files, Applications, Documents, No Files, OS Folder, and Retrospect Files.

Built-in Selector | Description
All Files | Marks all files on the source, including the operating system folder. This is the default selector.
All Files Except Cache Files | Marks all files on the source, except cache files used by certain applications, such as Web browsers. These cache files, which are often large, are not necessary for restoring.
Applications | Marks only executable applications (.exe) and code libraries (.dll), except those which reside in the system folder. From the Selectors window, choose Applications and click Edit to see more conditions used for this selector.
Documents | Marks files which are not executable applications (.exe) or code libraries (.dll), and which do not reside in the Program Files folder or in the operating system folder, except for files within the Desktop and Favorites folders.
No Files | Does not mark any files.
OS Folder | Marks files within the operating system folder. For UNIX, this selector marks no files.
Retrospect Files | Marks Catalogs, logs, configurations, and other documents related to Retrospect. For UNIX, this selector marks no files.

All Files is the default selector used for immediate operations and scripts. You should use this selector to ensure complete backups.

You can easily incorporate these selectors into your own scripts. You can view these selectors to better understand them, and you can even modify them to suit your needs. Do not modify the built-in selectors until you have some experience creating your own. It is better to duplicate a predefined selector and modify the copy.

To view a built-in selector, select it and click Edit. In addition to viewing the selector, this window also lets you modify it to make your own custom selector.


Creating Custom Selectors

Retrospect allows you to quickly build selectors that can perform sophisticated file and folder selection. In this example, we create a custom selector which excludes certain applications and a folder called "Games" from backup.

To create a new Selector

1 | Click Configure4Selectors.
2 | Click New.
3 | Enter a name for the selector. This example uses "Unwanted games and apps."
4 | Click New.
5 | The contents of the scroll box in this window specify the conditions the new selector uses to mark files or folders. Click the + button beneath the exclude heading to add a condition.
6 | In the left list, under Windows, select Special Folders.
7 | This window lets you specify a type of special folder on Windows volumes as a condition. Select Application Data and click OK. At this point, the selector excludes the application data folder on Windows volumes.
8 | Click the second + button below the exclude heading, which has the word "or" next to its [image] handle icon.
9 | In the left list, under Mac OS, click File Kind.
10 | Specify a file type and/or creator as a condition. The default File Kind is a generic application with the type "APPL." Since this is the condition we would like to use in this example, click OK.
11 | Click the lowest + button beneath the exclude heading.
12 | In the left list, under Universal, click Name.
13 | Choose contain for the text matching action and enter games in the text box. Leave the other controls as they are.
14 | Click OK. Because we added this condition from the lowest + button, Retrospect added the condition to the selector with the Or operator.
15 | At this point, the selector excludes the contents of the Windows application data folder, all Mac OS applications, and any folder containing the word "games."
16 | Click [image] to save the selector.

This selector is ready to use in scripts or immediate operations, including browsing.

You can print the contents of selector details windows to keep for reference. To print a selector window, edit the selector and choose Print from the File menu.


Selector Toolbar

The selector details window includes a toolbar with the following commands.

Save saves the selector using its current name, replacing what was last saved.

Save As saves the selector using a different name. Enter the new name, and then click Save. The original selector remains as it was when it was last saved.

Revert discards your current changes to a selector and reverts it back to its original state.

Rename lets you change the name of the selector. Enter the new name, and then click Rename.

Check Selector tests your selector by applying it to a volume and displaying the results in a browser window. If the correct files are marked, the selector is working correctly and you can begin using it for immediate operations or in scripts. If the files that are marked are not the correct ones, you need to modify your selector. You may need to add conditions, delete conditions, or modify the conditions. Pay close attention to the And and Or operators which may affect the results of your selector. When you have finished modifying your selector, save it and check it again to see if the correct files are now marked. Repeat this process as needed until your selector is working correctly.

Delete removes the selected condition from the Selector.


Using Selectors in Scripts

Once you have created a custom selector, you can use it in any script or operation.

To use a selector in a script

  1. Click Automate4Manage Scripts.

  2. Select a script and click Edit.

  3. In the script summary window, click Selecting.

  4. Choose your selector from the window's list.

  5. Click OK to return to the script summary window.

  6. Click [image] to save your script.

  7. The selector is applied the next time the script is executed.


Modifying Selectors

To modify a selector

  1. Click Configure4Selectors.

  2. Choose a selector and click Edit.

  3. To modify existing conditions, select a condition and click Modify. Click OK when done.

  4. To add a condition, click Add. Click OK when done.

Any condition that appears in a selector details window can be modified. After you modify a condition, Retrospect returns to the selector details window, where you can add new conditions or modify existing conditions.

To open a selector from the selectors window, click it and then click Edit.

To edit a selector's existing condition, select it and click Modify, or just double-click the condition line (except on the + and [image] icons). In the condition window, you can modify its options and controls. Click OK to accept the changes to the condition.

To add a new condition, click a + icon. (Remember, the + next to the [image] handle with the grayed-out "or..." adds an "Or" condition, while the other + icons add an "And" condition.) A condition window provides options and controls for the type of condition you chose. Make the appropriate choices and settings in the window and then click OK to add it to the selector.


Deleting Selectors

If you no longer need a selector you can delete it through the selectors window.

To delete a selector, select it and click [image]. At the confirmation dialog, click OK.


Duplicating Selectors

Sometimes, you want to duplicate a selector so that you can make slight modifications to fit your needs. For example, you may want to modify a copy of one of Retrospect's built-in selectors but leave the original untouched. You can make a duplicate through the selectors window.

To duplicate a selector, select it and then click [image]. Enter a new name, and click New. Retrospect creates an exact copy of the selector.


Selector Examples

Following are examples of selectors and explanations of each.

Network Backup Selector

This selector marks all documents to be backed up, except for files in a folder named "Games" on Leslie's client computer. In this example, the backup administrator knows that Leslie has a large folder with games that do not need to be backed up.

Restore Searching Selector

This selector uses a date condition to search for an Acrobat PDF document file that was modified on or after October 17, 1999 at 5:04 p.m. It uses a name condition to find it on a Windows volume and uses a file kind condition to find it on a Macintosh volume. This selector is a good example of how, during an immediate restore operation, you could have Retrospect find a file when you forgot its name. Even though you do not know the exact file name, you know the file was last saved after a certain date and time.

Client Restore Searching Selector

This selector searches for a named file that was created on a particular client user's computer. In this case, the name of the file is "Dissertation" and client's name is "Neil." This selector could be used during an immediate restore operation.


Selector Conditions

You build a selector by adding conditions for including or excluding files or folders. As you build the selector, you can add and relate multiple conditions, and even use logical operators to create sophisticated criteria for file selection.

To view selector conditions, click a selector and then click Edit. The window displays two distinct areas for adding conditions; one for conditions which include files or folders for an operation, and one for conditions which exclude files or folders.

The + buttons underneath the Include and Exclude headings bring up the conditions window.

Along the left of the conditions window, Retrospect lists Universal, Windows (FAT/NTFS), Mac OS (HFS), and UNIX OS conditions. The Universal conditions work with all supported file systems and the others are limited to their respective file systems. You can build your own selectors from these conditions as follows.

Condition (Type of Condition)

Description

Attributes (Universal)

Read-only and hidden attributes, in addition to Retrospect's marked and matched attributes.

Client Name (Universal)

Name from Retrospect's client database

Date (Universal)

Creation, modification, or backup dates. Windows operating systems do not implement a true backup date for files; they instead use an archive attribute. When the archive attribute is on, it is assumed that the file has changed since its last backup and needs to be backed up.

File System (Universal)

Source volume's file system.

Login Name (Universal)

File sharing owner, group or login names

Name (Universal)

Name of the file or folder

Selector (Universal)

Another selector

Size (Universal)

File or folder size

Volume Name (Universal)

Name of the volume. For Windows volumes, this is the volume label shown in its properties, not the drive letter.

Attributes (Windows)

Archive, system, encrypted, and offline flags. You do not have to use archive flag conditions in selectors to perform Progressive Backups; Retrospect does Progressive Backups by default.

Date (Windows)

Windows-specific date attributes

Drive Letter (Windows)

Source volume drive letter

Path (Windows)

Path to the file or folder. Folder hierarchy is delineated by the "\" character.

Special Folders (Windows)

Certain system-defined folders, such as the Volume Root and Profiles

Attributes (Mac OS)

File attributes (file busy, alias, name locked, stationery, custom icon, has bundle, regular file, symbolic link, or hard link)

File Kind (Mac OS)

File creator and type

Label, Icon Color (Mac OS)

File or folder's label. The Label menu or submenu in the Finder contains seven labels (and colors, if your monitor displays colors or shades of gray) and the "None" option. Each check box corresponds to a specific item position in the Label menu and not to the actual color or label name.

Path (Mac OS)

Path to the file or folder. Folder hierarchy is delineated by the ":" character.

Permissions (Mac OS)

Read, write, and execute permissions for user, group, and other. UNIX file/folder permissions much match the condition exactly (with * used as a wildcard).

For example, to select all files that can be written to by either user, group, or other, you would need to create three separate "or" conditions: *w*******, ****w****, and *******w*.

Special Folders (Mac OS)

Certain system-defined folders, such as the Volume Root and Control Panels folder

Attributes (UNIX OS)

Symbolic link flag

Date (UNIX OS)

UNIX-specific date attributes

Path (UNIX OS)

Path to the file or folder. Folder hierarchy is delineated by the "/" character.

Permissions (UNIX OS)

Read, write, and execute permissions for user, group, and other. UNIX file/folder permissions much match the condition exactly (with * used as a wildcard).

For example, to select all files that can be written to by either user, group, or other, you would need to create three separate "or" conditions: *w*******, ****w****, and *******w*.


Working With Conditions

Each condition type has its own controls for entering and specifying details. When you add or change a condition, it appears in the selector detail window.

You can add multiple conditions to a selector by clicking the + conditions buttons. The location of the + button determines the relationship between the conditions; it may add a condition with the And operator or with the Or operator. When you click a + button to open a condition window, the window shows its operator type so you know whether you are And-ing or Or-ing a new condition.

The And operator allows you to combine conditions so that a file or folder must meet the combined conditions before it is selected. Each condition uses an And operator, except each final condition of the Include and Exclude areas.

The Or operator allows you to build conditions where a file or folder must meet at least one condition—but not necessarily all conditions—before it is selected. The last condition under each Include and Exclude area always uses an Or operator.


Condition Examples

The table below shows an example of a custom selector and its effect when applied to some files.

Using this Selector.... | on these files | ...marks these files.
 | nothing can survive in a vacuum some things I’d like to say something for nothing something more to give | nothing can survive in a vacuum something for nothing something more to give
 | nothing noble in your fate something breaks the silence something for nothing | something for nothing

Exclude statements always take precedence over Include statements when Retrospect applies the selector. For example, if a selector has a statement which includes the Profiles folder and a statement which excludes the OS Folder, the files in the Profiles folder will not be marked.


Disabling Conditions

At any time, you can disable a condition within a selector. When a condition is disabled, it has no effect on file selection and remains inactive until it is enabled. This feature is useful when a selector becomes very complex and you want to resolve problems by testing parts of it.

To disable a condition, first open a selector and select the condition you want to disable. Click Disable.

To restore a disabled condition, select it and click Enable.


Moving Conditions

Within a selector details window, you can move a condition by dragging its [image] handle and dropping it at a new location within the window's scroll box.

You can drag conditions to a new location, either in the same group or another group. For example, if you added a name condition under the Include heading, you could modify the selector by dragging it beneath the Exclude heading.

When you move a condition, its outline follows the hand cursor, indicating the new location for the condition. Release the mouse button when a new outline appears in your desired destination. After you drop it, Retrospect moves the condition to the new location, inserting it before the outlined destination condition.

To copy the condition, press and hold the Shift key while dragging. Dragging an "or matching" heading moves the entire group. Shift-dragging an "or matching" heading copies the group.

Pay attention to the operator type (And or Or) of what you are dragging; moving it may change the operator.


Deleting Conditions

To delete a condition, first open a selector and select the condition you want to remove. Click Delete, and then OK.


Introduction to Transferring Files

Retrospect's Transfer function copies one or more files from one or more Backup Sets to a single Backup Set. One possible use is to copy all files from a tape Backup Set to a CD/DVD Backup Set. Another possible use is to copy a few selected files from your Backup Set to a new, encrypted Backup Set for your business partner.

Because transferring does not match files, you cannot transfer "progressively" from one Backup Set to another. All files that meet the selection criteria will be copied by Retrospect, regardless of whether they already exist in the destination Backup Set.

The Transfer function does not have a preview feature. You must rely on selectors instead of picking and choosing files by hand.

To transfer files between Backup Sets, you must have a separate backup device for each Backup Set, even if both Backup Sets are on the same type of media. In the case of file Backup Sets, the need for separate backup devices does not apply.

If you do not have separate drives for each Backup Set, you can first transfer files temporarily to a file Backup Set on a hard disk and then transfer them from the file Backup Set to the destination Backup Set.


Transferring Files Between Backup Sets

To transfer files between Backup Sets

1 | Click Tools4Transfer.
2 | Select one or more source Backup Sets from which to copy, and click OK.
3 | Select a destination Backup Set to copy to, and click OK.
4 | Specify file selection criteria, and click OK.
5 | If you want to change the default settings, click Options button in the summary window. The only option is whether or not to copy Snapshots. This option is on by default.
6 | Verify that the transfer summary information is correct.

Now you can script the transfer, or execute it.


Scripting Transfers

When a transfer summary window is active, you can click [image] to save the information and settings as a script. You can then use the script to accomplish transfers.


Executing Transfers

When you are ready to begin transferring and Retrospect says "Ready to execute" at the top of the summary window, click Transfer. Retrospect performs the transfer, displaying its progress in the execution status window. Retrospect may ask you to insert media.

When the execution is complete, Retrospect informs you in the status window. If any errors occurred, you can view details in the Operations Log.


Archiving Tips

  • Plan for the long term. Archive to two or more Backup Sets and maintain an off-site copy of your archived data. Always store media according to manufacturer's guidelines. Periodically transfer your data to new media to ensure storage integrity. Do not use device-specific options such as hardware compression, because your next backup device may not support features of an older model.

  • Define an archiving system and follow it every time. Only archive files in specific folders, or modified within a specific date range. Force users to make a decision on what is to be archived by moving data to a specific location. Never archive data without telling users what was removed.

  • Before you use the Move files option, first archive to a different Backup Set by copying without moving. This provides an extra measure of safety should one Backup Set become unusable. If you have only a single archive medium and it is lost or damaged, you will have lost all of your data. Be sure not to recycle, lose, or damage your archive media.

  • Always use verification. If you do not use verification and hardware problems occur when archiving, your data may not be correctly copied to the media.

  • To archive documents in place, compress them in a file Backup Set that you store on your hard disk. This way they take up less room, but are still on-line.


Introduction to Maintenance and Repair

This section provides instructions for maintaining and repairing Catalogs and media. It describes how to:

  • Update Catalogs that are out-of-date or "out of sync"

  • Recreate Catalogs that are missing or damaged

  • Repair damaged file Backup Sets

  • Verify Backup Set media integrity to confirm that all files are readable


Updating Catalog Files

You should update a Backup Set's Catalog File when Retrospect reports a "Catalog out of sync" error while operating with the Backup Set. You must update the Catalog File to synchronize it with the media or you will be unable to use the Backup Set.

A "Catalog out of sync" error indicates Retrospect was unable to update the Catalog File the last time it copied data to this Backup Set—possibly because of a crash or power failure. This error may also be caused by a full disk or by a lack of memory.

If, after updating a Catalog File, you continue to get "out of sync" errors when using the Backup Set, do not attempt to repair the Catalog again. You must skip to new media, reset with a full or new backup, or create a new Backup Set.

To update a Catalog File

1 | In Retrospect's navigation bar, click Tools4Repair Catalog.
2 | Select Update Existing Catalog File, and click OK.
3 | Select the Backup Set to update, and click OK.
4 | Insert the Backup Set member requested by Retrospect.
5 | Retrospect recatalogs the Backup Set, informing you of its progress with the execution status window. When Retrospect finishes recataloging a particular member of a Backup Set, it asks whether there are any more members to recatalog.
6 | If there are no more members, click No. If there are more members in the Backup Set, click Yes. Retrospect continues to ask you for additional Backup Set members until you click No or Done.
7 | The execution status window informs you whether the update was successful. If the operation was not successful, refer to the Operations Log.


Recreating Tape and CD/DVD Catalog Files

Because you cannot use a Backup Set unless it has a Catalog File, you should recreate a Catalog whenever the original is lost or damaged. Recreating may take a long time, depending on the amount of data in the Backup Set. The procedure for recreating disk Catalog Files is slightly different.

Since file Backup Sets store the Catalog File in the Backup Set itself, you cannot recreate their Catalogs. See Repairing File Backup Sets instead.

To recreate a tape or CD/DVD Catalog

1

In Retrospect's navigation bar, click Tools4Repair Catalog.

2

Select Recreate from tapes or Recreate from CD/DVD discs and click OK.

3

In the Media Selection window, select the most recent available member of the Backup Set and click OK.

For Backup Sets created with Retrospect 5.0 or 5.1, select the first member of the set.

4

Click OK when you have inserted the medium.

5

If you are recreating a Catalog File for a Backup Set that is still known by Retrospect, it asks whether you want it to recognize the recreated Backup Set instead of the known Backup Set. Click OK to replace the known Backup Set.

6

If the Backup Set is encrypted, Retrospect asks for its password. Enter the password and click OK.

7

Specify a location to save the recreated Catalog File, then click Save.

8

When Retrospect finishes recataloging a particular member of a Backup Set, it asks whether there are any more members to recatalog.

If there are no more members in the Backup Set, click No. If there are more members in the Backup Set, even if one or more members are lost or damaged, click Yes. Insert the requested member of the Backup Set, or if you do not have it, click Choices.

9

If you have already given Retrospect the final member of the Backup Set, click Done. If you do not have the requested Backup Set member, or if it is damaged, click Missing.

10

Retrospect continues to ask you for additional Backup Set members until you click No or Done.

11

The execution status window informs you whether the update was successful. If the operation was not successful, refer to the Operations Log.

After Retrospect informs you the recataloging was successful, you should edit the scripts that used the Backup Set and add the newly-recognized, recreated Backup Set as the destination for each script.


Recreating Disk Catalog Files

Because you cannot use a Backup Set unless it has a Catalog File, you should recreate a Catalog whenever the original is lost or damaged. Recreating may take a long time, depending on the amount of data in the Backup Set. The procedure for recreating tape and CD/DVD Catalog Files is slightly different.

Since file Backup Sets store the Catalog File in the Backup Set itself, you cannot recreate their Catalogs. See Repairing File Backup Sets instead.

To recreate a disk Catalog

1 | In Retrospect's navigation bar, click Tools4Repair Catalog.
2 | Select Recreate from disks, and click OK.
3 | If you know which disk contains the Backup Set Catalog File, click Last disk. Do not select Last disk if the fast catalog rebuild option for this Backup Set was turned off. If you don't know which disk contains the Backup Set Catalog File, click All disks.
4 | In the Disk Selection window, choose a disk, or the last disk, where the Backup Set was stored and click OK. Retrospect displays a list of the Backup Sets on the disk.
5 | From the list, select a Backup Set to recatalog and click OK. If you chose All disks and there are additional disks in the Backup Set, click Yes to return to the Disk Selection window.
6 | If you are recreating a Catalog File for a Backup Set that is still known by Retrospect, it asks whether you want it to recognize the recreated Backup Set instead of the known Backup Set. Click OK to replace the known Backup Set.
7 | If the Backup Set is encrypted, Retrospect asks for its password. Enter the password and click OK.
8 | Browse to a location to save the Catalog File (or use the default location) and click Save.
9 | If there are any other members in the Backup Set, click Yes and return to step 4. Otherwise, click No.
10 | The execution status window informs you whether the update was successful. If the operation was successful, click Close. To view errors in the Operations Log, click Open Log.

After Retrospect informs you the recataloging was successful, you should edit the scripts that used the Backup Set and add the newly-recognized, recreated Backup Set as the destination for each script.


Repairing File Backup Sets

Since file Backup Sets store the Catalog File in the Backup Set itself, you cannot recreate their Catalogs. You can repair file Backup Sets though.

To repair a file Backup Set

1 | In Retrospect's navigation bar, click Tools4Repair Catalog.
2 | Select Repair File Backup Set, and click OK.
3 | Locate the file Backup Set that needs repair and click Open.
4 | At the confirmation dialog, click Yes.
5 | A status box shows how the repair is proceeding.
6 | If the repair was not successful, the execution status window reports errors occurred and you can find them in the Operations Log.


Incomplete Catalog Repair

When you stop a Cataloging operation, the following dialog may appear.

Revert stops recataloging and allows you to continue updating the Catalog File from the current medium later. (To continue later, use the Update Catalog File function.)

Save should be used when you do not wish to try to Catalog any more data from the current medium. All data Cataloged so far should be retrievable. (To continue later, use the Update Catalog File function.) Recataloging will resume with the next recordable disc, disk, or tape, if there is one. If you back up more data to the Backup Set after using this option, Retrospect asks for a new medium, treating this one as full.


Verifying Media Integrity

Retrospect can check all files on your Backup Set media to make sure that they are readable, then report files lost or damaged by media failure. For example, if Retrospect informs you that the file you just retrieved is damaged, you may want to verify the Backup Set media to ensure that other files are intact.

Verifying media does not mean Retrospect compares the files on the media with the original files. It only verifies that the files on the Backup Set media are readable.

1 | In Retrospect's navigation bar, click Tools4Verify Media.
2 | Select the Backup Set to be verified, and click OK.
3 | If the Backup Set is a CD-R, removable disk, or tape Backup Set, Retrospect asks you to insert each Backup Set member as it is needed.
4 | If you do not have the requested Backup Set member, but have more members of the Backup Set to verify, click Choices, insert the next piece of media, then click OK.
5 | After verifying the last available member of the Backup Set, Retrospect displays a final status window, which tracks the number of files verified. If there are errors, a browser displays the files that could not be verified and you should examine the Operations Log for additional information.

Consider backing up unverified files to a new Backup Set.


Introduction to External Scripting

Retrospect events can be handled by external scripts, which you can author in any scripting language that can create executable files. You can attach a single executable script to Retrospect or to a Retrospect client to act upon the events.

Retrospect's external scripting functionality is only for experienced script authors who wish to further automate Retrospect with external scripts. If you want to learn Windows scripting, start with Microsoft's Web-based documentation for developers.

Due to the complex nature of Windows scripting, Dantz Development can only offer minimal technical support for these features.


Installing Windows Scripting Support Files for Retrospect

The External Scripts folder is installed by the Retrospect setup program during a complete installation, but not during a default custom installation. To add it to your Retrospect folder, use the setup program.

When you install external scripting functionality, the External Scripts folder is put in the same folder as the Retrospect application. By default, this is:

..\Program Files\Dantz\Retrospect\

Windows Scripting Host must be installed on your system to use scripts created with VBScript or other scripting languages not directly supported by the operating system. Windows Scripting Host is available free from Microsoft.


Retrospect Events

Retrospect has fifteen events which can be handled by scripts. Retrospect client software has two of these events. Below are the event names and descriptions of when they are triggered.

Event Name | When Event is Triggered
StartApp | Retrospect opens, including when it is autolaunching.
EndApp | Retrospect quits.
StartBackupServer | Proactive Client Backup is about to start.
StopBackupServer | Proactive Client Backup is stopped.
StartScript | Script is about to start.
EndScript | Script is finished.
StartSource | A source is about to be accessed for the first time. This event is present in both the Retrospect application and Retrospect client software.
EndSource | A source has finished being accessed. This event is present in both the Retrospect application and Retrospect client software.
MediaRequest | Retrospect is about to request media, and again every five minutes while the media request window is open.
TimedOutMediaRequest | Retrospect has requested media and it has waited longer than the time specified in the preferences.
ScriptCheckFailed | Retrospect quits after running a script and there is a scheduled script set to run outside the look ahead time and the script check fails.
NextExec | Retrospect quits after running a script and there is a scheduled script set to run outside the look ahead time and the script check passes.
SchedStop | A script is running and about to stop because its allowed time of execution has expired.
PasswordEntry | This event occurs after someone enters a password.
FatalBackupError | A fatal backup error occurs.


Implementing External Scripts With Retrospect

Copy your external script file to the Retrospect program folder (the default path is ..\Program Files\Dantz\Retrospect) and rename your script RetroEventHandler. Add the filename extension that matches your script type, such as .BAT, .EXE, .VBS, or any other supported by Windows Scripting Host.

If more than one RetroEventHandler file is present, only one will be used. If you want to take multiple actions with multiple events, you must write a single script to do it.


Implementing External Scripts With a Retrospect Client

To use external scripting with a Retrospect client, copy your script file to the Retrospect Client program folder (the default path is ..\Program Files\Dantz\Client) and rename your script "RetroEventHandler." Add the filename extension that matches your script type, such as .BAT, .EXE, .VBS, or any other supported by Windows Scripting Host.

If more than one RetroEventHandler file is present, only one will be used. If you want to take multiple actions with multiple events, you must write a single script to do it.


Executing External Scripts

When an event occurs, Retrospect notifies the external script and waits for a response from the script before continuing. After five seconds, Retrospect displays a status window to indicate it is executing a script.

When the script finishes, Retrospect continues.


Examples of External Scripts

The External Scripts folder includes sample scripts written in four script languages (batch files, Visual Basic, VBScript, and C). You can study the source code of an example in a given language to learn how to write your own script to handle Retrospect events. They demonstrate how you might use the information sent for each event and provide examples of the acceptable values returned.

To use an example script with Retrospect, copy it from its sample folder to the Retrospect program folder.

The .BAT batch example script uses the batch command extension ask.exe, installed in the Retrospect program folder.

The example scripts display a window as each event occurs, naming the event and listing the event's information.

You must respond in each window to allow Retrospect to continue. Opening Retrospect triggers the StartApp event as shown above. You must do something else to trigger another event that will be handled by the example script.

After sampling an example script, delete it from the Retrospect program folder so it doesn't interfere with your backups or other scheduled Retrospect scripts.


Useful External Scripts

This batch file script stops a Windows NT 4.0 Microsoft Exchange server, which allows Retrospect to back it up. The script then restarts Exchange.

This external script, which works with both Retrospect and Retrospect clients, is executed only when Retrospect runs a backup script named Backup Exchange. In Retrospect, create a backup script named "Backup Exchange" or rename your existing backup script.

Another way to back up an Exchange server is to use the Retrospect Exchange Agent. It works in conjunction with Retrospect to protect the Exchange Server.

This external script is designed to back up a Lotus Domino Server running as an Application. This batch file requires the Microsoft Windows Resource Kit to be loaded. Using this script, Retrospect will quit the Lotus Domino Server, perform a consistency check, compress its databases, then back up.

When Retrospect completes its operations, the Lotus Domino Server will be restarted.

This batch file requires the user to configure the path to the Domino Server directory (ex. C:\Lotus\Domino) and set the version number of the Domino Server (ex. 4.6a=460, 5.0.2=502). These settings are in the top portion of the batch file and are clearly noted.

This external script is designed to back up a Lotus Domino Server running as a service. Using this script, Retrospect will stop the Lotus Domino Server service before backing up. After Retrospect finishes backing up, the Lotus Domino Server service will be restarted.

This batch file requires the user to set the name of the service to match the name of Lotus Domino Server service in the services control panel (ex. Lotus Domino Server). The name of the service will differ for different versions of Domino.

This batch file script (for Retrospect only, not clients) emails a text version of Retrospect's Backup Report to groups of users, upon the following events:

• Proactive Client Backup is stopped;

• a script (except Proactive Client Backup) is finished;

• a fatal backup error occurs;

• Retrospect requests media;

• Retrospect's media request has timed out.

You can also schedule tasks to email reports periodically, which is useful when the backup computer is running Proactive Client Backup.

The email notifier script uses the batch command extension mailsndr.exe, installed in the Retrospect program folder.

Open the RetroEventHandler.bat file with a text editor. Edit the mail server, the sender's email address, and the main group email addresses. Optionally, edit the success, errors, and media request groups. Optionally, edit the time interval for sending media request emails, in multiples of five minutes. Save your changes.

Under Windows 95/98/Me, after saving your edits, get the properties of the batch file. Click the Memory tab and change the initial environment memory from Auto to 4096.

If you want the Email Notifier to email the Backup Report periodically, in addition to or instead of its previously-listed notification events, you must schedule tasks with the operating system. Scheduling tasks for each operating system are detailed below.

Open Scheduled Tasks from Start4Programs4Accessories4System Tools. In the Scheduled Tasks folder, open Add Scheduled Task. Use the wizard to browse the Retrospect program folder (the default path is \Program Files\Dantz\Retrospect) and select RetroEventHandler.bat. Select the scheduled task time and interval, and select "Open advanced properties for this task when I click Finish." Click Finish. In the task properties window, edit the Run field to read:

RetroEventHandler.bat ATsendBUSReport

(Note the space between each command parameter.) Leave the Start in field set to the path of the Retrospect program folder.

Open Scheduled Tasks from Start4Programs4Accessories4System Tools. In the Scheduled Tasks folder, open Add Scheduled Task. Use the wizard to browse the Retrospect program folder (the default path is \Program Files\Dantz\Retrospect) and select RetroEventHandler.bat. Select the scheduled task time and interval, then enter your user name and password. Next, select "Open advanced properties for this task when I click Finish." Click Finish. In the task properties window, edit the Run field to read:

cmd /c RetroEventHandler.bat ATsendBUSReport

(Note the space between each command parameter.) Leave the Start in field set to the path of the Retrospect program folder.

The Schedule service must be active for Email Notifier to work. Open Services from Start4Settings4Control Panel. Select the Schedule service and click the Startup button. Select Automatic and click OK.

Scheduling tasks with Windows NT is done with a command line. Open Command Prompt from Start4Programs. Enter the following command:

AT 12:00PM /every:m,t,w,th,f,s,su "C:\Program Files\Dantz\Retrospect\RetroEventHandler.bat" ATsendBUSReport "C:\Progra~1\Dantz\Retros~1"

(Note the space between each command parameter.) The first pathname between the quotes is to the Retrospect event handler batch file in the Retrospect folder. The second pathname between the quotes is the path to the same folder, less the filename, but using short names only.

Replace 12:00PM with the time at which you want the Backup Report emailed. Replace m,t,w,th,f,s,su with the days of the week you want it mailed.

For more information about the AT command options, enter the following command:

AT /?

Useful External Scripts

The External Scripts folder includes some working scripts you may find useful. To use one of these, copy it from its folder to the Retrospect program folder.

Quit Exchange

Lotus Domino Server Application

Lotus Domino Server Service

Email Notifier

Configuring Email Notifier

Scheduling Email Notification

Scheduling Emailing Under Windows 98/Me

Scheduling Emailing Under Windows 2000/XP

Scheduling Emailing Under Windows NT


Additional External Scripts

As they become available, Dantz will add new and improved scripts to the Dantz Web site at www.dantz.com/extras.

If you create powerful scripts of your own or modify the supplied scripts to improve them, Dantz would love to hear about it. For more information, visit the Dantz Web site at www.dantz.com.


Troubleshooting

Most problems encountered while using Retrospect fall into a few general categories. Dantz Technical Support follows some basic troubleshooting procedures for each of these categories. With a little effort, you can learn how to troubleshoot many problems on your own. This section outlines those procedures and shows you the most common problems and their treatments.

We recommend that you keep notes of your troubleshooting efforts. Even if you are unable to resolve a problem right away, your notes can establish a pattern of behavior to help us understand the problem. If, after reading this section, you find you are still unable to solve a problem, try using some of the other Retrospect support resources.


Troubleshooting Road Map

The first step in troubleshooting a problem is to isolate the problem by identifying exactly when and where it occurs. Knowing when an error occurs gives you a fixed point of reference to help you solve a problem. Retrospect has different phases of operation. For example, a backup typically includes scanning, matching, copying, and verification phases in that order. If you can determine the problem happens while matching, you are on your way toward solving it. The situations described over the next several topics are listed in the likely order in which they would occur.


Client Configuration Issues

A client in the local subnet or in another Retrospect-configured subnet does not appear in Retrospect's live network window, or appears intermittently.

Use the Test button in the live network window to see if the client is on the network.

Open the Retrospect Client control panel on the client computer and check whether the client software was loaded at startup and whether it is turned on. (If the client software was not loaded, refer to Windows or Macintosh client control panel errors.) Check that its status field says "Ready" or "Waiting for first access." If it is a Mac OS client check that it is actually a TCP/IP client and that it does not say "AppleTalk" next to its version number.

Make sure the client computer is connected to the network and its network settings are correct.

Should these measures not work, try testing and pinging. If the backup computer and client ping successfully yet the client still does not appear, your network may not fully support TCP/IP and UDP. Passive networking hardware, such as hubs and bridges, may not forward network information Retrospect needs to work with TCP/IP clients, Retrospect's advanced networking (available with Retrospect Single Server and Retrospect Multi Server) lets you directly add a client by its DNS name, WINS name, or IP Address and may skirt around the problems and let you work with a client.

After taking the appropriate measure you may log in the client.

If the backup computer has more than one Ethernet card, that might also be the source of the problem. See "Troubleshooting multiple Ethernet cards on a Retrospect Client running Windows" in the Dantz Knowledgebase for more information.

A client outside the local subnet does not appear in Retrospect's live network window.

The live network window shows only clients Retrospect found in a specific network with a specific way of searching for clients.

Retrospect Professional can only access clients connected to the backup computer's local subnet. Retrospect Single Server and Retrospect Multi Server can access clients directly anywhere on the network by using an IP address, DNS name, or WINS name. It can also access clients on any network segment you define.

If the backup computer has more than one Ethernet card, that might also be the source of the problem. See "Troubleshooting multiple Ethernet cards on a Retrospect Client running Windows" in the Dantz Knowledgebase for more information.

The advanced networking direct access method fails to connect with the client at the specified IP address or name.

Make sure the client computer is connected to the network and its network settings are correct.

Open the Retrospect Client control panel on the client computer and check whether the client software was loaded at startup and whether it is turned on. (If the client software was not loaded, refer to Windows or Macintosh client control panel errors.) Check that its status field says "Ready" or "Waiting for first access."

Make sure the IP address you are using is current. If the client is using dynamic IP addressing its IP address may have changed. It is not a good idea to directly add a dynamic address unless it has a long-term lease. Use the subnet broadcast access method instead.

If you are using the client's DNS or WINS name, try using its IP address.

Use the Test button in the live network window to see if the client is on the network.

Ping the computers to check whether they are correctly communicating with TCP/IP.

There may be a firewall between the client's network and the backup computer's network, restricting outside access. Contact the network administrator.

The advanced networking direct access method added the wrong client.

Make sure the IP address you are using is current. If the client is using dynamic IP addressing (for example, DHCP), its IP address may have changed. Use the subnet broadcast access method instead. Also see the Common Questions topic.


Backup Issues

Immediate backups and scripted backups differ in the way they are started and end. Otherwise, both follow the same procedure after starting: scanning, matching, requesting media, copying, comparing, and then closing.

Retrospect fails to automatically launch to execute a scheduled script.

There are a few reasons why this can happen:

  • Confusion About Start Date—The date you expect a script to run may not be its actual start date.

  • Incorrectly Scheduled Script—Check the list of future scripted operations to confirm that Retrospect has the same schedule you expect your scripts to run. To do this, click Automate4Preview. Check that you have not set a limited schedule of possible execution times with the Schedule preference.

  • Autolaunch Preference Not On—Check that the unattended execution preference "Automatically launch Retrospect" is turned on.

Retrospect crashes while it is being launched.

The config60.dat file may be damaged. Move it out of the Retrospect folder. If this solves the problem, place that suspect configuration file in the recycle bin. (Retrospect creates a new configuration file using the default settings.) If you do not want to recreate your scripts and settings and log in clients again, you can rename the config60.bak file to config60.dat, or restore a recent version of the config60.dat file from a backup.

The config60.dat and config60.bak files can be found either in the same folder as the Retrospect application, or in ../Documents and Settings/All Users/Application Data/Retrospect.

Windows NT reports a registry quota alert.

Take the following steps to increase the registry size.

  1. Open the System control panel.

  2. Click the Performance tab.

  3. Click the Change button for Virtual Memory.

  4. Change the maximum registry size to something higher, typically double the current value.

Retrospect reports an error during scanning or matching.

There may be a problem with the volume being scanned. In this case, Retrospect reports a specific error in the operations log. Look up the error number.

A removable cartridge drive does not appear in the storage devices window or media request window.

Removable disks (such as Zip, Jaz, SuperDisk, DVD-RAM, or MO) must be accessible from the Windows Explorer.

A tape drive or recordable disc drive does not appear in the storage devices window or media request window.

Go to Configure4Devices and click the Environment tab. If the driver name listed for your device does not appear in boldface, some other software loaded a driver inappropriately, keeping Retrospect from using its own driver. Determine which other device driver is loading and disable it.

All devices should be connected before launching Retrospect. Verify the drive is properly connected and terminated then make sure it is turned on. If other devices on the communications bus are off, turn them on and restart. Use Retrospect's Environment tab (from Configure4Devices) to review your ID settings. For a SCSI device, verify it has a unique SCSI ID number.

Under Windows 98/Me, make sure ASPI is installed. Run the ASPI check utility from the Retrospect folder. If it reports ASPI is not fully installed on your computer, run the ASPI installer from the Retrospect folder.

On Windows NT, 2000, and XP systems, Retrospect uses NT Passthrough by default to access devices. When using ASPI instead, if the ATAPI miniport driver is disabled Retrospect will not see the ATAPI bus. You must enable the miniport driver by editing the registry key at the path:

\\HKEY_LOCAL_MACHINE\SYSTEM\

CurrentControlSet\Services\Aspi32\Parameters

Set the ExcludeMiniports value data to empty so Retrospect sees all buses.

If you have a new drive model, it may not be supported by the version of Retrospect you are using. To find out if a newer version of Retrospect is required for this drive, check www.dantz.com.

Retrospect reports "the drive can't be used because no drive letter is assigned" for a recordable disc drive that has an assigned drive letter.

Under Windows NT, 2000, or XP, if the ATAPI miniport driver is disabled Retrospect reports the recordable disc drive does not have an assigned drive letter.

You must enable the miniport driver by editing the registry key at the path:

\\HKEY_LOCAL_MACHINE\SYSTEM\

CurrentControlSet\Services\Aspi32\Parameters

Set the ExcludeMiniports value data to empty so Retrospect sees all buses.

Retrospect can't use the inserted disk or tape because it is "busy."

There are several possible causes.

  • You saved the disk Backup Set Catalog File on a disk that is a Backup Set member. Catalogs must be saved on different volumes. Move the Catalog File to your hard disk and drag it on top of the Retrospect application icon to force Retrospect to recognize it.

  • You are using the disk as both a source and destination, which is not allowed. For example, you are trying to back up the "2-Dunsinane" volume to the "Dunsinane Backup Set," of which "2-Dunsinane" is a member.

  • Some other software may be creating or using files (which may be invisible) on your backup disk. Likely suspects are compression programs; see the latest "read me" file for conflicts and workarounds.

  • The drive may be malfunctioning. Contact the drive vendor for assistance.

  • The tape, disk, or recordable disc may be damaged. Designate it as missing and use a new medium.

Retrospect refuses to use the inserted tape, recordable disc, or disk.

Retrospect has a system for recognizing tapes, recordable discs, and disks and for adding them to Backup Sets. If Retrospect is not automatically using the tape or disk you think it should, carefully read the text that appears in the medium request window. It explains what media Retrospect needs.

You may not have inserted the exact tape, recordable disc, or disk required by Retrospect. Check that the name of the medium you are inserting exactly matches the requested name. If the name is the same and Retrospect does not proceed with the operation when you insert the medium, you probably have two pieces of media with the same name and are inserting the wrong one. This can happen if you switch tapes, recordable discs, or disks when you perform a recycle backup to a particular Backup Set.

Retrospect may require new media. Insert the medium you want Retrospect to use, wait for it to appear in the window, and then click Proceed. Retrospect will not use media that is part of a known Backup Set, as detailed below. It will automatically use any media that is erased or correctly named.

Retrospect asks for a new recordable disc, disk, or tape, but then complains "You can't use ‘1-Birnam Wood’, it already belongs to a Backup Set!"

This is a feature designed to prevent accidental erasure. If you are sure you want to erase this tape, disk, or recordable disc and use it for the current backup, click [image], and then click Proceed if necessary. Erasing the medium removes the entry for this disk, tape, or, recordable disc from the Backup Set it previously belonged to.

Retrospect asks for a particular disk or tape, but then reports ‘"2-Dunsinane’ is not a member of this Backup Set. Although it is named correctly, it has a different creation date."

This means you have more than one disk or tape with the same name. This can happen if you run a recycle backup to new media and later try to do a normal backup with older recordable discs, tapes, or disks. If possible, locate the proper disk, recordable disc, or tape for the restore.

Try other disks, recordable discs, or tapes to see if any match the Catalog File you are using.

If you are sure this disk, recordable disc, or tape has the files you want, rebuild its Catalog File. Choose Tools4Repair Catalog, and select the appropriate repair function to recreate the Catalog File .

Retrospect asks for a particular disk, recordable disc, or tape, but you do not have it.

If you know where it is, but it is not available right now and you must back up, follow these instructions. Click Choices, and then click Skip. Retrospect treats the requested member as if it were full and backs up progressively to a new piece of media. Files previously backed up to the requested member are not backed up again. Future backups will require the new member and you will need to use both members later if you need to restore.

Once you choose Skip, you will not be able to take advantage of the remaining free space (if any) on the skipped member.

If you know it is lost, damaged, or erased, follow these instructions. If this is the first member of the Backup Set, it is easiest to start a new media Backup Set or run a recycle backup to this Backup Set. Either way, Retrospect asks for a new disk, recordable disc, or tape, which becomes the new first Backup Set member. If this is not the first member and you wish to continue backing up progressively to the members you do have, click Choices, and then click Missing. Retrospect starts backing up to a new tape, disk, or recordable disc. Files that were backed up to the missing member will be backed up again, if possible, during your next Progressive Backup.

Retrospect reports a Catalog File out of sync error at start of backup.

Update your Catalog File from the media.

Retrospect reports a chunk checksum error.

If the error occurs only with a particular Backup Set, repair its Catalog File and try again.

Retrospect reports verification errors.

If Retrospect reports "different modify date/time…" for a particular file, the most likely explanation is that the file was modified during the backup. In this case, no action is required. When you next back up, Retrospect will recopy the file.

Errors such as "File … didn't compare at offset…" usually indicate a problem with the communications bus (for example, SCSI or ATAPI). Back up again to re-copy the file.

Note, however, that these "offset" error messages usually point to serious data corruption problems you should not ignore. If the error occurs with many or all sources, including clients, or with a source connected to the backup computer itself, troubleshoot its communications bus. If the error occurs only on a particular source being backed up over the network, troubleshoot the communications bus of that computer and possibly the network connection to that computer. (See SCSI Issues and Troubleshooting Networks.) Consider using diagnostic software on affected volumes.

When it has finished executing an operation, Retrospect does not quit, log off, restart, or shut down according to the Unattended preference.

Retrospect quits, logs off, restarts, or shuts down when it finishes only if it is executing an operation in unattended mode and no additional operations are scheduled within the look-ahead period. Retrospect automatically enters interactive mode when you start an immediate operation and unattended mode when you start a script. While Retrospect is copying, use the Control menu to switch between modes.

A Macintosh client does not shut down after the backup.

Retrospect shuts down Macintosh client computers when all four of the following conditions are met.

  • The client is running Mac OS 9.x or prior

  • The Shutdown when done option is enabled in the client options of your script (this is the default)

  • The client is displaying the "waiting for backup" dialog

  • The client is not scheduled for another backup within the look-ahead period

Retrospect is not backing up a particular client volume.

Check that your backup script includes the volume as a source.

Make sure the client volume is not designated as private.

Make sure the client's volume is mounted for use with the client computer. (Under Mac OS, the volume icon is on the Desktop; under Windows, the drive letter is accessible.)

Use the client container as the source, rather than specific client volumes, to select all volumes connected to the client. Then go to Configure4Clients, get the properties of the client in question, click the properties window's Volumes tab, and choose Client Desktop.

The client crashes during the backup.

Failing network hardware, a virus, or a software conflict may be causing the client to crash. Use diagnostic utilities to look for viruses and hard disk problems. If it is a Mac OS 9.x or prior client, refer to the system extensions troubleshooting techniques. Use the latest network software which matches your network hardware.


Proactive Client Backup Issues

Proactive Client Backup is only available if you have the appropriate license code. Click Configure4Licenses to view your current licenses or purchase new ones.

Proactive Client Backup indicates "media," but there is a medium in the drive.

Proactive Client Backup is reporting it needs a specific media member to back up a source. To determine which Backup Set needs more media, click the Backup Sets tab in the Proactive Client Backup status window and look for any Backup Set with a status showing "media."

If you have never backed up to the Backup Set that needs media, Retrospect accepts any new or erased medium. Stop the Proactive Client Backup, use Configure4Devices to erase the recordable disc, disk, or tape you want to use, then start the Proactive Client Backup again.

If you still cannot determine why Proactive Client Backup isn't accepting your medium, start a backup to that Backup Set using Backup4Backup. Retrospect displays a window naming the medium being requested.

Retrospect does not quit when Proactive Client Backup completes its backups.

Proactive Client Backup is optimized to run continuously. If you have other kinds of scripts, they will start at their scheduled times even though Proactive Client Backup is still running.

If you schedule the Proactive Client Backup to run only part of the time (for example, from 7:00 a.m. until 7:00 p.m. each day), you can quit Retrospect after the Stop time without affecting the Proactive Client Backup. Retrospect will automatically launch when the next script is scheduled to start.

The Retrospect Client control panel's Proactive Client Backup Schedule was set to "As soon as possible" but the client was not immediately backed up.

The "As soon as possible" preference waits for the Proactive Client Backup to poll the client; the client does not initiate contact itself. Meanwhile, Proactive Client Backup may be busy backing up other sources or polling other clients; it may even be inactive, according to its schedule. When Retrospect does poll the client set to ASAP, it backs it up.


Restore Issues

When you start a restore, you first select the Backup Set from which you are restoring. Retrospect then goes through the following stages: selecting a volume (specifying where the files are going), matching or selecting files, requesting media, copying, and setting privileges if necessary.

You have problems selecting a Backup Set.

If your Backup Set is not in the list, click More. Click Open if the Catalog File for your Backup Set is available, or click Recreate to rebuild it from the media.

If Retrospect reports a chunk checksum error after selecting a backup set, see –641 (chunk checksum didn't match).

You have a recordable disc, disk, or tape that you want to restore from, but you do not see its Backup Set in the selection window.

Use Windows Explorer to look for the Backup Set Catalog File on your hard drive. It will have the same name as the recordable disc, disk, or tape in Retrospect's storage devices window. For example, if a tape is named "1-Macduff" look for a Catalog File named "Macduff". Double-click the Catalog File to show Retrospect where it is.

If you cannot find the Catalog File on your hard drive, go to Tools4Repair Catalog, and select the appropriate function to recreate it.

You cannot find the files you want to restore.

If you are using "Restore files from a backup," be sure the Snapshot you select is for the right volume. By default, the files chosen preview browser shows your files and folders in alphabetical order, organized as they were on the backed-up hard disk. Once you find the file you want, double-click it to mark it for retrieval. If you cannot find your file, choose Find from the Edit menu to search by name or other attributes. A file with a poof icon indicates the file is on a missing member of the Backup Set.

If you are restoring older versions of files, use Restore4Find Files. Tell Retrospect to look for a particular file or folder name, and if necessary click More Choices to use Retrospect's Selector interface for finding files.

While retrieving an older Snapshot from media, Retrospect says no Snapshot is available.

There are two possible causes, which follow.

  • You turned off the Save Source Snapshots for Restore option.

  • You cancelled the backup before it was completed. Retrospect does not save a Snapshot for a volume until the backup is finished.

Retrospect refuses to use the inserted tape, recordable disc, or disk, reporting it is named correctly but has a different creation date.

This means that you have more than one recordable disc, disk, or tape with the same name. This can happen if you run a recycle backup to new media and then try to restore with older tapes, recordable discs, or disks. If possible, locate the proper medium for the restore.

Try other media to see if any match the Catalog File you are using.

If you are sure this recordable disc, disk, or tape has the files you want, rebuild its Catalog File. Click Tools4Repair Catalog, and select the appropriate repair function to recreate the Catalog File.

Retrospect reports the disk is full while copying during restore.

The volume you are restoring to does not have enough space for the files you are restoring. You will need to manage your disk space by moving or deleting files, or avoid the problem by marking fewer files to restore. If you are restoring a volume that was using a compression utility, you may need to restore your files in batches and use your compression utility between restores to make room for the next batch of files.

After restoring, NTFS security permissions are not set.

You must restore by Snapshot and leave the option to restore security information on.

After restoring, Mac OS file sharing privileges are not set.

Retrospect will only set the privileges for file sharing and AppleShare while sharing is active. (Note that sharing also had to be on during backup.) Turn on sharing and restore again.

After restoring a Macintosh OS 9.x or prior client, documents have generic icons in the Finder.

The Macintosh Desktop needs to be updated after a large restore. Restart the Macintosh while holding down the Command and Option keys to rebuild the Desktop.

After restoring a backup to a new Macintosh hard disk, the volume icon on the Finder Desktop is no longer custom. It is now generic.

Restart the computer.

After restoring, Subvolume definitions for a Macintosh client are wrong.

Subvolume definitions may be re-identified following an operation restoring a large number of folders. The Subvolumes may have incorrect names (because they were reassociated with incorrect folders) in Retrospect's volume selection window and browsers. The cause has to do with the invisible directory identification numbers of folders.

To prevent this rare problem from occurring, erase or format the destination volume before you use Retrospect's "restore entire volume" feature. To avoid Subvolume confusion, check the names and accuracy of all Subvolumes after any large restore operation (such as restoring an entire volume). You will have to re-define each Subvolume on a volume after a full volume restore.

You can't retrieve or restore data to a client.

Take the following steps:

  1. Attempt to access the client. From the client database, select the client and click Properties from the toolbar. Click the Refresh button to check whether Retrospect can connect to the client.

  2. Go to Configure4Volumes, select the volume to which you wish to restore data, and click Properties from the toolbar. Make sure the volume has enough free space to accommodate the files you want to restore, and that there is no lock symbol on the Attributes line. (If there is no Attributes line it is not locked.)

If you are sure that the volume to which you are restoring data is both unlocked and has free space but you still experience difficulty restoring, refer to the Restoring and Disaster Recovery section of this online help for general assistance.


FireWire and USB Device Troubleshooting

Hardware issues

  • Isolate the device. Another device on the chain may be interfering with the backup device's communication. If your backup device is connected to your computer through a hub or another FireWire/USB device, unplug it and connect it directly to a port on the computer. If it is already connected directly to the computer, try changing ports. If the problem persists, do not reconnect the other devices, and continue down the checklist.

  • You may have a bad cable. Replace the cable that connects the device to the computer.

  • The system board or FireWire/USB adapter in the computer may be having a problem. Install Retrospect on another computer, if available, and try the device there as the only device.

Media issues

  • Try a new piece of media to see if the problem is related to a faulty or damaged medium. If applicable, try using a different brand of media. Often drives are picky regarding the brand of media. Follow the manufacturer's recommended list of brands.

  • If you are using a tape drive, clean the heads with a cleaning cartridge.

Windows 98 issues

  • Microsoft has made dramatic improvements to USB and FireWire (1394) support with Windows 98 Second Edition. If you are experiencing media failures, communication errors or other device problems during backup, consider upgrading your version of Windows 98. Windows 98 Service Pack 1 is better then the original Windows 98. SP 1 is a free upgrade from Microsoft. Windows 98 Second Edition is better then Service Pack 1 but is a paid upgrade from Microsoft.

  • We also recommend installing the Windows 98 Second Edition 1394 Storage Supplement.

Firmware/software issues

  • Check to make sure you have the latest USB or FireWire firmware update for your computer. Hardware vendors often release firmware updates that may help to resolve USB or FireWire issues. Search the vendor web site for Updates. Retrospect lists the current firmware of the drive that you are using in the version column of the Device Status (or Environment) window (accessible from Configure -> Devices). If there is a known problem with a firmware version, this will be listed on the Dantz website.

  • Update or reinstall the FireWire adapter drivers and/or firmware. Corrupt drivers can cause issues that may not be otherwise detectable. Check the manufacturer's or vendor's website for updated drivers.

  • Completely uninstall any other third-party backup software that may be on your machine, including any drivers that software may have loaded for the device.

If you have investigated all of the issues listed above and still get failures, then the backup device itself may be defective. Contact your drive vendor for further diagnostics, tests, or to inquire about repair or replacement.


SCSI Issues

If the SCSI chain is not set up properly, communication errors may cause data corruption or system failures during copy operations. Use the following information to troubleshoot SCSI problems. (You should also consult your SCSI card's user's guide, and the manual that came with your hardware device.)

These sample errors can indicate communication errors on a SCSI bus:

  • File "Tech Note" didn't compare at offset 3,253

  • Trouble reading: "1-Office Backup 2" (0), error –102 (trouble communicating)

  • Trouble writing: "1-Macbeth" (0), error –205 (lost access to storage medium)

These errors can usually be traced to a failure in the SCSI configuration, whether it is termination, a particular device, cabling, or device order. The most common cause of SCSI bus communication problems is improper termination or bad SCSI cables. Try changing terminators, using a powered terminator, changing cables, isolating the device on the SCSI chain, and moving the device to a different computer. If it is a tape drive, clean its heads and try different kinds of tapes.


Termination

The general rule for termination is to use only two terminators on the SCSI bus; one at the beginning and one at the end. If you have only a single device on the SCSI bus, then only one terminator is needed because your SCSI card should have built-in termination. Some SCSI peripherals come with internal termination built in, and must be placed at the end of a SCSI chain.

Consult your hardware's user guide for its specific termination requirements.


SCSI Cables

Communication problems can be caused by bad or loose-fitting SCSI cables. Check all cables to ensure they are properly seated in each connector. The entire length of your SCSI bus should not exceed 20 feet. Whenever possible, try to use short (12 to 36 inches) cables and avoid cables over six feet in length.


Device Order and Device Conflicts

To avoid problems caused by device order or device conflicts, make sure that each device has a unique SCSI address. To see the SCSI address of every device, click Configure4Devices. Then click the Environment tab to view all of your devices. You may print this window for future reference. If problems occur (for example, a device does not appear that you know is turned on and connected), try changing the order of SCSI devices or temporarily removing unneeded devices. Recheck that each device has a unique SCSI ID.

Some devices, such as scanners and disk drives, can cause communication failures on the SCSI bus, especially if they are turned off. If you are experiencing SCSI communication problems, make sure all of your SCSI devices are turned on when you use your computer. Even if you are not experiencing SCSI problems, we highly recommend you turn on all SCSI peripherals before starting the computer. Do not turn them off until after you shut down the computer.


Unresolved SCSI Problems

If everything is properly set on the SCSI chain, there is still the unpredictability of "SCSI voodoo," the cause of problems which theoretically should not occur because the "rules" of SCSI are being followed. SCSI voodoo may require you to rearrange the devices on the chain, change the termination, assign new IDs, or replace SCSI cables. (Short cables cause less problems than long ones.) In theory, SCSI has well-defined rules and expected results, but in practice SCSI sometimes is an inexact science.


Testing and Pinging to Verify TCP/IP Communication

Use the Test button in the live network window to see if Retrospect can connect to a computer on the network via TCP/IP and communicate with the client software. Click Test and enter an IP address, DNS name, or WINS name. If Retrospect reports error –541, it connected to the computer at that address but no client software responded. If it reports error –530, Retrospect could not even connect to the computer. Other errors may indicate network and TCP/IP configuration trouble and you should ping the backup computer and client computer from other computers to check whether they are communicating with TCP/IP.

Windows computers configured for TCP/IP have built-in ping commands. From a TCP/IP Windows computer on your network, go to the MS-DOS command prompt and type "ping" followed by a space and the IP address.

Mac OS 9.x and prior does not include a ping utility, but you can obtain a ping-capable utility from the Internet. Such utilities include iNetTools (www.wildpackets.com), IPNetMonitor (www.sustworks.com), Interarchy (www.interarchy.com), OTTool (www.neon.com), and WhatRoute (homepages.ihug.co.nz/~bryanc).

On Mac OS X, click the Ping tab on the Network Utility (located in /Applications/Utilities).

TCP/IP must be loaded when you ping a Mac OS computer. To ensure it is loaded, open the TCP/IP control panel, clear the Load Only When Needed check box (available only in Advanced and Administrator modes) and restart.

Using an IP pinging utility on the troublesome client computer, first ping the IP address of the backup computer. A reply tells you the pinged computer's TCP/IP setup is operational. If it times out or reports it as unreachable there is a problem with the TCP/IP setup, the network interface hardware, or the network itself.

If pinging the backup computer is successful, use it or another computer to ping the IP address of the troublesome client computer.

Successful pinging does not necessarily mean a client will appear in the live network window. See Client Configuration Issues for more information.


Selecting the Appropriate Network Driver

The backup computer and Windows client computers should be using 32-bit network drivers for best network performance and compatibility. Windows NT, 2000, and XP use 32-bit network drivers by default. For Windows 95/98/Me, open the Network control panel and select the computer's network interface adapter. Click Properties, select Enhanced Mode, and click OK. You may need to get updated software from your network adapter vendor.


Verifying Open Transport Version

To work with TCP/IP, Mac OS 9.x and prior, clients must have Open Transport version 1.1 or later. Each computer's TCP/IP control panel should be set to always load.

Mac OS X clients do not require Open transport.


Troubleshooting Networks

When you have network problems with Retrospect or clients, start by identifying a pattern of failure. If the problem occurs on a single client, begin your troubleshooting by examining that particular computer. If the problem occurs on multiple client computers, find out if those computers share a common hub, router, bridge, or gateway. You may be able to identify a faulty network component that should be repaired or replaced. If you encounter failures on multiple client computers but cannot identify a pattern, troubleshoot the networking hardware on the backup computer.


Troubleshooting Mac OS Clients

When troubleshooting an individual Macintosh, the first step is to determine whether the problem lies with the Macintosh's software or its network hardware. The following information describes how to troubleshoot Mac OS 9.x and prior clients.

For detailed information on troubleshooting Mac OS X clients, read "I can't see an OS X client on my network. What can I do?" in the Dantz Web site Knowledgebase. From within Retrospect, choose Help>Online Knowledgebase.

Start by limiting extensions and control panels on the client Macintosh to the Retrospect Client control panel, needed networking software, and minimal default Apple system software. Do this with the Extensions Manager.

If the client continues to experience the problem, there may be an incompatibility with networking software. If the client has a third party networking card, update to the latest version of its software. If the client uses its built-in Ethernet, get the latest version of Apple's network software installer or Open Transport, available from the Apple Software Update Web site.

If the client continues to experience the problem, exchange the network hardware with that of another client Macintosh. Whether it uses built-in Ethernet or an Ethernet adapter card, it is sufficient to exchange all components external to the Macintosh. If the Macintosh has an internal network card, you will need to exchange the card as well. Make sure to exchange the cables along with the other components. After exchanging the network hardware, try an operation with both clients. If the error moves to the other client, then the problem lies in the network hardware.

If the problems persist after minimizing extensions and exchanging network hardware, performing a clean installation of the System software.


Client Setup Questions

How do I find out the IP address of a client so I can access it directly?

It depends on the operating system and how the client computer is configured. If the client has a static IP address you can use it with the direct access method. However, if the client automatically obtains a dynamic IP address from a DHCP server you probably should not be using the direct access method. Dynamic IP addresses may change later and Retrospect may find a different machine at that address if you directly added a dynamic IP address. You should use multicast or subnet broadcast instead.

Here's how to determine a computer's IP address and whether it is static or dynamic.

Mac OS

Open the TCP/IP control panel (OS 9.x or prior) or Network preferences (Mac OS X) on the client. It shows the IP Address the computer is currently using. Above the IP address is the Configure pop-up menu. If it shows "Using DHCP Server," it is a dynamic address. If it shows "manually," it is a static address.

Windows 95/98/Me

From the Run dialog or the DOS prompt, enter WinIPcfg, which shows some configuration information in a window. Click More Info to see the full configuration.

Windows NT, 2000, and XP

Open the DOS prompt and enter IPconfig -All, which lists the full IP configuration.

All Windows Systems

The IP configuration information shows the IP address the computer is currently using. It shows whether the computer is using a DHCP server and, if so, shows the lease dates of the automatically obtained IP address. If it does not show DHCP server and lease information, the IP address was specified manually (that is, it is static).


Client Configuration Questions

How do I change the name of a client?

The client is named when it is first accessed from the backup computer.

If a client has already been logged in and you want to change its name, go to Configure4Clients, double-click the client to be renamed, then click the Tools tab in the client properties window. Click [image] and enter a new name.

The name change doesn't affect previously backed up files—they are still stored under the old client name. New files and Snapshots are stored under the new name.

How do I log in a client when I forgot its password?

You must uninstall the client and install new client software with a new password.

How can I get back a client volume after accidentally using Forget?

If you forget a client's volume, you can put it back into Retrospect's volume lists by configuring the client. Remember to add the volume to the appropriate scripts, if necessary.


Backup Questions

How do I back up to a hard disk drive?

Use a disk Backup Set or a file Backup Set on the hard disk.

How do I back up a Snap Server or other NAS? How do I use it as a backup device?

Retrospect works with a Network Attached Storage (NAS) device the same way it works with any other network volume.

To back up a NAS device, mount the share point on the backup computer then make it a backup source volume in your script or immediate backup.

To use a NAS device as a backup storage destination, create a file Backup Set and save it on the mounted NAS volume, or use a disks Backup Set and select the NAS volume as its media.

How do I back up only files which have changed?

Retrospect does this automatically. The first time you back up, Retrospect copies all selected files. On subsequent normal backups, it copies only the selected files which are new or changed.

How do I specify complete or progressive backups?

Specify the backup action: recycle, normal (progressive), or new media. Do this when executing an immediate backup, by changing the backup execution options. Do this when running a script by selecting an item from the manual execution dialog's list. Do this beforehand when scheduling a script. Finally, you can do this by configuring the Backup Set and using Retrospect's media control feature.

How do I back up multiple volumes to the same medium?

Use the same destination Backup Set. To back them up at the same time, select each volume you want to back up in the volume selection window. You can make a non-contiguous selection using the Control key or select a range of volumes using the Shift key. When you execute the backup, Retrospect backs up each of the selected volumes, one after another.

You can later do normal backups of other volumes to the same Backup Set and Retrospect will add them to the medium until it is filled.

How do I quickly start a backup?

First create a script in Retrospect and save a run document from it. Use the run document to start that script directly from the Windows Explorer.

How do I include or exclude files with particular attributes?

You can specify which files Retrospect backs up by using selectors. These allow you to include or exclude files by their size, kind, dates, and many other attributes.


Network Backup Questions

How do I see what was backed up last night? How can I tell if everyone has been backed up by the Proactive Client Backup?

The Backup Report shows a summary of the backup operations for each volume.

The Operations Log shows by date and time which volumes were backed up, how much data was copied, and whether the backup completed successfully. The log also lists any errors that occurred.

To view files backed up during the most recent backup, click Reports4Session Contents. Select the appropriate Backup Set from the top list in the contents report window, select one or more sessions from the bottom list, and click Browse. A browser lists the files in the order they were backed up.

To see all files on a particular volume at the time of a given backup, get the Backup Set properties and view the Snapshots tab.

Can more than one backup computer run on the same network at the same time?

Yes, you can run multiple backup computers at the same time on the same network with no problems, though when they transfer data at the same time both backups will probably slow. If you run backups in different physical network segments, traffic on one segment will not affect other segments.

I want to make a computer on a different network segment the backup computer. What should I do?

Move to a new backup computer.

How can I use multiple network cards on the backup computer?

Proactive Client Backup allows you to access all clients from multiple subnets without crossing your network backbone. Connect each network interface card to a separate network segment and use Retrospect's advanced networking features to configure a separate interface for each card/subnet combination.

What is Retrospect's network port number?

Retrospect uses a well-known port, 497, assigned by the Internet Assigned Number Authority (IANA), for both TCP and UDP.

How many client computers can I back up from a single backup computer?

There is no fixed limit to the number of clients you can access from one backup computer. It is not a question of numbers, but more a question of resources. You can back up more clients with a faster backup computer, a faster backup device with higher capacity media, and simply more time to do the backups.

If the backup computer is not completing backups in its scheduled time periods or if you want volumes to be backed up more often than they are, you may need a faster backup computer or a faster backup device, if not both. You may find helpful information under Managing Resources.

Why do my network backups take so long?

For a discussion of backup performance, including guidelines for estimating your backup speed, see Network Backup Guidelines, and Choosing the Backup Computer. If you notice that your backups have suddenly become much slower, or if one particular client backs up more slowly than others with a similar configuration, you may be experiencing a problem. Potential problems may lie with the following:

  • The amount of activity on the backup and client computers during the backup.

Other applications (anti-virus software, for example) running on either computer draw processing power away from Retrospect. Try a backup with Retrospect as the only application running on the backup computer for optimal performance.

  • The amount of data being copied.

Recycle backups tend to show higher performance figures than Progressive Backups. For each backup, Retrospect must spend time examining the entire volume to determine which files need to be backed up, regardless of the amount of data that needs to be backed up. The ratio of this overhead time to total backup time will be higher for a small amount of data (Progressive Backup), as compared to a large amount of data (for a recycle backup or when an empty Backup Set is first used in a normal backup). Backups of small amounts of data may therefore report slower performance times than backups of large amounts. This table shows actual data from several backups. Performance figures for the recycle backup are much higher than for subsequent backups of the same client due to the lower proportion of overhead time to the amount of data actually backed up.

  • The total number of sessions for which a Backup Set has been used.

The greater the number of sessions created, the longer Retrospect takes to match sessions to determine what files need to be backed up. Periodically resetting your Backup Set with a recycle backup or adding new media to your rotation using a new media backup will limit the number of sessions in your Backup Set, thereby speeding up both your backup and restore operations.

  • File sharing.

File sharing slows copying on both clients and the backup computer. Turning off file sharing when it is not needed can help optimize network performance.

  • Backing up across network segments.

The backup computer and a client may reside on two physically different networks connected by a bridge or router that may slow the progress of data from one machine to the other. Backup performance may also suffer if the two networks vary greatly in terms of their relative network activity or performance. You can confirm the speed of the connection between the backup computer and the client by getting properties from Configure4Clients. If the echo time seems higher than under normal circumstances (for example, consistently above 0.3) or the KB/second performance figure seems lower than normal, a network problem may be affecting your backup speed. Get properties to view the performance figures for various client computers and compare them to determine current levels of network performance.

  • The performance of the backup and/or client computer.

Problems with either machine affect the speed of your backup. Specifically, you should check for hard drive fragmentation, problems on the SCSI bus, and network problems.

  • The speed of the backup computer.

Different computer models feature various central processing units with various clock rates (for instance, a relatively slow Pentium or a relatively fast Pentium III) that determine how quickly they perform tasks. The performance of similar CPUs also varies based on their clock cycles (as expressed in megahertz). Finally, the speed of the SCSI bus varies among the different expansion cards, influencing how fast each computer can transfer data across its SCSI bus. For optimal backup performance, assign a relatively fast computer to run Retrospect.

  • Using encryption or software compression.

If possible, avoid using encryption on the storage media or link encryption for client computers. Encryption requires additional processing power the backup computer would otherwise use to increase backup performance. Whenever possible, use hardware compression (if your tape drive includes hardware compression capabilities), since hardware compression works faster than software compression. Because backup speed influences tape capacity, hardware compression also allows more data to fit on a tape.

How do I determine a working speed threshold for the client execution option?

Get the properties of several different clients from the clients database window. For about a minute, observe the speed of each client.

Can Retrospect shut down a Windows client computer when it is done with its backup?

No. The Retrospect client software for Windows does not support software shutdown because most PCs must be turned off with a hardware switch.

Can I duplicate the system from one Windows computer to another?

No, because too much of a Windows computer's information is specific to that computer. Each card, peripheral, and software program requires specific settings which are unlikely to carry over from one PC to another, even if they were identical models and configurations.

Do I have to upgrade my clients to the latest version?

Dantz strongly recommends using the latest version of the Retrospect client software with the latest version of Retrospect.

How can I prevent the "waiting for backup" dialog from appearing on Macintosh clients on nights when no operation is scheduled?

The Retrospect Client control panel has no way of knowing when an operation is scheduled to occur, so it always waits at shutdown if this option is turned on in the Retrospect Client control panel preferences dialog. There are several ways to get around this if you do not perform operations every night.

Make a script using the No Files selector then schedule it to run on nights when no backups are scheduled. Retrospect shuts down the script's Macintosh sources.

Tell users which days they should click the Shut Down button in the "waiting for backup" dialog when they leave for the day.

Turn off the Wait at Shutdown preference in the Retrospect Client control panel on each user's Macintosh. Tell the users which nights to leave their Macintosh computers on. Remind them to turn down the monitor brightness or turn off its power to prevent screen burn-in.

Will Retrospect wake a sleeping PowerBook Mac OS client to back it up?

Retrospect cannot wake a PowerBook in sleep mode, but a PowerBook will not go to sleep while it is plugged in and AppleTalk is on.


Restore Questions

I thought I just restored some files. Where are they? Where did they go?

Look on the root level of your hard disk for a folder with the same name as the Backup Set from which you restored.

Does Retrospect restore empty folders?

Yes. Empty folders are restored when you do an immediate restore from a Snapshot using Restore4Entire Volume, and choose any item except Restore Just Files from the list of destination actions.

How do I restore empty folders without restoring the entire volume?

Click Restore4Entire Volume. Then select the source Backup Set and Snapshot. At the destination window, select your target volume and choose any restore method other than Retrieve Just Files.

In the files chosen browser, double-click either the root of the source volume or an entire enclosing folder which contains empty folders. Empty folders are highlighted but not marked. When you execute the restore, all the enclosed empty folders are restored. No other combination of restore types or file selection will restore any empty folders.

Be very careful when restoring. If you choose Restore Entire Volume or Replace Corresponding Files in the restore method list box, Retrospect will replace and/or delete files on the destination volume.

I backed up multiple volumes using a single backup script. How do I restore all of the volumes at once?

Create and schedule a restore script for the first Snapshot you wish to restore. Duplicate this script. Edit the copy of the first script, changing the source and destination to reflect the next Snapshot to restore. Repeat this process for each volume you wish to restore. Retrospect runs each script, one after the other, alphabetically by script name, starting at the time you specified.


Backup Set and Catalog File Questions

What if I forget my Catalog File?

If you forget a Backup Set Catalog File from within Retrospect, its file remains on your hard disk until you drag it to the recycle bin. If you have mistakenly told Retrospect to forget a Catalog File, you can open the Catalog from within Retrospect or from Windows Explorer. After forgetting a Catalog File, you must add the Backup Set to your scripts again because Retrospect removes them when you forget the Catalog.

What if I lose my Catalog File?

If you lose your Backup Set Catalog File (perhaps because it was deleted, corrupted, or lost), you can have Retrospect recreate the Catalog by scanning all the last member of the Backup Set. If the Fast Catalog File Rebuild option was turned off, Retrospect will need to scan all members of the Backup Set. If this is the case, it may take several hours to recreate a Catalog File if there is a large amount of data in the Backup Set.

Can I delete files from a Backup Set?

No, you cannot delete files from a Backup Set because most types of storage devices do not allow it. If you want to keep only selected files from a Backup Set, you can copy these files to a different Backup Set using Retrospect's Backup Set copy files operation.

Can I rename a Backup Set?

Retrospect has no facility for renaming Backup Sets but you can rename a file Backup Set in the Windows Explorer. (Other types of Backup Sets cannot be renamed.) Open the file Backup Set after you rename it to make Retrospect recognize the change.

Can I put more than one Backup Set on a tape, disk, or recordable disc?

You cannot have more than one Backup Set on a tape or recordable disc but you can have multiple file Backup Sets on a disk. When you add a medium to a backup set, Retrospect reserves the entire medium for that Backup Set.

You can, however, back up as many volumes as you want to a single Backup Set.

What is the best way to manage Catalog Files?

Catalog Files typically contain about 4 MB for each 10,000 files you back up. Keep your often-used Catalogs on your hard disk. If you have little available space on your hard disk, here are a few alternatives:

  • Store infrequently used Catalog Files on a file server

  • Archive old Catalog Files to their own Backup Set

  • Compress the Catalog Files

It's a good idea to duplicate Catalog Files in case they are damaged.

I back up by moving a tape drive from computer to computer. What is the best way to do this?

It is not necessary to create a separate Backup Set for each computer unless you plan to use a different tape for each workstation. If you use a single Backup Set for the computers, do not do a recycle backup of each workstation; use normal backup only, and new media backup when you need to rotate media.

After each backup, copy your Backup Set Catalog File to a server or removable disk and then, once you move to the next computer, copy the Catalog File to its hard disk. You may want to use Retrospect's Catalog compression option to keep the Catalog File as small as possible.

Alternatively, keep the Catalog File on a server accessible from each computer. This, though, assumes all of your computers are connected by a network, in which case you will save yourself a great deal of trouble by purchasing Retrospect Clients. For less than thirty dollars per client, Retrospect client software allows Retrospect to back up Windows and Mac OS computers over a network without moving the backup device.

What are the consequences of not saving Snapshots to save time and space?

Turning off the Save Source Snapshots For Restore option mainly makes it harder to view or restore a volume's folder hierarchy.

Without a Snapshot, you cannot:

  • restore a volume to its exact state as of a given backup, as you would after a crash, for example;

  • restore the Windows registry (necessary when restoring an entire volume);

  • restore NTFS security information;

  • restore empty folders;

  • browse a volume backup for restoring.

Should you need to restore files, you will have to use a selector (and/or browse "flat files" without hierarchy) to choose which files to restore—a time-consuming process.


Devices and Media Questions

Why are my DAT tapes filling up sooner than I expected?

Drives using the DDS-1 format support 60 or 90 meter tapes for an uncompressed data capacity of about 1.3 GB or 1.9 GB, respectively. Drives using the DDS-2 format support 120 meter tapes for an uncompressed data capacity of about 4 GB. Drives using the DDS-3 format support 125 meter tapes for an uncompressed data capacity of about 12 GB. Drives using the DDS-4 format support 150 meter tapes for an uncompressed data capacity of about 20 GB.

For typical everyday use, when your tape is full, it may store up to 30% less data than its ideal maximum capacity.

If you use a drive with hardware compression, you can effectively increase the capacity of your tapes. Your tape's actual capacity will depend largely upon how well the data you are copying compresses. Text compresses well, for example, but applications do not.

If you back up many small files or back up files over a network, your tape's actual capacity will also decrease.

Retrospect requests a new tape for one of three reasons:

• The tape drive reports the current tape is full.

• An error occurred while writing to the tape. Open the log to see if an error occurred.

• You selected Skip or Missing while configuring a Backup Set, or you are performing a new media backup.

How much space is left on my tape?

Retrospect estimates your tape's capacity to help you manage your backup. To view this estimate, click Configure4Backup Sets. Select your Backup Set and click [image]. The window that appears lists the estimated available space on that Backup Set's current member.

This estimate is only to help you gauge when Retrospect will request new media. Regardless of the estimated available space, Retrospect uses a member until the tape drive reports the tape is full.

Because many tape drives do not report a tape's capacity dynamically, Retrospect's estimate may be inaccurate. To change the estimate to match your tape's actual capacity (based on your own experience), see the Options tab under Configuring Backup Sets.

What do I do when I know my tape or disk is going to fill up during tonight's backup?

If you think there is not enough space for the next backup on the current tape or disk of your Backup Set, you can tell Retrospect to ask for a new one.

To skip to a new member, see the Options tab under Configuring Backup Sets. The next time Retrospect adds files to that Backup Set, it will ask for new media, in effect skipping over the blank space at the end of the current member.

If this situation arises frequently, consider using Retrospect's Automatic Skip to Blank Media preference. When this preference is on, Retrospect automatically uses any erased media if the current member is not available.

You might also consider purchasing a tape library, a backup device which holds a magazine of many tapes. When one tape fills, Retrospect uses an empty tape from the magazine.

When I try to erase a tape or disk Retrospect asks for the Catalog File, but I no longer have it. How can I erase the tape?

When you erase a disk or tape, Retrospect tries to remove the member's contents from the Catalog File for that Backup Set. If it is missing, Retrospect asks you for it. You need to tell Retrospect to forget the Catalog File because it is gone, which will then allow you to erase the tape. Go to Configure4Backup Sets and forget the Backup Set; then click Configure4Devices and erase your tape.

If I have two tape drives, will Retrospect use them both when performing unattended backups?

Yes it will if the devices are similar, with the same kind of mechanism. When it fills up a tape, Retrospect looks in any available drive for any tape that is new or erased, or has the correct name.

How do I start over at the beginning of the tape?

The only way to start at the beginning of a tape is to erase it. Insert the tape, and click Configure4Devices. The devices window that appears shows you the name of the tape. Select the tape and click [image].

Erasing a tape that is a member of a Backup Set erases the backed up files.

How do I recycle tapes from old Backup Sets?

To reuse a tape from a Backup Set that you no longer need, insert the tape, click Configure4Devices. Select the tape and click [image]. The next time Retrospect requests a new member for a backup set, it will automatically use this or any other erased tape in the backup device.

You should also remove the old Backup Set's Catalog File. Click Configure4Backup Sets. Select the old Backup Set and click [image]. Drag the old Backup Set Catalog File to the recycle bin.

How do I determine the name of a certain tape?

To view the name of a tape, click Configure4Devices. Retrospect scans for available tape devices. The storage devices window appears, listing each tape drive, its status and location, and the name of the inserted tape. Insert the tape if you have not done so.

Once you know the name of a tape, use a soft-tip pen and the manufacturer's adhesive labels to identify the tape cartridge.

Can I use my audio DAT deck for backup?

No.

Can I use audio DAT tapes in a DAT drive?

No. While audio-grade DAT tapes can be used in some computer DAT drives, we recommend data-grade media. Data-grade tapes must pass more stringent testing than audio-grade tapes. More recent computer DAT drives recognize only Media Recognition System (MRS) data-grade tapes.


Miscellaneous Questions

In summary windows and browsers, why do the file sizes reported by Retrospect differ from the Windows Explorer?

The discrepancy in size is due to the difference between any given file's logical size and its physical size. The logical size of a file is the actual number of bytes the file contains. The physical size is the amount of space the file occupies on a hard disk or other volume. This physical size varies for a given file depending upon where you store the file (for example, on a floppy disk or a hard disk). Retrospect reports a consistent size based on the physical size of a file, regardless of where you store the file.

How do I get rid of a Backup Set I don't need anymore?

Click Configure4Backup Sets. Select the Backup Set to be removed and click [image]. This removes the Backup Set from the destination lists of all your scripts. To remove a Backup Set completely, you must also drag the Backup Set's Catalog File to the recycle bin with Windows Explorer. Erase tapes with Retrospect and erase disks with Windows Explorer.

How do I get rid of a volume that no longer exists?

Click Configure4Volumes. Select the volume to be removed and click [image]. This removes the volume from the source lists of all your scripts.

When I quit Retrospect, how can I prevent the message that tells me the next time Retrospect will execute?

Click Configure4Preferences. Select the Notification Alerts Preferences category and turn off Check Validity of Next Script.

Where are my scripts stored?

Your Retrospect scripts are stored in the config60.dat file. Many other customizations you make to Retrospect are stored there as well.

The config60.dat and config60.bak files can be found either in the same folder as the Retrospect application, or in ../Documents and Settings/All Users/Application Data/Retrospect.


Execution Errors Browser

When Retrospect detects compare errors while backing up, write errors while retrieving, or read errors while retrieving or verifying, it opens a browser displaying the files involved. The execution errors browser may be printed for reference, or copied and pasted into another browser for easy re-selection.

Look in the Operations Log for the error message associated with each file and act appropriately.

When Retrospect is performing operations over the network, either the client or the backup computer can generate errors, which are then reported by Retrospect on the backup computer. In general, errors that are reported at the client occur when the Retrospect client software surveys the system and determines that Retrospect will not be able to use it over the network.


Catalog Out of Sync

Retrospect was unable to update the Catalog File the last time it copied data to this Backup Set.

This may have been due to equipment failure or power failure, or was caused by a full disk or by a lack of memory.

Repair the Catalog.

If updating the Catalog File does not eliminate the "Catalog out of sync" error, Retrospect cannot add files to that tape. You have three options:

  • Perform a recycle backup, which resets the Catalog File and erases the media, removing its existing backup files.

  • Skip to a new medium with media control, forcing Retrospect to use a new piece of media for the next backup.

  • Create a new Backup Set and do a backup to new media.


Resynchronizing (Slow)

When Retrospect reports this message during a Catalog update or a Backup Set recreation, the Backup Set medium in use may be damaged.

If this message appears for more than about fifteen minutes, stop the recataloging or recreation and save the partial session. You will not be able to add any more data to the medium. The next backup to this Backup Set will require a new or erased medium.

This error can indicate SCSI communication problems. (See SCSI Issues.)


Bad Backup Set Header

Retrospect encountered a missing or damaged file header, which contains information such as the file's name and size.

This error can indicate SCSI communication problems. (See SCSI Issues.)


Content Unrecognized

Retrospect can see data on the medium, but the data is not recognized as data formatted by Retrospect. With a cartridge, the unrecognized content most likely is other files, which you may not want to lose.

When a floppy, Zip, Jaz, SuperDisk, DVD-RAM, or MO disk shows as Content Unrecognized, use caution. Any files on a disk are permanently removed when Retrospect uses the disk in an operation with a disks Backup Set.

For tapes this usually means that the tape was damaged, used by an incompatible backup program, or used with an incompatible drive. This often results with tapes used with hardware compression drives then used with drives which do not support the same hardware compression. Do the following to troubleshoot:

  • Make sure the tape cartridge you are inserting is compatible with your tape drive. For example, DDS-4 150 meter tapes cannot be read by DDS-1, -2, or -3 drives. Refer to www.dantz.com for current information on tapes that each tape drive supports.

  • Clean your tape drive and continue to clean it according to your drive vendor's recommendations. Tape drives need to be cleaned regularly with special cleaning cartridges.

  • Check if other tapes also show as "content unrecognized." If only one tape does then either it is damaged, it has been written to by other backup software, or it was created in a different, incompatible tape drive. If all tapes are unrecognized, then they were either all created in a different tape drive, there is a problem with your SCSI configuration, or your tape drive may be broken. Contact Dantz Technical Support to find out if one tape drive is compatible with another.

  • If possible, try your tape or tapes in a compatible tape drive. If tapes are recognized in one drive but not another of the same type, it is possible that one drive needs repair. Contact your drive vendor for advice before assuming a drive needs repair.


Media Too Different

Retrospect reports that your media is too different in two cases:

  • You are trying to append to a tape Backup Set that is damaged. If you crashed or experienced a power failure while last writing to your tape and are now getting this error when trying to append, your Backup Set is damaged. You will not be able to append to this Backup Set, but you can retrieve all files from it. Create a new set, or do a recycle backup to this set if you wish to start over. The media is not damaged, but the Backup Set is damaged such that Retrospect cannot append to it.

  • You are trying to append to a tape Backup Set using a drive with a different kind of mechanism. Use similar drives when creating mixed drive Backup Sets.


Verification Errors

The following messages indicate an error while comparing to verify files:

  • File "Home.html": different modify date/time

  • File "Bore Dimensions": didn't compare at offset 263,078

A verification error occurs during verifying when Retrospect determines a file it copied to the destination is not identical to the file copied from the source. The file in question is not considered valid in the destination. If this happened during a backup, for example, Retrospect would try to copy the file again during the next normal backup to this Backup Set.

When you know the file was in use at the time the copying was done, a verification error is usually nothing to worry about. It simply means the file changed between backup and verification. Verification errors which mention offsets usually indicate problems with the communications bus.


Media Request Timeout After Waiting

This is how the Operations Log reports error –1204 (user didn't respond).


Failure Notification

Retrospect experienced a major problem not due to normal errors or circumstances. When this happens, Retrospect creates an error log in the Retrospect folder named "assert_log.utx".

If you experience one of these errors, restart your computer and try to do what you were doing when the error occurred. If the error occurs again contact Dantz Technical Support.


Error Numbers

This section details known error numbers. Look them up using this help system's table of contents, or using its index.


-102 (trouble communicating)

The backup computer lost contact with the backup device. Check the communications bus and device cabling, termination, and settings.


-107 (out of application memory)

There is not enough memory available to Retrospect for it to continue the operation. This error occurs most often when scanning volumes and Catalogs.

Retrospect may report this error when other applications are using most of the memory or your computer does not have enough RAM installed.

Try exiting your other applications, restarting, or adding more virtual memory swap space to make more memory available to Retrospect. Repeat the operation which brought about the error.


-203 (hardware failure)

The backup device is having problems because of a bad medium, a communications problem, or a mechanical error.

If the error occurs only when you use a particular medium, that medium is probably damaged. Try using a new medium. If the error occurs when you use any medium, you may have a problem with your communications bus or device. Try turning off the backup device and computer for two minutes and then turning them back on again.


-204 (device busy)

This error will likely occur if you store the Catalog File for a disk Backup Set on a disk used as a member of that Backup Set. Keep the Catalog File on your hard disk.


-205 (lost access to storage media)

This usually indicates the communications bus was reset during a backup, causing Retrospect to lose contact with the tape, disk, or recordable disc.

This error usually indicates a communications bus problem and may be accompanied by an error –102 (trouble communicating). If error –102 accompanies error –205, see SCSI Issues. If error –102 does not accompany error –205 and communication problems have been ruled out, the next step is to check for media failure on the source volume. Some hard drives reset the bus when they sense they are experiencing a media failure. Try testing the hard drive with the software that was originally used to format it.


-206 (drive reported a failure, dirty heads, bad media, etc.)

There is trouble reading from or writing to the Backup Set medium. This error is always generated by the backup device, and is usually due to one of four causes.

  • The media is physically defective and needs to be replaced. Try using a different tape, disk, or recordable disc.

  • The heads on the tape drive are dirty and need to be cleaned. Consult the manual that came with your tape drive or contact the drive manufacturer for cleaning recommendations.

  • Another device is causing interference. If you have a drive immediately next to another electronic device, try moving the devices further apart. Try removing one or more devices temporarily to see if there is some other device conflict. Try using your backup device on another computer to see if interference is caused by your monitor or other nearby electronic devices. Also see SCSI Issues.

  • Retrospect can also report error –206 when a crash or power failure interrupts the backup computer or tape drive. Some tape drives require an end of data (EOD) marker on a tape to append data. If a tape does not have an EOD marker Retrospect may report error –206 when it next tries to append to the tape. Tape drives are responsible for writing EOD markers, but a drive may not get the chance if you shut down or restart the backup computer or the power is interrupted. Lacking an EOD, the tape will later produce error –206 when you try to append (write data) to it with Retrospect.

To avoid problems, take the following precautions: do not disable the "Verification" option in scripts and immediate operations; let the tape drive fully rewind or eject the tape before you power off or restart the computer; and if the computer crashes, try to eject the tape (using the drive's Eject button) before restarting or turning off the computer.

When Retrospect reports error –206 on a tape because it lacks an EOD marker, that tape is unusable for future appends until you erase it, though it is not physically damaged and you can use it to restore. The tape cannot be repaired with Retrospect's repair tool. To use the tape for additional backups or archives, you must first either reset the tape's Backup Set from Configure4Backup Sets or erase the tape from Configure4Devices.

When the error persists on multiple media and you have eliminated the above possibilities, the device may be failing. Contact the vendor.


-503 (backup client turned off)

The client was turned off by the user at the client computer before the operation started. The Retrospect Client control panel will automatically turn on when that client is restarted.


-505 (backup client reserved)

The client is in use by another backup computer. A client may be used by only one backup computer at a time.

This can also happen when the backup computer or client computer crash during an operation. Restart both computers.


-507 (incorrect password)

Make sure you are properly typing the password. It is case sensitive, so you must type the password's proper upper case and lower case letters. Make sure you are entering the password for the client, not a license code.

If you cannot remember the password for a client, you must reinstall the Retrospect Client control panel.


-508 (access terminated)

The client user has turned off the Retrospect Client control panel during the operation. When this occurs, the backup computer logs the error and moves on to the next client.


-515 (piton protocol violation)

Retrospect sees its data is becoming corrupt while being transferred over the network. It is usually caused by a hardware failure.

Look for a pattern to these errors. If the problem occurs only on one client, it is likely that there is a problem with the client's network connector or its connection to the network. If the problem happens on several clients with no coherent pattern, the problem may be with the backup computer's network card or connection, or with a gateway/router common to all network transactions. For more help, see Network Troubleshooting Techniques.


-519 (network communication failed)

The backup and client computers ceased to communicate, a situation which has many causes and solutions, as detailed below.

  • A user shuts down a client during the backup, or the client fails or is disconnected from the network during a backup. Determine why the client is failing or what part of the network communication link is failing (for example, a router, bridge, hub, or individual network connector). See the next item for help in determining if the problem is due to a software conflict.

  • A user is using too many applications on the client during the backup, or an application takes up most of the computer's processing power. Schedule backups for periods when the client is idle.

  • A network communication problem caused by hardware or software is making transactions unreliable. A failed network connector on a client will cause errors on that client. To determine whether a failed network connector is causing the problem, try switching connectors with a nearby computer that is not experiencing problems. See Network Troubleshooting Techniques.

  • A bad or failing hard disk is hanging the client computer. If the hard disk read light on the client is stuck "on," and not blinking, and the client must be restarted before it will work, the client has a failing hard disk or a bug in the hard disk's firmware or software. For the hard disk that is hanging, update its driver to the latest version from its vendor. Then try running a disk-checking program.

  • Your network software is incompatible with your network hardware. Use the latest network software which matches your network hardware because older software might have problems.

Windows

Two different bugs in Windows 95 can cause the client to lose contact with Retrospect. Make sure the TCP/IP fix and Winsock 2.0 have been installed on Windows 95 clients.

Mac OS

An extension or some other software on the Macintosh has broken the network connection. Make sure you are not using software applications which prevent communication, such as older versions of security or compression programs that are active during a backup. Try starting up the Macintosh with the Retrospect Client control panel turned on, but all non-Apple extensions turned off.

This error may be caused by a problem with built-in Ethernet on all non-G3 PCI-based Mac OS computers. It tends to occur during large data transfers on a busy network. One solution is to upgrade to Mac OS 8.6, which has a new extension that fixes the problem. Another solution is to install and use third-party Ethernet cards. For more information, check the Dantz Knowledgebase available at the Dantz Web site.


-525 (name/login conflict)

Usually this error appears when a client has been uninstalled and reinstalled or replaced by client software which is not logged in.

On the backup computer, go to Configure4Clients, select the client experiencing the problem, and then click [image]. Click Add to go to the live network window and add the client of the same name. Add the client to your scripts.


-527 (backup client was renamed)

Another backup administrator has renamed a client from another backup computer. Simply configure the client again to update the name in your own client database.


-530 (backup client not found)

Retrospect cannot find the client computer on the network. Make sure the client computer is connected to the network and turned on and that it is not powered off by energy saving software. If it is a mobile computer make sure it has not been "suspended" or put into "sleep" mode. (Restart a suspended Windows computer to let Retrospect see it.) Make sure the client has the most recent version of the Retrospect client software and that the client software loads at startup. If not, follow the suggestions provided for the error "Client service not loaded at system startup" or "Retrospect Client not loaded at system startup".

Test the connection between the backup computer and the client by using Properties from Configure4Volumes. If it can connect with the client, Retrospect displays its measured transfer rate in kilobytes per second. Also, try pinging it.

If this error occurs with a Windows 95 client, it may be caused by a bug in the operating system. Microsoft's Winsock 2.0 update fixes the problem. It is available free from Microsoft at:

http://www.microsoft.com/windows95/

downloads/contents/wuadmintools/

s_wunetworkingtools/w95sockets2/default.asp


-540 (trouble creating service)

Retrospect could not properly access a Windows client. The error usually occurs with Windows 95 clients that do not have Winsock 2.0 installed. Retrospect requires Winsock 2.0 to back up Windows 95 clients.

If the client already has Winsock 2.0 installed under Windows 95, or it is running a different Windows operating system, a required DLL or system component on the client may not be installed. Reinstall the client software.


-541 (backup client not installed or not running)

The backup computer can see the client computer at the IP address but no client software is operational.

Make sure the client computer is turned on and that it is not powered off by energy saving software. If it is a mobile computer make sure it has not been "suspended" or put into "sleep" mode. Restart it and try again.

Open the Retrospect Client control panel and examine its Status field for an error message about why the client software is not working. You may need to reinstall the client software. If it is a Windows client, also see Client Configuration Issues.

If the backup computer has more than one Ethernet card, that might also be the source of the problem. See "Troubleshooting multiple Ethernet cards on a Retrospect Client running Windows" in the Dantz Knowledgebase for more information.


-625 (not enough memory)

There is not enough memory available to Retrospect for it to continue the operation. This error occurs most often when scanning volumes and Catalogs.

Retrospect may report this error when other applications are using most of the memory or your computer does not have enough RAM installed.

Try exiting your other applications, restarting, or adding more virtual memory swap space to make more memory available to Retrospect. Repeat the operation which brought about the error.


-641 (chunk checksum didn't match)

One of Retrospect's files, likely a Catalog File, is corrupt.

To check whether a Catalog File is corrupt, set up a restore by searching on a blank file name so Retrospect scans all files in the Catalog. If the error occurs, you know this Catalog File is corrupt.

If the error occurs during a backup or archive, you need to rebuild the Catalog File of the destination. After the Catalog File is reconstructed, reselect this Backup Set in your scripts. If the error occurs when you launch Retrospect, see "Retrospect crashes while it is being launched."


-1020 (sharing violation)

The file cannot be accessed because it is in use.

Another application or the operating system may have the files open, preventing Retrospect from accessing them. Exit the application that owns the busy file.

It is possible this error was reported on insignificant files and you can just ignore it.


-1101 (file/directory not found)

Retrospect cannot find a file.

This usually means you or someone moved or deleted one or more files and folders while an operation was in progress.

If this error occurs because a Backup Set's Catalog File was moved and Retrospect asks you where it is, use the file selection dialog to navigate through files and folders and point out the new location of the Catalog File to Retrospect.

Try backing up again. If this error continues to occur, run a disk checking utility to check for possible directory corruption.


-1102 (drive missing/unavailable)

Retrospect cannot find the drive.

This error occurs with Subvolumes when the folder has been moved or deleted.


-1110 (general i/o failure)

A media problem occurred on a source volume.

Try verifying your source volume using a disk utility or the formatting program that came with your hard drive. Use ScanDisk on a Windows computer. On a Macintosh, use Drive Setup's Test command and Disk First Aid.


-1111 (locked range conflict)

A file is open by another application or service, using a lock range, preventing Retrospect from backing it up.

Try stopping the application before starting backups and resuming it afterward. Consider using Retrospect's external scripting to automatically stop and resume the other application.


-1115 (disk full)

A volume has little or no available storage space.

There are three causes of this error:

  • You are restoring or duplicating more files than will fit on the destination volume.

  • Retrospect is updating a Backup Set Catalog File and the volume on which it is saved runs out of room.

  • You are backing up to a file Backup Set and the destination volume runs out of free space.

Go to the Windows Explorer and make more space on the full hard disk by removing unnecessary files and emptying the recycle bin. Try marking fewer files to restore or duplicate, or select a larger destination volume. Use Catalog compression to make your Catalog Files use less space.


-1204 (user didn't respond)

Retrospect could not find a requested disk or tape before the media request timeout period elapsed.

Turn off the Media Request Timeout preference so Retrospect waits indefinitely for the requested media.


-2241 (Catalog invalid/damaged)

One of Retrospect's files, likely a Catalog File, is corrupt.

To check whether a Catalog File is corrupt, set up a restore by searching on a blank file name so Retrospect scans all files in the Catalog. If the error occurs, you know this Catalog File is corrupt.

If the error occurs during a backup or archive, you need to rebuild the Catalog File of the destination. After the Catalog File is reconstructed, reselect this Backup Set in your scripts. If the error occurs when you launch Retrospect, see "Retrospect crashes while it is being launched."


-2247 (snapshot not found)

Retrospect could not find the requested Snapshot on the medium. For more information, see Restore Issues.


Windows Client Control Panel Errors

When everything is set up normally and no errors have occurred, the control panel's Status tab should say "Ready" or "Waiting for first access" in the Status field. Below the status is the History area with information about the most recent operation or error messages.

Client service not loaded at system startup

If the status shows this error message, examine the history field for one of the messages from the table below, and then proceed as indicated.

There are a few possible reasons (in addition to those in the table) why the client software may not load at startup.

  • The client software files are not in their proper location. The client software must be in the location you specified during the installation. Put it back in place or run the Setup program to reinstall the software. Log in as the administrator or another user with full access privileges when you install.

  • The client's service was terminated. This is unusual. You may be able to run Retroclient.exe to get the service operating, but because you do not know what terminated the service in the first place, it is best to restart the client computer.

Message | Action/Comment
Retrospect Client startup error: Winsock initialization failed. | There is a problem with the Winsock network interface. The file WINSOCK.DLL or WSOCK32.DLL may be an incorrect version (e.g., a non-standard Winsock). Re-install the DLL from the Microsoft Windows installation media.
Retrospect Client startup error: Protocol initialization failed. | Make sure protocol is working. Make sure the computer is using a valid IP address.
Retrospect Client startup error: Initialization failed. | Make sure IP protocol is installed. Install the TCP/IP network protocol from the Microsoft Windows installation media.


UNIX Client Control Panel Errors

When everything is set up normally and no errors have occurred, the control panel's Status tab should say "Ready" or "Waiting for first access" in the Status field. Below the status is the History area with information about the most recent operation or error messages.

Message

Action/Comment

"JAVA_HOME is set to an invalid location"

JAVA_HOME represents the path to JAVA_HOME.

A symbolic link to /usr/bin/java does not exist or the JAVA_HOME variable in RetroClient.sh is not set to the correct location. Install Java if it is not installed. If Java is installed then follow the steps below.

The RetroClient.sh file assumes that there is a symbolic link to the Java executable from the /usr/bin/folder. If this link does not exist, there are two ways of correcting the problem:

1) Create it:

su to root

cd /usr/bin

ln –s /usr/jdk1.3/bin/java java

Be sure that "/usr/jdk1.3/bin/java" reflects the path to the java executable where it was installed on your machine.

2) Change the line "JAVA_HOME=/usr/bin" to point at the "bin" folder of your Java installation folder.

"Either RETROSPECT_HOME or DISPLAY is not set!"

RETROSPECT_HOME represents the path to RETROSPECT_HOME. DISPLAY represents the DISPLAY value.

During installation, RETROSPECT_HOME should have been set to the location of the installation, typically /usr/local/dantz/client. If this is defined and exported in /etc/profile then the user can just load the file with "./etc/profile" from the terminal where they want to start the Client Control Panel.

"Critical file missing."

Critical files missing from RETROSPECT_HOME path (either retrocpl or retrospect.jar).

If these files have been moved, move them back to the RETROSPECT_HOME path. If these files are not present, re-install the client.

"Error obtaining network status."

Indicates that the client is not running. The Client Control Panel cannot display client information until the client is started.

Start the client.


Mac OS Client Control Panel Errors

When everything is set up normally, and no errors have occurred, the Retrospect Client control panel should say "Ready" or "Waiting for first access" in the Status field. Below the status is the History area with information about the most recent operation or error messages.

Retrospect Client not loaded at system startup

If the message "Retrospect Client not loaded at system startup" is followed by one of the explanations in table below, proceed as indicated.

If this message appears by itself in the Status area, there are several possible causes.

  • The Retrospect Client control panel file is not in its proper location. Place it in the Control Panels folder within the System Folder.

  • You have not restarted the client after installing the Retrospect client software. Restart the client.

  • You held down the Shift key when you restarted the client Macintosh, which prevented extensions from loading. Restart without holding down Shift.

  • You have an extensions manager program that specifies that the Retrospect Client control panel not be loaded. Open the extensions manager and ensure the Retrospect Client control panel gets loaded at startup.

  • Another control panel or system extension is conflicting with the Retrospect Client control panel. Test for a conflict by temporarily removing several system extensions and control panels from the System Folder, leaving the Retrospect Client control panel and standard Apple extensions then restarting the client Macintosh. After restarting, open the Retrospect Client control panel. If you see the message "Ready" or "Waiting for first access," you know one of the items you removed prevented the Retrospect Client control panel from loading. You may avoid the conflict by making the Retrospect Client control panel load first on startup by replacing the ° symbol in its name with a space.

Message | Action/Comment
ROM or System Version too old | The Macintosh appears to be an antique, hopelessly incapable of running the modern networking software required for use as a client of Retrospect Backup for Windows. It is not even able to run the long-obsolete networking software required for use as a client of a ten-year-old version of Retrospect for Macintosh.
AppleTalk version too old | The Macintosh is trying to use AppleTalk, not TCP/IP. Verify that it meets the system requirements then install Open Transport and set up TCP/IP networking.
AppleTalk turned off | The Macintosh is trying to use AppleTalk, not TCP/IP. Verify that it meets the system requirements then install Open Transport and set up TCP/IP networking.
ADSP not installed | The Macintosh is trying to use AppleTalk, not TCP/IP. Verify that it meets the system requirements then install Open Transport and set up TCP/IP networking.
No Chooser Name specified | The Macintosh appears to be an antique, hopelessly incapable of running the modern networking software required to use it as a backup client with any Retrospect Backup edition for Windows. However, you can back it up with Retrospect for Macintosh.
No computer name or owner name specified in file sharing settings | For System 7.x, open the Sharing Setup control panel. For System 8 or later, open the File Sharing control panel. Enter computer and owner names then restart.
Network Name conflict: "Name" | Another client on the network is already installed with this Owner Name. Trash the Retrospect Client control panel and install a fresh copy.
Open Transport TCP/IP not installed | Install Open Transport and set up TCP/IP networking.
Mouse button held down | Holding down the mouse button during startup inactivates the control panel.
Doesn't run under A/UX | The Retrospect Client control panel cannot be used on a Macintosh running under A/UX.
Your activator code conflicts with John Doe (123.45.67.8). Please tell your backup administrator. | Forget one of the clients, trash its Retrospect Client control panel, then install Retrospect client software version 4.2 or later. Upgrade all older clients to prevent recurring errors.


Support Resurces

Support Resources

Retrospect provides built-in access to a number of useful resources. From the Retrospect Help menu, you can access:

  • Online help contents page. Fully-searchable and indexed guide to using Retrospect.

  • Retrospect Read Me. Tips, late-breaking information, known issues, and workarounds.

  • Dantz Web Site. Dantz's home on the Internet. To access Dantz's Web site directly, go to www.dantz.com.

  • Online Knowledgebase. Searchable database containing answers to frequently asked questions about Retrospect-related terms, error messages, and troubleshooting techniques.

  • Supported Devices. Searchable backup hardware compatibility database provides information of which devices Retrospect supports.

  • Retrospect Updates. Product downloads for Mac OS and Windows products, upgrades, and updates.

  • Dantz Support. Support section of the Dantz Web site. Includes links to tutorials, user forums, etc.

All of these resources are available for free and can help you solve problems quickly and effectively to get the most out of Retrospect.

If you experience problems that you cannot solve using these resources, Dantz Technical Support is available to help. To learn more about available support options, check Dantz's support matrix.

For information about contacting Technical Support in the U.S. and Canada, as well as internationally, see the Dantz Web site.


ADR

ADR tapes can store 15, 25, and 30 GB of uncompressed data. These drives have a high capacity that is well-suited for entry-level and mid-level backup needs.


AIT/AME

Eight millimeter drives using Advanced Intelligent Tapes (AIT) or Advanced Metal Evaporated (AME) tapes are among the fastest tape drives available. Their mechanisms can store 12 to 100 GB of uncompressed data at very high speed when used under optimal conditions.


Backup Computer: Desktop or Server?

Advantages of Desktop

Advantages of Server

  • You can use the computer closest to you for easy access to the tape drive and Retrospect.

  • Avoids expense of a dedicated server.

  • You can select the computer best suited in terms of memory and speed. Retrospect can be run at night or on weekends, allowing normal use of the computer during work hours.

  • Allows your server to run at full speed for those who are accessing it while the backup is running

  • Optimizes your backup speed since servers are often a high performance model.

  • Takes advantage of the server's inactivity during the nights and weekends.

  • Gains added security for your Backup Sets if your server is located in a secure area.

  • Backs up large server disks using faster local transfer rates rather than the slower network transfer rates.


DAT

DAT drives span the gap between entry-level tape drives such as Travan and higher-end products such as DLT and AIT. Each compact DAT cartridge, containing a length of 4 mm wide tape, holds about 2 GB (DDS-1), 4 GB (DDS-2), 12 GB (DDS-3), 20 GB (DDS-4), or more depending on how much your files are compressed. Speeds range from 6 MB per minute with older DDS-1 drives to 150 MB per minute with newer DDS-4 drives.


Deleting a Custom CD-R/CD-RW Configuration

Deleting a Custom CD-RW Configuration

To delete a custom configuration

1 | In the navigation bar, click Configure4Devices.
2 | Click the Environment tab and select the recordable disc device you want to reconfigure.
3 | Right-click and choose "Configure CD-RW Drive."
4 | Click Delete to remove the selected device's custom configuration and use Retrospect's built-in support, if available.
5 | Click OK.

Retrospect cannot back up to a CD-RW drive for which it is has no configuration (custom or built-in).


DLT

DLT drives are among the fastest tape drives available. Their mechanisms offer exceptional performance and 2.6 GB to 110 GB uncompressed capacity when used under optimal conditions.


DTF

Digital Tape Format (DTF) drives store 12 or 200 GB of uncompressed data. They are among the fastest and largest capacity tape drives available when used under optimal conditions.


Exabyte

Eight millimeter tape drives using Exabyte mechanisms can store 2 to 7 GB of uncompressed data on a tape cartridge.


File Versus Disk Backup Set

When you create a Backup Set for backup to a disk or disks, you can choose a File Backup Set or a Disk Backup Set. A Disk Backup Set can grow continuously by spanning multiple disks. A File Backup Set cannot grow beyond the available space of its single disk or cartridge, because the entire backup is stored in a single file.


Keyboard Shortcuts

You can access all the options in the navigation bar and overview screens using keyboard shortcuts. Most windows and dialogs in Retrospect also include keyboard shortcuts.

Use the tab key or the arrows keys to select an option in the navigation bar or a window. Press Enter to select an option. To switch control between the navigation bar and a window type Ctrl+N.

Many options in Retrospect include an underlined letter in their name. These options can be selected, when the window is active, by entering Alt + the underlined letter (for example Alt + W).


Locking the Application

Lock Application is available when you have specified password protection from Retrospect by way of its security execution preference. It prevents access to Retrospect, requiring a password to "unlock" it.

From the Control menu, choose Lock Application.


Ultrium

Ultrium tape drives are among the fastest and largest capacity tape drives available. The Ultrium format was created by the LTO (Linear Tape Open) Consortium. Ultrium-1 tapes offer an uncompressed capacity of 100 GB.


Media Selection Window

The Media Selection window displays all devices (tape drives, recordable disc drives, and removable disk drives) currently connected to the backup computer. If the devices are loaded with storage media containing a Backup Set, the Backup Set name is also displayed in the window.


Backup Set

Set of one or more disks, tapes, recordable discs, or a file


Catalog File

Retrospect's index of the files and folders contained in a Backup Set. The Catalog File allows you to mark files for restore or retrieval without having to load or insert your Backup Set media.


Members

Member

Individual piece of media (for example, tapes, recordable discs, disks, or cartridges) in a Backup Set


Snapshot

A Snapshot is a list—you can think of it as a picture—of all files and folders on a volume when it is backed up. For each volume, one Snapshot is stored in the Catalog File and a copy of the same Snapshot is stored on the backup medium.


Subvolume

A folder you designate as an independent volume for use within Retrospect.


Snapshot Disaster Recovery Options

Selected Snapshot | Available Disaster Recovery Preparation
local Windows system volume | bootable CD image, instructions
non-local Windows system volume | instructions
non-system Windows volume | none
non-Windows volume | none


Table of Sample Values for Client Backups over Ethernet

Backup Action (iteration) | Number of Files | Megabytes Copied | Time (mm:ss) | MB per minute
Initial Backup | 8345 | 719.6 | 24:00 | 30
Progressive (1) | 51 | 5.7 | 00:22 | 15.4
Progressive (2) | 360 | 19.7 | 01:26 | 13.8
Progressive (3) | 43 | 5.7 | 00:25 | 13.5
Progressive (4) | 53 | 6.1 | 00:30 | 12.6


Travan

These tape drives have uncompressed capacities of 1.5, 2, 4, 10, or 20 GB, depending on the tape cartridge used. Travan "NS" (Network Series) drives include hardware compression.


VXA

VXA drives provide tape technology that is reliable and relatively inexpensive for small- to medium-sized environments. VXA formats data in packets, operates at variable speed, and can read data multiple times in a single pass of the tape. A VXA-1 tape can store 33 GB of uncompressed data.